<?php

namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ApiController extends Controller
{
    public function sendResponse($data, $message = null)
    {
        $dataArray = [
            'success' => true,
            'data' => $data,
        ];
        if (!is_null($message)) {
            $dataArray['message'] = $message;
        }
        return response()->json($dataArray, 200);
    }

    public function withError($message = null, $code = 400, $errorDescription = false)
    {
        $data = [
            'success' => false,
            'message' => $message ?? 'an error occurred',
        ];

        if ($errorDescription) {
            $data['errorDescription'] = $errorDescription;
        }
        return response()->json($data, $code);
    }

    public function notFound()
    {
        return response()->json([
            'success' => false,
            'message' => 'Record not found',
        ], 404);
    }
}
