<?php

namespace App\Http\Controllers\Api;

use App\Models\Review;
use Illuminate\Http\Request;
use App\Models\backend\Order;
use App\Models\backend\Restuarant;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;
use App\Models\backend\FoodCategory;
use Illuminate\Support\Facades\Auth;
use App\Models\backend\FeatureRestaurant;
use App\Models\Setting;

class DashboardController extends Controller
{
    public function get_main_screen_data()
    {
        $restaurants = Restuarant::all();
        foreach ($restaurants as $key => $value) {
            $rating = Review::where('type', 1)->where('type_id', $value->id)->avg('review_star');
            $rating_count = Review::where('type', 1)->where('type_id', $value->id)->count();
            $restaurants[$key]['rating'] = number_format($rating, 1);
            $restaurants[$key]['rating_count'] = $rating_count;

            $check_holiday = $value->holidays()->where('holiday_date', date('Y-m-d'))->first();
            $check_opening = null;
            // this flag will indicate that restaurant is closed
            $flag = null;
            if ($check_holiday) {
                $flag = 1;
            } else {
                $check_opening = $value->timings()->where('day', date('l'))->first();
                if ($check_opening) {
                    $current_time = date('H:i:s');

                    if ($current_time < $check_opening->opening_time || $current_time > $check_opening->closing_time) {
                        // unset($restaurants[$key]);
                        $flag = 1;
                    }
                }
            }

            if ($check_opening) {
                $restaurants[$key]['opening_time'] = date('h:i A', strtotime($check_opening->opening_time));
                $restaurants[$key]['closeing_time'] = date('h:i A', strtotime($check_opening->closing_time));
            }

            if ($flag) {
                // now we will remove this restaurant from the list
                unset($restaurants[$key]);
            }
        }

        $copy = $restaurants;

        $restaurants = array_values($restaurants->toArray());

        $success['restaurants'] = $restaurants;
        $success['food_category'] = FoodCategory::all();

        $featres = FeatureRestaurant::all()->pluck('restaurants_id')->toArray();
       $dvcharges= DB::table('business_settings')->select('value')->where('key','charges')->first();
        $success['delivery_fee'] =$dvcharges->value;
        if(Auth::user())
        {

            $order = Order::where('user_id',Auth::user()->id)->where('order_status', '!=' , 'completed')->latest()->first();

            if($order){
                $success['active_order_status']=1;

            }else{
                $success['active_order_status']=0;
            }
        }
        else
            $success['active_order_status']=0;

        if ($featres) {
            $feature_restaurants = $copy->whereIn('id', $featres);
            $success['feature_restaurants'] = array_values($feature_restaurants->toArray());
        }

        // $success['youtube_url'] = Setting::first()->youtube_url ?? '';
        $success['slider_images'] = Setting::orderBy('position','ASC')->get();

        return sendResponse($success, '');
    }

    // get_main_screen_data_with_search
    public function get_main_screen_data_with_search(Request $request)
    {
        // pr($request->all());
        // DB::enableQueryLog();
        $restaurants = Restuarant::where('name', 'like',  '%'.$request->search .'%')->get();
        // $quries = DB::getQueryLog();
        // pr($quries);
        foreach ($restaurants as $key => $value) {
            $rating = Review::where('type', 1)->where('type_id', $value->id)->avg('review_star');
            $rating_count = Review::where('type', 1)->where('type_id', $value->id)->count();
            $restaurants[$key]['rating'] = number_format($rating, 1);
            $restaurants[$key]['rating_count'] = $rating_count;

            $check_holiday = $value->holidays()->where('holiday_date', date('Y-m-d'))->first();
            $check_opening = null;
            // this flag will indicate that restaurant is closed
            $flag = null;
            if ($check_holiday) {
                $flag = 1;
            } else {
                $check_opening = $value->timings()->where('day', date('l'))->first();
                if ($check_opening) {
                    $current_time = date('H:i:s');

                    if ($current_time < $check_opening->opening_time || $current_time > $check_opening->closing_time) {
                        // unset($restaurants[$key]);
                        $flag = 1;
                    }
                }
            }

            if ($check_opening) {
                $restaurants[$key]['opening_time'] = date('h:i A', strtotime($check_opening->opening_time));
                $restaurants[$key]['closeing_time'] = date('h:i A', strtotime($check_opening->closing_time));
            }

            if ($flag) {
                // now we will remove this restaurant from the list
                unset($restaurants[$key]);
            }
        }

        $copy = $restaurants;

        $restaurants = array_values($restaurants->toArray());

        $success['restaurants'] = $restaurants;

        return sendResponse($success, '');
    }

    public function single($r)
    {
        $success = FoodCategory::where('id', $r)->get();
        return sendResponse($success, '');
    }

    public function restaurant_food_list($id)
    {
        //  dd('testing');
        $success = Restuarant::with('food')->where('id', $id)->get();
        // $success['food_category']=FoodCategory::all();

        // $featres=FeatureRestautants::all()->pluck('restaurants_id')->toArray();
        //   if($featres)
        //   $success['feature_restaurants']=Restuarant::whereIn('id', $featres)->get();
        //   else
        //   $success['feature_restaurants']=[];


        return sendResponse($success, '');
    }
}
