<?php

namespace App\Http\Controllers\Api\Driver;

use App\Models\User;
use Illuminate\Http\Request;
use App\Models\backend\Order;
use App\Models\backend\Ledger;
// use App\Models\backend\OrderRequestToDeliveryMan;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Validator;
use App\Http\Controllers\Api\ApiController;
use App\Models\Review;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;


class DriverController extends ApiController
{
    public function completeDetail(Request $request)
    {
        
        $validator = Validator::make($request->all(), [
            'email' => 'required|email|unique:users',
        ]);

        if ($validator->fails()) return sendError('Validation Error.', $validator->errors(), 422);
        
        // if($request->image){$img = $request->avatar;
        //     $folderPath = "app/users/"; //path location
        //     $image_parts = explode(";base64,", $img);
        //     $image_type_aux = explode("image/", $image_parts[0]);
        //     $image_type = $image_type_aux;
        //     $image_base64 = base64_decode($image_parts[0]);
        //     $uniqid = uniqid();
        //     $userFile = $folderPath . $uniqid . '.'.$image_type[0];
        //     file_put_contents($userFile, $image_base64);}
        // return "ok detial";
        if($request->hasFile('image')){
            $image_name = time().'.'.$request->image->getClientOriginalExtension();
              $request->image->move(public_path('/app/users/'), $image_name);
        }
        else{
            $image_name="";
        }


        $user=new User();
        $user->name=$request->name;
        $user->email=$request->email;
        $user->status=1;
        $user->verified=0;
         $user->user_type_id=3;
        $user->password=Hash::make($request->password);
        $user->image=isset($request->image_name) ? $request->image_name : null;
        $user->contact_number=isset($request->contact_number) ? $request->contact_number:null;
        $user->save();

            //vehicle detail
            $vehicle_image = time() . '.' . $request->vehicle_image->getClientOriginalExtension();
            $request->vehicle_image->move(public_path('/app/driver/'), $vehicle_image);
            $vehicle_document = time() . '.' . $request->vehicle_document->getClientOriginalExtension();
            $request->vehicle_document->move(public_path('/app/driver/'), $vehicle_document);
            // Driving License
            $front_image = time() . '.' . $request->front_image->getClientOriginalExtension();
            $request->front_image->move(public_path('/app/driver/'), $front_image);
            $back_image = time() . '.' . $request->back_image->getClientOriginalExtension();
            $request->back_image->move(public_path('/app/driver/'), $back_image);

            


            $vehicleDetail = [
                //vehicle
                'driver_user_id' =>$user->id,
                'vehicle_image' => $vehicle_image,
                'vehicle_document' => $vehicle_document,
                // 'make_by' => $request->make_by,
                // 'model' => $request->model,
                // 'year' => $request->year,
                'license_plate' => $request->license_plate,
                // 'vehicle_color' => $request->vehicle_color,
                //license
                'front_image' => $front_image,
                'back_image' => $back_image,
                'issue_date' => $request->issue_date,
                'expiry_date' => $request->expiry_date,
                'license_no' => $request->license_no,
                'issuing_state' => $request->issuing_state,
                'street_address' => $request->street_address,
                'building' => $request->building,
                'city' => $request->city,
                'state' => $request->state,
                'zip_code' => $request->zip_code,
            ];

             $vehicleDetail['issuing_athority']=$request->issuing_athority;
             $vehicleDetail['insuring_expiry']=$request->insuring_expiry;
            
            
            if($request->hasFile('insurance_document')){
            
                // if(is_file('public/app/driver/'.$driverDetail->insurance_document)){
                //   unlink(public_path().'/app/driver/'.$driverDetail->insurance_document);
                // }
  
                $insurance_document = Str::random(6).''.time() . '.' . $request->insurance_document->getClientOriginalExtension();
                $request->insurance_document->move(public_path('/app/driver/'), $insurance_document);
                $vehicleDetail['insurance_document']=$insurance_document;
  
              }


            $record = DB::table('driver_details')->insert($vehicleDetail);

             return $this->sendResponse($record, 'Data Added Successfully !');
    }
    public function driverDocumentUpdate(Request $request)
    {
    
        // ---------------------------------------------------- vehicle -----------------------
        $driverDetail = DB::table('driver_details')->where('driver_user_id', Auth::user()->id)->first();
        // pr( $driverDetail);
        
        if($driverDetail)
        {
            // else{
            $data=[
                // 'front_image' => $front_image,
                // 'back_image' => $back_image,
                'issue_date' => $request->issue_date,
                'expiry_date' => $request->expiry_date,
                'license_no' => $request->license_no,
                'issuing_state' => $request->issuing_state,
                'street_address' => $request->street_address,
                'building' => $request->building,
                'city' => $request->city,
                'state' => $request->state,
                'zip_code' => $request->zip_code,
                'issuing_athority' => $request->issuing_athority,
                'insuring_expiry' => $request->insuring_expiry,
                'license_plate' => $request->license_plate
            ];
            if($request->hasFile('front_image')){ 
                    if(is_file('public/app/driver/'.$driverDetail->front_image)){
                        unlink(public_path().'/app/driver/'.$driverDetail->front_image);
                    }
            
            $front_image = Str::random(6).''.time() . '.' . $request->front_image->getClientOriginalExtension();
            $request->front_image->move(public_path('/app/driver/'), $front_image);
            $data['front_image']=$front_image;
            }
            if($request->hasFile('back_image')){
                
                    if(is_file('public/app/driver/'.$driverDetail->back_image)){
                        unlink(public_path().'/app/driver/'.$driverDetail->back_image);
            }
            
                $back_image = Str::random(6).''.time() . '.' . $request->back_image->getClientOriginalExtension();
                $request->back_image->move(public_path('/app/driver/'), $back_image);
                $data['back_image']=$back_image;
            }
            if($request->hasFile('insurance_document')){
            
                if(is_file('public/app/driver/'.$driverDetail->insurance_document)){
                  unlink(public_path().'/app/driver/'.$driverDetail->insurance_document);
                }
  
                $insurance_document = Str::random(6).''.time() . '.' . $request->insurance_document->getClientOriginalExtension();
                $request->insurance_document->move(public_path('/app/driver/'), $insurance_document);
                $data['insurance_document']=$insurance_document;
  
              }
              if($request->hasFile('vehicle_image')){
                if(is_file('public/app/driver/'.$driverDetail->vehicle_image)){
                    unlink(public_path().'/app/driver/'.$driverDetail->vehicle_image);
                  }
                  $vehicle_image = Str::random(6).''.time() . '.' . $request->vehicle_image->getClientOriginalExtension();
                 $request->vehicle_image->move(public_path('/app/driver/'), $vehicle_image);
                 $data['vehicle_image']=$vehicle_image;
            }
            if($request->hasFile('vehicle_document')){
            
              if(is_file('public/app/driver/'.$driverDetail->vehicle_document)){
                unlink(public_path().'/app/driver/'.$driverDetail->vehicle_document);
              }

              $vehicle_document = Str::random(6).''.time() . '.' . $request->vehicle_document->getClientOriginalExtension();
              $request->vehicle_document->move(public_path('/app/driver/'), $vehicle_document);
              $data['vehicle_document']=$vehicle_document;
        }

        DB::table('driver_details')->where('driver_user_id', Auth::user()->id)->update($data);
        return $this->sendResponse([], 'Data Updated Successfully !');
        }
        else
        {
            return SendError('Record For Updation Not Found',[]);
        }
        // }
    }
        // ---------------------------------------------------- insurance -----------------------
        // $driverDetail = DB::table('driver_details')->where('driver_user_id', Auth::user()->id)->first();
        // if($driverDetail){
            // $data=[
            //     'issuing_athority' => $request->issuing_athority,
            //     'insuring_expiry' => $request->insuring_expiry
            // ];
            
            
            // if($request->hasFile('insurance_document')){
            
            //     if(is_file('public/app/driver/'.$driverDetail->insurance_document)){
            //       unlink(public_path().'/app/driver/'.$driverDetail->insurance_document);
            //     }
  
            //     $insurance_document = Str::random(6).''.time() . '.' . $request->insurance_document->getClientOriginalExtension();
            //     $request->insurance_document->move(public_path('/app/driver/'), $insurance_document);
            //     $data['insurance_document']=$insurance_document;
  
            //   }
            // }

        //     DB::table('driver_details')->where('driver_user_id', Auth::user()->id)->update($data);
        //     return $this->sendResponse([], 'Data Updated Successfully !');
        // }
        // else
        // {
        //     return SendError('Record For Updation Not Found',[]);
        // }
        // ----------------------------------------------------
        //    Auth::user()->id;
        //vehicle detail
        // $driverDetail = DB::table('driver_details')->where('driver_user_id', Auth::user()->id)->first();

        // return $driverDetail;
        // echo "testing";
        // if($driverDetail){
            // $data=[
                // 'vehicle_image' => $vehicle_image,
                // 'vehicle_document' => $vehicle_document,
                // 'make_by' => $request->make_by,
                // 'model' => $request->model,
                // 'year' => $request->year,
                // 'license_plate' => $request->license_plate,
                // 'vehicle_color' => $request->vehicle_color,
            // ]; 
            // if($request->hasFile('vehicle_image')){
            //     if(is_file('public/app/driver/'.$driverDetail->vehicle_image)){
            //         unlink(public_path().'/app/driver/'.$driverDetail->vehicle_image);
            //       }
            //       $vehicle_image = Str::random(6).''.time() . '.' . $request->vehicle_image->getClientOriginalExtension();
            //      $request->vehicle_image->move(public_path('/app/driver/'), $vehicle_image);
            //      $data['vehicle_image']=$vehicle_image;
            // }
            // if($request->hasFile('vehicle_document')){
            
            //   if(is_file('public/app/driver/'.$driverDetail->vehicle_document)){
            //     unlink(public_path().'/app/driver/'.$driverDetail->vehicle_document);
            //   }

            //   $vehicle_document = Str::random(6).''.time() . '.' . $request->vehicle_document->getClientOriginalExtension();
            //   $request->vehicle_document->move(public_path('/app/driver/'), $vehicle_document);
            //   $data['vehicle_document']=$vehicle_document;

            // }
        // DB::table('driver_details')->where('driver_user_id', Auth::user()->id)->update($data);
        // return $this->sendResponse([], 'Data Updated Successfully !');
        // }else{
        //     return SendError('Record For Updation Not Found',[]);
        // }


    // }
    //   public function insuranceUpdate(Request $request)
    // {
    //     $driverDetail = DB::table('driver_details')->where('driver_user_id', Auth::user()->id)->first();
    //     if($driverDetail){
    //         $data=[
    //             'issuing_athority' => $request->issuing_athority,
    //             'insuring_expiry' => $request->insuring_expiry
    //         ];
            
            
    //         if($request->hasFile('insurance_document')){
            
    //             if(is_file('public/app/driver/'.$driverDetail->insurance_document)){
    //               unlink(public_path().'/app/driver/'.$driverDetail->insurance_document);
    //             }
  
    //             $insurance_document = Str::random(6).''.time() . '.' . $request->insurance_document->getClientOriginalExtension();
    //             $request->insurance_document->move(public_path('/app/driver/'), $insurance_document);
    //             $data['insurance_document']=$insurance_document;
  
    //           }
    //     // }

    //     DB::table('driver_details')->where('driver_user_id', Auth::user()->id)->update($data);
    //     return $this->sendResponse([], 'Data Updated Successfully !');
    //     }
    //     else
    //     {
    //         return SendError('Record For Updation Not Found',[]);
    //     }
    // }
    // public function vehicleUpdate(Request $request)
    // {
    //     // return  Auth::user()->id;
    //     //vehicle detail
    //     $driverDetail = DB::table('driver_details')->where('driver_user_id', Auth::user()->id)->first();
    //     // return $driverDetail;
    //     if($driverDetail){
        
          
        
    //     // else{
    //         $data=[
    //             // 'front_image' => $front_image,
    //             // 'back_image' => $back_image,
    //             'issue_date' => $request->issue_date,
    //             'expiry_date' => $request->expiry_date,
    //             'license_no' => $request->license_no,
    //             'issuing_state' => $request->issuing_state,
    //             'street_address' => $request->street_address,
    //             'building' => $request->building,
    //             'city' => $request->city,
    //             'state' => $request->state,
    //             'zip_code' => $request->zip_code,
    //         ];
    //         if($request->hasFile('front_image')){ 
                
    //                 if(is_file('public/app/driver/'.$driverDetail->front_image)){
    //                     unlink(public_path().'/app/driver/'.$driverDetail->front_image);
    //                 }
                

    //             $front_image = Str::random(6).''.time() . '.' . $request->front_image->getClientOriginalExtension();
    //             $request->front_image->move(public_path('/app/driver/'), $front_image);
    //             $data['front_image']=$front_image;
    //         }
    //         if($request->hasFile('back_image')){
                
    //                 if(is_file('public/app/driver/'.$driverDetail->back_image)){
    //                     unlink(public_path().'/app/driver/'.$driverDetail->back_image);
    //                   }
            
    //             $back_image = Str::random(6).''.time() . '.' . $request->back_image->getClientOriginalExtension();
    //             $request->back_image->move(public_path('/app/driver/'), $back_image);
    //             $data['back_image']=$back_image;
    //         }
    //     // }

    //     DB::table('driver_details')->where('driver_user_id', Auth::user()->id)->update($data);
    //     return $this->sendResponse([], 'Data Updated Successfully !');
    //     }
    //     else
    //     {
    //         return SendError('Record For Updation Not Found',[]);
    //     }
    // }
    public function getVehicle(Request $request){
        $driverDetail = DB::table('driver_details')->where('driver_user_id', Auth::user()->id)->first();
        return $this->sendResponse($driverDetail,'');
    }
    public function getDocument(Request $request){
        $driverDetail = DB::table('driver_details')->where('driver_user_id', Auth::user()->id)->first();
        return $this->sendResponse($driverDetail,'');
    }

    public function orderDetail(Request $request, $id)
    {
        $orders_detail = Order::with('orderDetail.food')->where('id', $request->id)->get();
        return $this->sendResponse($orders_detail);
    }
    public function completeOrderDetails(Request $request)
    {
        $order=Order::with('restaurant','orderDetail','user')->first();
        return $this->sendResponse($order);
    }
    public function getDriverDetail(Request $request)
    {
        $driverDetail=User::with('deliveryMans')->where('id',Auth::user()->id)->first();
        return $this->sendResponse($driverDetail);

    }

    public function acceptOrder(Request $request)
    {
        $order=Order::find($request->order_id);
        $order->order_status=$request->order_status;
        $order->save();
        // $order=Order::where('id',$request->id)->update(['order_status'=>$request->status]);
        return $this->sendResponse($order,"Order Accepted!");
    }
    public function completeOrder(Request $request)
    {
        $order = Order::find($request->order_id);
        $order->update(['order_status' => 'delivered']);
        $record_check=DB::table('order_request_to_delivery_man')->where('order_id',$request->order_id)->where('user_id',auth()->user()->id)->update(['status'=>'complete']);
        DB::table('users')->where('id',auth()->user()->id)->update(['rider_busy'=>0]);
        return $this->sendResponse($order, 'Order Dispatched Successfully!');
    }

    public function riderRequest(Request $request)
    {
        
        // return sendResponse([$request->lat,$request->lang], '');
        // die;
        $record_check=DB::table('order_request_to_delivery_man')->where('user_id',auth()->user()->id)->where('status','pending')->first();
        if($record_check)
        $order['order'] = Order::with('orderDetail.food','restaurant')->where('id',$record_check->order_id)->first();
        else
        $order=[];

        if($request->has('lat') && $request->has('lang'))
        {


            $data = array(
                'user_id' => auth()->user()->id,
                'lat' => $request->lat,
                'lang' => $request->lang
            );
            $current_loca= DB::table('delivery_man_current_location')->where('user_id',auth()->user()->id)->first();
            if($current_loca)
            {

                DB::table('delivery_man_current_location')->where('user_id',auth()->user()->id)->update($data);
            }
            else
            {
                DB::table('delivery_man_current_location')->insert($data);

            }
            // $order->update(['order_status' => 'Dispatched']);
        }
        return sendResponse($order, '');
    }

    public function updateCurrentLocation(Request $request)
    {
        $validator = Validator::make($request->all(), [
            // 'user_id'     => 'required|integer',
            'lat'    => 'required',
            'lang' => 'required|'
        ]);

        if ($validator->fails()) return sendError($validator->errors());

        $data = array(
            'user_id' => auth()->user()->id,
            'lat' => $request->lat,
            'lang' => $request->lang
        );
        $current_loca= DB::table('delivery_man_current_location')->where('user_id',auth()->user()->id)->first();
        if($current_loca)
        {

             DB::table('delivery_man_current_location')->where('user_id',auth()->user()->id)->update($data);
        }
        else
        {
            DB::table('delivery_man_current_location')->insert($data);

       }
    //    if($check)
       return sendResponse([],'Location Update Successfully');
    //    else
    //    return sendError('Some thing Went Wrong. Try later',[],500);

    }
    public function change_status_iam_arrived(Request $request)
    {
        $order = Order::find($request->order_id);
        $order->update(['order_status' => 'arrived']);

                $order =Order::with('user')->where('id', (int)$request->order_id)->first();

                $rest_user=DB::table('users')->where('id',$order->user_id)->first();
                if($rest_user)
                        $r=sendNotification($rest_user->fcm_token, 'Order #'.$order->id, 'Order has Arrived');

                // sendNotification($order->user->fcm_token, 'Order No #'.$orderCreate->id, 'New Order Created');
                // return sendResponse($order, 'Paid Successfully');


        // $record_check=DB::table('order_request_to_delivery_man')->where('order_id',$request->order_id)->where('user_id',auth()->user()->id)->where('status','pending')->update(['status'=>'complete']);

        // return $this->sendResponse([$record_check], 'Order Complete Successfully!');
        return $this->sendResponse($order, 'Order Complete Successfully!');
    }

    public function change_order_status_for_rider(Request $request)
    {
        $order = Order::find($request->order_id);
        $order->update(['rider_picking_status' => $request->status]);

                // $order =Order::with('user')->where('id', (int)$request->order_id)->first();
                // $rest_user=DB::table('users')->where('id',$order->user_id)->first();
        return $this->sendResponse($order, 'Update Successfully!');
    }
    public function getDriverProfile()
    {
        $user = User::where('id', auth()->user()->id)->first();
        return $this->sendResponse($user);
    }
    public function getDriverCounter()
    {
        // return Auth::user()->id;
        $data['rating']=Review::where('user_id',Auth::user()->id)->get()->count();
        $data['total_amount']=Order::with('orderDetail')->where('user_id',Auth::user()->id)->sum('order_amount');
        $data['order_total']=Order::with('orderDetail')->where('user_id',Auth::user()->id)->count();
        $data['pending_order']=Order::where('order_status','pending')->where('user_id',Auth::user()->id)->count();
        $data['user']=User::where('id',Auth::user()->id)->first();

        return sendResponse($data,'');
    }


    public function updateDriverProfile(Request $request)
    {
        // $image = $request->image;  // your base64 encoded
        // $image = str_replace('data:image/png;base64,', '', $image);
        // $image = str_replace(' ', '+', $image);
        // $imageName = str_random(10).'.'.'png';
        // \File::put(storage_path(). '/' . $imageName, base64_decode($image));

        if($request->image)
        {
            
        $image_64 = $request->image; //your base64 encoded data
          $extension = explode('/', explode(':', substr($image_64, 0, strpos($image_64, ';')))[1])[1];   // .jpg .png .pdf
          $replace = substr($image_64, 0, strpos($image_64, ',')+1); 
         $image = str_replace($replace, '', $image_64); 
         $image = str_replace(' ', '+', $image); 
         $imageName = Str::random(10).'.'.$extension;
         $check=Storage::disk('public_profile')->put($imageName, base64_decode($image));
        }



        // $image = str_replace('data:image/png;base64,', '', $request->image);
        // $image = str_replace(' ', '+', $image);
        // $imageName = Str::random(10).'.'.'png';
        $user=User::find(Auth::user()->id);
        $user->name=$request->name;
        // $user->image=isset($imageName) ? $imageName : null;
        $user->image=isset($imageName) ? $imageName : null;
        $user->contact_number=$request->contact_number;
        $user->save();

        DB::table('user_addresses')->where(['user_id'=>$user->id,'type'=>$request->address_type])->update([
            'user_id'=>$user->id,
            'address'=>$request->address,
            'lat'=>isset($request->lat) ? $request->lat:null,
            'lang'=>isset($request->lang) ? $request->lang:null
           ]);
        return sendResponse([], 'Driver Profile Updated SuccessFully!');

    }
    public function driverOrderHistory(Request $request)
    {
        // pr(auth()->user()->id);

        // ->where('user_id',auth()->user()->id)
        // $order = Order::with(['orderDetail.food','assignedDeliveryMan'=>function($q) {
        //     $q->where('user_id',auth()->user()->id);
        // }])->get();
        // with('belongOrder')->

        $order = DB::table('order_request_to_delivery_man')
                    ->join('orders','orders.id','=','order_request_to_delivery_man.order_id')
                    ->where('order_request_to_delivery_man.user_id',auth()->user()->id)
                    ->where('orders.order_status','!=','Pending')
                    ->orderBy('orders.id','DESC');
        if($request->no_of_order)   
        $order =$order->take($request->no_of_order);
        $order =$order->get();
        if($order){
        return sendResponse($order, '');
        }
        return sendError('No Record Found',[]);

    }

    

    public function privacy()
    {
        return view('backend.pages.deliveryman.term');
    }
    public function termCondition()
    {

        $data['privicy']=DB::table('privicies')->first();
        return sendResponse($data,'');
    }

    // change_driver_online_status
    public function change_driver_online_status(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'status' => 'required|in:1,0'
        ]);
        if ($validator->fails()) return $this->sendResponse($validator->errors());
        $user = User::where('id', auth()->user()->id)->first();
        $user->user_online = $request->status;
        $user->save();
        return $this->sendResponse('Status Updated Successfully');
    }

    // get_driver_online_status
    // public function get_driver_online_status($driver_id)
    // {
    //     $user = User::where('id', $driver_id)->first();
    //     $data = [
    //         'status' => $user->user_online,
    //         'message' => $user->user_online == 1 ? 'Online' : 'Offline'
    //     ];
    //     return $this->sendResponse($data);
    // }


}
