<?php

namespace App\Http\Controllers\Api\Food;

use App\Http\Controllers\Api\ApiController;
use App\Models\backend\Food;
use App\Models\backend\FoodCategory;
use App\Models\backend\Order;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class FoodController extends ApiController
{
    public function index(Request $request)
    {
        $data['foods'] = Food::orderBy('id', 'DESC')->get();
        return sendResponse([$data],'');
    }

    public function create()
    {
        $data['categories'] = FoodCategory::all();
        return $this->sendRespons($data);
    }
    public function edit($id)
    {
        $data['food'] = Food::find($id);
        $data['categories'] = FoodCategory::all();
        return $this->sendResponse( $data);
    }

    public function store(Request $request)
    {

        $this->validate($request, [
            'name' => ['required'],
            'image' => ['required'],
            'featured_image' => ['required'],
            'image.*' => ['mimes:jpeg,jpg,png,gif|required|max:10000'],
        ]);
        if ($request->hasFile('image')) {
            $food_image = time() . '.' . $request->image->getClientOriginalExtension();
            $request->image->move(public_path('/app/food/'), $food_image);
            $food_image2 = time() . '.' . $request->featured_image->getClientOriginalExtension();
            $request->featured_image->move(public_path('/app/food/'), $food_image2);
            $data = [
                'name' => $request->name,
                'category_id' => $request->category_id,
                'price' => $request->price,
                'description' => $request->description,
                'image' => $food_image,
                'featured_image' => $food_image2,
                'restaurant_id' => $request->restaurant_id
            ];
            // $data['restaurant_id'] = auth()->user()->restaurant_id;
            Food::create($data);
        }
        return $this->sendResponse([],'Added Successfully!');
    }

    public function update(Request $request, $id)
    {

        if (Food::where('id',$id)->exists()) {
            // return "okk update if";
        $this->validate($request, [
            'image' => ['required'],
            'image.*' => ['mimes:jpeg,jpg,png,gif|required|max:10000']
        ]);
        $food = Food::find($id);
        if (is_file('/app/food/' . $food->image)) {
            unlink(public_path() . '/app/food/' . $food->image);
        }
        if (is_file('/app/food/' . $food->featured_image)) {
            unlink(public_path() . '/app/food/' . $food->featured_image);
        }
        $file_name = time() . '.' . $request->image->getClientOriginalExtension();
        $request->image->move(public_path('/app/food/'), $file_name);

        $file_name2 = time() . '.' . $request->featured_image->getClientOriginalExtension();
        $request->featured_image->move(public_path('/app/food/'), $file_name2);

        $food->name = $request->name;
        $food->description= $request->description;
        $food->category_id= $request->category_id;
        $food->price= $request->price;
        $food->image= $file_name;
        $food->featured_image= $file_name2;
        $food->is_suggested= $request->is_suggested;
        $food->update();
        return sendResponse([],'Update Successfully!');
    }
    return "okk update not";
    return sendError('Record not found!');
    }


    public function destroy($id)
    {
        $delete_id = Food::find($id);
        $delete_id->delete();
        return $this->sendResponse($delete_id, 'Food deleted successfully!');
    }

}
