<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Api\ApiController;
use App\Models\backend\Food;
use Illuminate\Http\Request;
use App\Models\backend\FoodCategory;
use App\Models\backend\Order;
use App\Models\backend\OrderDetail;
use App\Models\backend\Restuarant;
use App\Models\backend\Profit;
use App\Models\backend\Ledger;
use App\Models\FeedBack;
use App\Models\RestaurantHoliday;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class FoodCategoryController extends ApiController
{
    public function list()
    {
        $success = FoodCategory::with('childrenRecursive')->where('status', 1)->get();
        return $success;
        return $this->sendResponse($success);
    }
    public function single($r)
    {
        $success = FoodCategory::where('id', $r)->get();
        return $this->sendResponse($success);
    }

    public function getRestuarantFood($id)
    {

        $category_food = DB::table('foods as fd')
            ->select('fd.restaurant_id', 'fc.*')
            ->join('food_categories as fc', 'fd.category_id', '=', 'fc.id')
            ->where('fd.restaurant_id', $id)
            ->orderBy('fd.id', 'asc')
            ->get();
        //  $category_food=  FoodCategory::get();
        //   return $category_food;
        foreach ($category_food as $key => $value) {
            $category_food[$key]->food = Food::where('restaurant_id', $id)->where('category_id', $value->id)->get();
        }
        return sendResponse($category_food, '');
    }


    public function getRestuarantAndFoodAgainstCategory($id)
    {

        $category_food = DB::table('foods as fd')
            ->select('r.name as restaurant_name', 'fd.id', 'fc.name as food_category_name', 'fc.id as category_id', 'fd.*')
            ->join('food_categories as fc', 'fd.category_id', '=', 'fc.id')
            ->join('restaurants as r', 'r.id', '=', 'fd.restaurant_id')
            ->where('fc.id', $id)
            ->orderBy('fd.id', 'asc')
            ->get();

        foreach ($category_food as $key => $value) {
            $check_holiday = RestaurantHoliday::where('restaurant_id', $value->restaurant_id)->where('holiday_date', date('Y-m-d'))->first();
            $check_opening = null;
            // this flag will indicate that restaurant is closed
            $flag = null;
            if ($check_holiday) {
                $flag = 1;
            } else {
                $check_opening = DB::table('restaurant_timings')->where('restaurant_id', $value->restaurant_id)->where('day', date('l'))->first();
                if ($check_opening) {
                    $current_time = date('H:i:s');

                    if ($current_time < $check_opening->opening_time || $current_time > $check_opening->closing_time) {
                        // unset($restaurants[$key]);
                        $flag = 1;
                    }
                }
            }

            if ($check_opening) {
                $category_food[$key]->opening_time = date('h:i A', strtotime($check_opening->opening_time));
                $category_food[$key]->closeing_time = date('h:i A', strtotime($check_opening->closing_time));
            }

            if ($flag) {
                // now we will remove this restaurant from the list
                unset($category_food[$key]);
            }
        }
        return sendResponse($category_food, '');
    }


    public function singleFoodDetail($id)
    {
        $rest_food = Food::where('id', $id)->first();

        return $this->sendResponse($rest_food);
    }


    public function placeOrder(Request $request)
    {
        $recrod = DB::table('user_addresses')->where(['user_id' => Auth::user()->id, 'id' => (int)$request->address_id])->first();
        if($recrod)
        {
            $delivery_charges=0;
            $delivery_charges_record = DB::table('business_settings')->where(['key' => 'delivery_charges'])->first();
            if($delivery_charges_record)
            {
                // $rec=json_decode($delivery_charges_record->value);
                $delivery_charges=(float)$delivery_charges_record->value;
            }

        //  return  $recrod;
        DB::beginTransaction();
        try {
            $rest = Restuarant::find($request->restaurant_id);
            $addresses = [
                "contact_person_name" => Auth::user()->name,
                "contact_person_number" => Auth::user()->contact_number,
                "address" => $recrod->address,
                "type" => $recrod->type,
                "lat" => $recrod->lat,
                "lang" => $recrod->lang
            ];
            $order_data = [
                'order_amount' => $request->amount,
                'payment_status' => $request->payment_status,
                'order_status' => 'pending',
                'total_tax_amount' => 0,
                'payment_method' => $request->payment_method,
                'admin_commission' => ($rest->commission) ? $rest->commission : 0,
                'order_type' => $request->order_type,
                'delivery_charge' => $delivery_charges,
                'delivery_address' => $addresses,
                'user_id' => auth()->user()->id,
                'restaurant_id' => $request->restaurant_id,
                'store_discount_amount' => 0,
                'order_note' => $request->order_note
            ];

            
           


            $orderCreate = Order::create($order_data);
            for ($i = 0; $i < sizeof($request->food_id); $i++) {
                $order_detail_data = [
                    'order_id' => $orderCreate->id,
                    'food_id' => $request->food_id[$i],
                    'price' => $request->price[$i]
                ];
                $order_detail = OrderDetail::create($order_detail_data);
            }

            $data4 = [
                'amount' => ($rest->commission) ? $rest->commission : 0,
                'order_id' => $orderCreate->id,
                'type' => 'revenu',
            ];
             Profit::insert($data4);

             $data5 = [
                'amount' => $request->amount -(($rest->commission) ? $rest->commission : 0),
                'order_id' => $orderCreate->id,
                'restaurant_id' => $rest->id,
                'ledger_date'=> date('y-m-d'),
                'note' => 'Order# '.$orderCreate->id.' Amount',
            ];
             Ledger::insert($data5);

           
            // //   return $rest;
            // $lat = $rest->latitude;

            // $lon = $rest->longitude;

            // $riders = DB::table("delivery_man_current_location")
            //     ->select(
            //         "delivery_man_current_location.user_id",
            //         DB::raw("6371 * acos(cos(radians(" . $lat . "))
            //         * cos(radians(delivery_man_current_location.lat))
            //         * cos(radians(delivery_man_current_location.lang) - radians(" . $lon . "))
            //         + sin(radians(" . $lat . "))
            //         * sin(radians(delivery_man_current_location.lat))) AS distance")
            //     )
            //     ->groupBy("delivery_man_current_location.location_id")
            //     ->get();

            // if ($riders) {

            //     foreach ($riders as $k => $r) {
            //         $data[] = array(
            //             'user_id' => $r->user_id,
            //             'order_id' => $orderCreate->id,
            //         );
            //     }
            //     DB::table('order_request_to_delivery_man')->insert($data);
            // }


            DB::commit();
            // ---------------------------------------------------------
            // $rest_users = User::where('restaurant_id', $rest->id)->first();
            // sendNotification($rest_users->fcm_token, 'Order No #'.$orderCreate->id, 'New Order Created');
            return sendResponse($order_detail, 'Order Created successfully!');
            // ---------------------------------------------------------

            //  $order_detail_data = [
            //     'order_id' =>$orderCreate->id,
            //     'food_details' => [
            //         'id'=>12,
            //         'name' => 'burger',
            //         'description'=>'description'
            //     ],
            //     'add_ons' => [
            //         'name'=>"pepsi 1.5ltr",
            //         'price'=>80,
            //         'quantity'=>2
            //     ],
            //     'variation' => [
            //         'type'=>"small",
            //         'price'=>1234
            //     ]
            // ];
            // $orderDetailData = OrderDetail::create($order_detail_data);
            //work for FCM
            // $user = User::where('id',auth()->user()->id)->first();
            // return $user;
            // $to = "f-nlnwDPTi2il_NFfjxLzL:APA91bF4i5TAHn9to5E_6E8nkNllH1mQwEHBT1zaHTCeKeg6V-WyDkpiEVYbKVM4RWMFDXCk-jplXBmHG_TXnTnAiIfYYApTafDBXezZnVd10OGsnDUAgZnh0932vhX8cSWV_ec-Yt7p";
            // $title = "Greeting Notification Resturant Order";
            // $message = "Have good day! farooq Your order place plaease prepare the Order!";
            // $res =send_FCM($to, $title, $message);
            // $res=1;
            // if($res==1){
            //     return $this->sendResponse($res, 'send noti successfully!');
            // }else{
            //     return $this->sendResponse($res, 'not send noti !');
            // }




        } catch (\Exception $e) {
            return $e->getLine() . ' - ' . $e->getMessage();
            DB::rollBack();
            return back()->withError($e->getLine() . ' - ' . $e->getMessage());
        }
        }
        
        else{
        return sendError('User Address not Found',[]);

        }
    }
    public function getOrderStatus(Request $request)
    {
        //$rest_food = Order::where('id', $id)->latest('id')->first();
        $rest_food = DB::table('orders')->latest()->first();
        return $this->sendResponse($rest_food);
    }



    function send_FCM($to, $body, $title)
    {
        $URL = 'https://fcm.googleapis.com/fcm/send';
        $accesstoken = env('FCM_KEY'); //server key

        $post_data = '{
            "to" : "' . $to . '",
            "notification" : {
                 "body" : "' . $body . '",
                 "title" : "' . $title . '"
                },

          }';

        $crl = curl_init();

        $headr = array();
        $headr[] = 'Content-type: application/json';
        $headr[] = 'Authorization: ' . $accesstoken;
        curl_setopt($crl, CURLOPT_SSL_VERIFYPEER, false);

        curl_setopt($crl, CURLOPT_URL, $URL);
        curl_setopt($crl, CURLOPT_HTTPHEADER, $headr);

        curl_setopt($crl, CURLOPT_POST, true);
        curl_setopt($crl, CURLOPT_POSTFIELDS, $post_data);
        curl_setopt($crl, CURLOPT_RETURNTRANSFER, true);

        $rest = curl_exec($crl);

        if ($rest === false) {
            // throw new Exception('Curl error: ' . curl_error($crl));
            //print_r('Curl error: ' . curl_error($crl));
            $result_noti = 0;
        } else {

            $result_noti = 1;
        }

        //curl_close($crl);
        // print_r($result_noti);die;
        return $result_noti;
    }
}
