<?php

namespace App\Http\Controllers\Api\Order;

use App\Http\Controllers\Api\ApiController;

use App\Models\backend\Order;
use App\Models\backend\Restuarant;
use App\Models\UserType;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class OrderController extends ApiController
{

    // public function showOrder(Request $request)
    // {

    //     $data['orders'] = Order::with('orderDetail.food')->where('order_status', 'confirmed')->get();
    //     return $this->sendResponse($data);
    // }
    public function changeStatus(Request $request)
    {
        $order = Order::find($request->id);
        if($order){
            $order->update(['order_status' => 'accepted']);
        return $this->sendResponse([], 'Order Accepted Successfully!');
        }
        return $this->notFound();

    }

    public function completeOrder(Request $request)
    {
        $order = Order::find($request->order_id);
        $order->update(['order_status' => 'completed']);

        $record_check=DB::table('order_request_to_delivery_man')->where('order_id',$request->order_id)->where('user_id',auth()->user()->id)->where('status','pending')->update(['status'=>'complete']);
        $record_check=DB::table('users')->where('user_id',auth()->user()->id)->update(['rider_busy'=>0]);

        // return $this->sendResponse([$record_check], 'Order Complete Successfully!');
        return $this->sendResponse($order, 'Order Complete Successfully!');
    }

    public function getUserOrderHistory(Request $request)
    {

        $order = Order::with('orderDetail.food')->where('user_id',auth()->user()->id)->get();
        if($order){
            // $order->update(['order_status' => 'accepted']);
        return sendResponse($order, '');
        }
        return sendError('No Record Found',[]);

    }
    public function RestOrderHistory(Request $request)
    {

        $order = Order::with('orderDetail.food')->where('user_id',auth()->user()->id)->get();
        if($order){
            // $order->update(['order_status' => 'accepted']);
        return sendResponse($order, '');
        }
        return sendError('No Record Found',[]);

    }


    public function showOrderById(Request $request, $order_id)
    {

        $data['orders'] = Order::with('orderDetail.food')->where('id', $order_id)->first();

        return $this->sendResponse($data);
    }
    public function getRecentOrder(Request $request)
    {

        $data['order'] = Order::with('orderDetail.food')->where('user_id',auth()->user()->id)->where('order_status','!=','completed')->orderBy('id', 'desc')->first();
        return $this->sendResponse($data);
    }

    public function thank_you_screen($order_id)
    {
        $data['order'] = Order::with('orderDetail.food')->where('id', $order_id)->first();

        $data['order_details'] = [
            'amount' => $data['order']->order_amount,
            'payment_method' => $data['order']->payment_method,
            'order_id' => $data['order']->id,
            'restaurant' => Restuarant::find($data['order']->restaurant_id)->name ?? '',
            'order_status' => $data['order']->order_status,
        ];

        // return $data['order']->orderDetail;

        $items_name_in_order = [];
        foreach ($data['order']->orderDetail as $key => $value) {
            $items_name_in_order[] = [
                'name' => $value->food->name ?? '',
                'quantity' => $value->quantity,
            ];
        }

        $data['order_details']['items'] = $items_name_in_order;

        unset($data['order']);

        return $this->sendResponse($data);
    }


}
