<?php
namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
// use Srmklive\PayPal\Services\ExpressCheckout;
use App\Http\Controllers\Controller;
use PayPal\Api\Payment;
use PayPal\Api\PaymentExecution;
use PayPal\Api\Transaction;
use PayPal\Api\Amount;
use PayPal\Api\Details;
use App\Models\backend\Order;
use Illuminate\Support\Facades\Validator;
use DB;
use Session;

class PayPalController extends Controller
{
    public function makePayment(Request $r)
    {
        $validator = Validator::make($r->all(), [
            'order_id'    => 'required',
        ]);

        if ($validator->fails()) return sendError('Validation Error.', $validator->errors(), 422);


        $order_rec= Order::where('id', $r->order_id)->first();
        if($order_rec)
        {

        
            // pr($order_rec);
            // \PayPal\Core\PayPalConfigManager::getInstance()->addConfigs(['mode' => 'live' /*or "sandbox" */]) ;
            $apiContext = new \PayPal\Rest\ApiContext(
            new \PayPal\Auth\OAuthTokenCredential(
                'AcOgkAaPEg8g_xIeGJFpGr5nIwyMNAb_75Vm-vvp_G09jbWJW1e6eOB6DpNWdtk8bHarAN5rue6ye_C7',     // ClientID
                'ELFGyzen8eNydUMbUyuYLlXQzswc1QxDvvdw0EsHeQj0vPp0hNSmGFvVm7OXbbhY4vFOlWblh6bsy6dp'      // ClientSecret
            )
            );
            // print_r($apiContext);
            $payer = new \PayPal\Api\Payer();
            $payer->setPaymentMethod('paypal');

            // $details = new Details();
            // $details->invoice_number='001';
            
            $amount = new \PayPal\Api\Amount();
            $amount->setTotal($order_rec->order_amount);
            $amount->setCurrency('USD');
            // $amount->setDetails($details);
            
            $transaction = new \PayPal\Api\Transaction();
            $transaction->setAmount($amount);
            $transaction->setInvoiceNumber(''.$order_rec->id);
            // $transaction->setInvoiceNumber('07');
            
            $redirectUrls = new \PayPal\Api\RedirectUrls();
            $redirectUrls->setReturnUrl(route('psuccess'))
                ->setCancelUrl(route('pfailed'));
            
            $payment = new \PayPal\Api\Payment();
            $payment->setIntent('sale')
                ->setPayer($payer)
                ->setTransactions(array($transaction))
                ->setRedirectUrls($redirectUrls);


            // After Step 3
            try {
                $payment->create($apiContext);
                // echo $payment;
                return sendResponse(['approve_link'=>$payment->getApprovalLink()], 'order created successfully');
                // echo "\n\nRedirect user to approval_url: " . $payment->getApprovalLink() . "\n";
            }
            catch (\PayPal\Exception\PayPalConnectionException $ex) {
                // This will print the detailed information on the exception.
                //REALLY HELPFUL FOR DEBUGGING
                echo $ex->getData();
            } 
        }
        else
        {
            return sendError('Order Not Found', [], 500);
        }   
    }
    public function process(Request $request)
    {
        // $order_id=
        $orderId=Session::get('order_id');
        $payload = $request->input('payload', false);
        $nonce = $payload['nonce'];
        $gateway = new \Braintree\Gateway([
            'environment' => env('BRAINTREE_ENV'),
            'merchantId' => env("BRAINTREE_MERCHANT_ID"),
            'publicKey' => env("BRAINTREE_PUBLIC_KEY"),
            'privateKey' => env("BRAINTREE_PRIVATE_KEY")
        ]);
        // Session::put('order_id', 1);
        // $order_rec= Order::where('id', $order_id)->first();
        $order =Order::with('user')->where('id', (int)$orderId)->first();

        $status = $gateway->transaction()->sale([
        'amount' => $order->order_amount,
        'paymentMethodNonce' => $nonce,
        'options' => [
            'submitForSettlement' => True
                    ]
        ]);

        $check= Order::where('id', (int)$orderId)->update(['payment_status'=>'paid']);
            if($check)
            {
                $rest_user=DB::table('users')->where('restaurant_id',$order->restaurant_id)->first();
                if($rest_user)
                sendNotificationFireBase($rest_user->fcm_token, 'Order #'.$order->id, 'New Order Created');
                        // $r=sendNotification($rest_user->fcm_token, 'Order #'.$order->id, 'New Order Created');
                       $admin_user= DB::table('users')->where('user_type_id',1)->first();
                sendNotificationFireBase($admin_user->fcm_token, 'Order #'.$order->id, 'New Order Created');

                // sendNotification($order->user->fcm_token, 'Order No #'.$orderCreate->id, 'New Order Created');
                return sendResponse($order, 'Paid Successfully');

            }
            else
            return sendError('Payment Deduct From User,But error occure in application', $result, 500);
            Session::forget('order_id');
        return response()->json($status);
    }

    public function loadCardView($order_id,Request $r)
    {
        Session::put('order_id', $order_id);
        $order_rec= Order::where('id', $order_id)->first();
        $gateway = new \Braintree\Gateway([
            'environment' => env('BRAINTREE_ENV'),
            'merchantId' => env("BRAINTREE_MERCHANT_ID"),
            'publicKey' => env("BRAINTREE_PUBLIC_KEY"),
            'privateKey' => env("BRAINTREE_PRIVATE_KEY")
        ]);
            $clientToken = $gateway->clientToken()->generate();

        return view('backend.pages.payment_method',['token' => $clientToken],compact('order_rec'));
        // $validator = Validator::make($r->all(), [
        //     'order_id'    => 'required',
        // ]);

        // if ($validator->fails()) return sendError('Validation Error.', $validator->errors(), 422);


        }

    public function cardSuccess()
    {
        echo json_encode(['success'=>false,'message'=>'payment success']);
    }

    public function cardError()
    {
        echo json_encode(['success'=>true,'message'=>'payment Decline']);
    }
   
    public function paymentCancel()
    {
        echo json_encode(['success'->false,'message'=>'payment Decline']);
    }


  
    public function paymentSuccess(Request $request)
    {
        
        
         

        $apiContext = new \PayPal\Rest\ApiContext(
            new \PayPal\Auth\OAuthTokenCredential(
                'AcOgkAaPEg8g_xIeGJFpGr5nIwyMNAb_75Vm-vvp_G09jbWJW1e6eOB6DpNWdtk8bHarAN5rue6ye_C7',     // ClientID
                'ELFGyzen8eNydUMbUyuYLlXQzswc1QxDvvdw0EsHeQj0vPp0hNSmGFvVm7OXbbhY4vFOlWblh6bsy6dp'      // ClientSecret
            )
            );

            $paymentId = request('paymentId');
            $payment = Payment::get($paymentId, $apiContext);

            $execution = new PaymentExecution();
            $execution->setPayerId(request('PayerID'));
                                                    // $transaction = new Transaction();
                                                    // $amount = new Amount();
                                                    // $details = new Details();
                                                    // $details->invoice_number='002';
                                                    // $amount->setDetails($details);
                                                    

                                                    // $amount->setCurrency('USD');
                                                    // $amount->setTotal(1);
                                                    // $transaction->setAmount($amount);
            $result = $payment->execute($execution, $apiContext);
            $result=json_decode($result->toJSON(),true);
            
        $id=$result['id'];
        $state=$result['state'];
        if($state=='approved')
        {
            
            $orderId=$result['transactions'][0]['invoice_number'];
            $check= Order::where('id', (int)$orderId)->update(['payment_status'=>'paid']);
            if($check)
            {
                $order =Order::with('user')->where('id', (int)$orderId)->first();
                $rest_user=DB::table('users')->where('restaurant_id',$order->restaurant_id)->first();
                if($rest_user)
                        $r=sendNotification($rest_user->fcm_token, 'Order #'.$order->id, 'New Order Created');

                // sendNotification($order->user->fcm_token, 'Order No #'.$orderCreate->id, 'New Order Created');
                return sendResponse($order, 'Paid Successfully');

            }
            else
            return sendError('Payment Deduct From User,But error occure in application', $result, 500);
        }
        else
        return sendError($state, $result, 500);
    }
}
