<?php

namespace App\Http\Controllers;

use App\Helpers\NotificationHelper;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Traits\NotificationTrait;
use DB;


class HomeController extends Controller
{
    use NotificationTrait;
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    // public function index()
    // {
    //     return view('home');
    // }
     public function saveToken(Request $request)
    {
        auth()->user()->update(['fcm_token'=>$request->token]);
        return response()->json(['token saved successfully.']);
    }
     function sendNotificationZarif()
    {
        // sendNotification($rest_users->fcm_token, 'Order No #'.$orderCreate->id, 'New Order Created');
        sendNotificationFireBase(User::where('user_type_id',1)->first()->fcm_token,'Order No #1', 'New Order Created');
        
        
    }
    public function dashboard()
    {
        $order=[];
        $orders['total']=0;
        $orders['pending']=0;
        $orders['completed']=0;
        $dashboard_data=[];
        if(Auth::user()->user_type_id==1)
        {
            $orders['total'] = DB::table('orders')
            // ->join('restaurants','restaurants.id','=','users.restaurant_id')
            // ->join('orders','orders.restaurant_id','=','restaurants.id')
            // ->where('users.id',auth()->user()->id)
            ->count();

            $orders['pending'] = DB::table('orders')
                        // ->join('restaurants','restaurants.id','=','users.restaurant_id')
                        // ->join('orders','orders.restaurant_id','=','restaurants.id')
                        // ->where('users.id',auth()->user()->id)
                        ->where('orders.order_status','Pending')
                        ->count();
                        

            $orders['completed'] = DB::table('orders')
                        // ->join('restaurants','restaurants.id','=','users.restaurant_id')
                        // ->join('orders','orders.restaurant_id','=','restaurants.id')
                        // ->where('users.id',auth()->user()->id)
                        ->where('orders.order_status','Completed')
                        ->count();
                        
            $orders['customer_user'] = DB::table('users')
                        ->where('users.user_type_id',4)
                        ->count(); 
            $orders['rest_user'] = DB::table('users')
                        ->where('users.user_type_id',2)
                        ->count();  

            $orders['rider_user'] = DB::table('users')
                        ->where('users.user_type_id',3)
                        ->count();                         
            $orders['total_user'] = DB::table('users')
                        ->where('users.user_type_id','!=',1)
                        ->count();  
            $order = DB::table('users')
                        ->join('restaurants','restaurants.id','=','users.restaurant_id')
                        ->join('orders','orders.restaurant_id','=','restaurants.id')
                        ->join('users as user2','user2.id','=','orders.user_id')
                        // ->where('users.id',auth()->user()->id)
                        // ->where('orders.order_status','Completed')
                        ->orderBy('orders.created_at','DESC')
                        ->take(10)
                        ->select('orders.*','user2.name','user2.contact_number','user2.email')
                        ->get();                                  
        }

        if(Auth::user()->user_type_id==2)
        {
            $order = DB::table('users')
                    ->join('restaurants','restaurants.id','=','users.restaurant_id')
                    ->join('orders','orders.restaurant_id','=','restaurants.id')
                    ->join('users as user2','user2.id','=','orders.user_id')
                    ->where('users.id',auth()->user()->id)
                    // ->where('orders.order_status','Completed')
                    ->orderBy('orders.created_at','DESC')
                    ->take(8)
                    ->select('orders.*','user2.name','user2.contact_number','user2.email')
                    ->get();

         $orders['total'] = DB::table('users')
                    ->join('restaurants','restaurants.id','=','users.restaurant_id')
                    ->join('orders','orders.restaurant_id','=','restaurants.id')
                    ->where('users.id',auth()->user()->id)
                    ->count();

         $orders['pending'] = DB::table('users')
                    ->join('restaurants','restaurants.id','=','users.restaurant_id')
                    ->join('orders','orders.restaurant_id','=','restaurants.id')
                    ->where('users.id',auth()->user()->id)
                    ->where('orders.order_status','Pending')
                    ->count();
                    

         $orders['completed'] = DB::table('users')
                    ->join('restaurants','restaurants.id','=','users.restaurant_id')
                    ->join('orders','orders.restaurant_id','=','restaurants.id')
                    ->where('users.id',auth()->user()->id)
                    ->where('orders.order_status','Completed')
                    ->count();  
                    
        $dashboard_data = User::with('userType','restuarant')->where('id', Auth::user()->id)->first();           
        }


        
                      // pr($order);

         
       // dd($order);
       return view('backend.pages.dashboard',compact('dashboard_data','order','orders'));
    }

    public function userProfile()
    {
        $data['user'] = User::with('userType','restuarant')->where('id', Auth::user()->id)->first();
        // dd($data);
        return view('backend.pages.users.user_profile', $data);
    }

    public function userProfileUpdate($id,Request $request)
    {
        $this->validate($request, [
                // 'name' => 'required|min:3|max:50',
                // 'email' => 'email',
                // 'vat_number' => 'max:13',
                'password' => 'required|confirmed|min:6',
            ]);
       $check=User::where('id',$id)->update(['password' => bcrypt($request->password)]);
       if($check)
       return redirect()->back()->with('success','Record Updated');
       else 
       return redirect()->back()->with('error','Action Failed');
        // dd($data);
        // return view('backend.pages.users.user_profile', $data);
    }
    public function pushNotification()
    {
        return view('notification.app');
    }

    // public function saveToken(Request $request)
    // {
    //     // return $request->all();
    //     $user=Auth::user();
    //     $user->device_token=$request->token;
    //     $user->save();
    //      $res=$this->sendNotification($request);
    // //   auth()->user()->update(['device_token'=>$request->token]);//user device totken update through ajax call
    //  return response()->json($res);
    // }


    public function sendNotification(Request $request)
    {
        try {
            $firebaseToken = 'dRNkdtTiQnuDIoGzdncwpx:APA91bGrnpWnagzYkD3t8q3YlG4HyWZhbM_l2BnXvV4OJxRV345IR1wxERiTS0g-MhUHPPl4xV1yErpbvZ2m-Gn_rPKh2xMcyYJWZbqoV16meDgNadSyUHsWs7wfVZGa0xK_UCDr3FFo';
            $SERVER_API_KEY = 'AAAARhqbVCE:APA91bHG2tsbyuZCXbMedpOXX33C9dqifIayJJHGxEqUHW_E3pRn5eFGB36tfcYeApvni2ZStvAxuOrB8bTjAKzHH53gQ8cLfCAqVjhZLp4-BJWMgCKxJ0QKLtxOg2PrXQpiEVFlKj2L';

            // $dataString = [
            //     "to" => $firebaseToken,
            //     "notification" => [
            //         "title" => $request->title,
            //         "body" => $request->body,
            //     ]
            // ];
            $dataString = array(
                'to' => $firebaseToken,
                "title" => "from server test",
                "body" => "test",
            );
            //  $dataString = json_encode($data);
            // print_r($dataString);
            // die;
            $headers = [
                'Authorization: key=' . $SERVER_API_KEY,
                'Content-Type: application/json',
            ];

            $ch = curl_init();

            curl_setopt($ch, CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send');
            curl_setopt($ch, CURLOPT_POST, true);
            curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($dataString));

            $response = curl_exec($ch);
            //  return $response;
            return response()->json($response);
            // return back()->with('success', 'Notification send successfully.');
        } catch (\Exception $e) {

            return back()->withErrors($e->getMessage());
        }
    }

    //////////////////////////add through helper Call  ============
    //     public function sendNotification(Request $request){

    //         $user = User::where('id', Auth::user()->id)->first();
    //         $notification_id = "cHngvoKkToKH1TNGpw3wNe:APA91bHC40HlX3cCSnYyYc541gjfdtFyCboRc5K4XVqY_Sh1K_tHGZiiq9kP-mhwmWIe9UZnk4jWutB_PB-Vri25gmCOUmKNDIyQ3K8pIQIfhepxbxGtRo_zyPAr5frZBziPo6Nw_Rke";
    //         $title = "Greeting Notification";
    //         $message = "Have good day! farooq";
    //         $id = $user->id;
    //         $type = "basic";

    //         $res =send_notification_FCM($notification_id, $title, $message, $id,$type);

    //         if($res == 1){

    //           return $res;

    //         }else{

    //           return "not okk";
    //         }


    //      }




    // }
}
