<?php

namespace App\Http\Controllers\backend;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\backend\FoodCategory;
use Illuminate\Support\Facades\Storage;

class FoodcategoryController extends Controller
{

    public function index(){


        $foodCategories = FoodCategory::all();

        return view('backend.pages.foodcategory.index',compact('foodCategories'));
    }
    public function create(){
        return view('backend.pages.foodcategory.create');
    }
    public function store(Request $request){
        $this->validate( $request, [
            'name'=>['required'],
            'status'=>['required'],
            'image' => ['required'],
            'image.*' => ['mimes:jpeg,jpg,png,gif|required|max:10000'],
        ]);
        $data = [
            'name'=>$request->name,
            // 'parent_id'=>$request->parent_id,
            'status'=>$request->status,
        ];
        if($request->hasFile('image'))
        {
            $food_image = time() . '.' . $request->image->getClientOriginalExtension();
            $request->image->move(public_path('/app/foodcategory/'), $food_image);

            // $imgName = time().'.'. $request->image->extension();
            // $request->image->storeAs('public/foodcategory',$imgName);
            $data['image']=$food_image;
        }

        $check=FoodCategory::create($data);

        return redirect()->route('backend.foodcat.list')->with('success','Food Category Added Successfully');

    }

    public function edit($id)
    {
       $editfoodcategory = FoodCategory::find($id);
       return view('backend.pages.foodcategory.edit',compact('editfoodcategory'));
    }

    public function update(Request $request, $id)
    {
        $foocategory = FoodCategory::find($id);

        if($request->hasFile('image'))
        {

            $imgName = time().'.'. $request->image->extension();
            $request->image->storeAs('/app/foodcategory/',$imgName);
            if(Storage::exists('/app/foodcategory/'. $foocategory->image)){
                $delete= Storage::delete('/app/foodcategory/'. $foocategory->image);
            }
            $foocategory->image = $imgName;
        }

            $foocategory->name = $request->name;
            $foocategory->parent_id = $request->parent_id;
            $foocategory->status = $request->status;

        $foocategory->update();
        return redirect()->route('backend.foodcat.list')->with('success','Food Category Updated Successfully');
    }
    public function delete($id)
    {
        $fdelete = FoodCategory::find($id);
        $fdelete->delete();
        return redirect()->route('backend.foodcat.list')->with('success','Deleted Successfully');

    }
}
