<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use App\Models\FeedBack;
use App\Models\Review;
use App\Models\User;
use App\Models\UserType;
use Illuminate\Http\Request;
use App\Models\backend\Restuarant;
use App\Models\backend\Profit;
use App\Models\backend\Ledger;
use App\Models\backend\Order;


class ReportsController extends Controller
{
    public function feedbacks()
    {
        $feedbacks = FeedBack::with('user')->get();
        // dd($feedbacks);
        return view('backend.pages.reports.feedbacks', compact('feedbacks'));
    }

    public function feedback_show($id)
    {
        $feedback = FeedBack::with('user')->find($id);
        return view('backend.pages.reports.feedback_show', compact('feedback'));
    }

    public function reviews()
    {
        $reviews = Review::where('type', 1)->with(['user', 'restaurant'])->get();
        // dd($reviews);
        return view('backend.pages.reports.reviews', compact('reviews'));
    }

    public function users_report(Request $request)
    {
        $query = User::with('userType')->select('*');

        if ($request->filled('user_type_id')) {
            $query->where('user_type_id', $request->input('user_type_id'));
        }

        if ($request->filled('status')) {
            $query->where('status', $request->input('status'));
        }


        $users = $query->get();
        // dd($users);

        $usersType = UserType::all();



        return view('backend.pages.users.report', compact('users', 'usersType'));
    }

    // reviews_delete
    public function reviews_delete($id)
    {
        $review = Review::find($id);
        $review->delete();
        return redirect()->back()->with('success', 'Review Deleted Successfully');
    }

    //for Resturant Report
    public function allResturant(Request $request )
    {
        $rests = Restuarant::all();   
           return view('backend.pages.reports.resturant.all_rest', compact('rests'));
    }

    public function profit_and_loss_form(Request $request )
    {
        // $rests = Restuarant::all();   
           return view('backend.pages.reports.owner.profit_loss_form');
    }
    public function profit_and_loss_report(Request $request )
    {
        // $restaurantId = $request->input('rest_id');
        $fromDate = $request->input('from_date');
        $toDate = $request->input('to_date');
        // dd($request->all());
        $previous_balance=0;
        // if ($restaurantId !== 'all') {
            $orders=Profit::select('*');
            if($toDate)
            $orders=$orders->where('profit_date', '<=',$toDate);
            if($fromDate)
            {
               $previous_balance= Profit::where('profit_date', '<=',$fromDate)->sum('amount');
                $orders=$orders->where('profit_date', '>=',$fromDate);
            }
            $profit_record=$orders->get();
            //  dd($prifit_record);
        // }

        //   $prifit_record = Order::all();   
           return view('backend.pages.reports.owner.profile_and_loss_record', compact('profit_record','previous_balance','fromDate','toDate'));
    }

    public function ledger_form(Request $request )
    {
        $zones = Restuarant::where('status',1)->get();
        $delivery_man = User::select('id','name','email')->where('status',1)->where('verified',1)->where('user_type_id',3)->get();
           return view('backend.pages.reports.owner.ledger_form',compact('zones','delivery_man'));
    }
    public function ledger_report(Request $request )
    {
        $request->validate([
            'report_type' => 'required',
            'deliveryman' => ['required_if:Payed_for,Delivery Man'],
            'restaurant' => ['required_if:Payed_for,Restaurant'],
        ]);

        // $fromDate = $request->input('from_date');
        // $toDate = $request->input('to_date');
        $report_type=$request->report_type;
        $previous_balance=0;
        $rest_data='';
        $delivery_man_data='';
        if($report_type =='Restaurant')
        {
            $restaurant=$request->restaurant;
            $rest_data=Restuarant::find($restaurant);
        
            $orders=Ledger::select('*');
            // if($toDate)
            // $orders=$orders->where('profit_date', '<=',$toDate);
            // if($fromDate)
            // {
            //    $previous_balance= Ledger::where('profit_date', '<=',$fromDate)->sum('amount');
                // $orders=$orders->where('profit_date', '>=',$fromDate);
                $orders=$orders->where('restaurant_id',$request->restaurant);
            // }
            $ledger_record=$orders->get();
        }
        else
        {
            $deliveryman=$request->deliveryman;
            $delivery_man_data=User::find($deliveryman);
          
            $orders=Ledger::select('*');
            // $previous_balance= Ledger::where('profit_date', '<=',$fromDate)->sum('amount');
            $orders=$orders->where('user_id',$request->deliveryman);
            $ledger_record=$orders->get();
        }

            // dd($ledger_record);


           return view('backend.pages.reports.owner.ledger_record', compact('ledger_record','previous_balance','report_type','delivery_man_data','rest_data'));
    }
    

    public function resturantReport (Request $request )
    {
        $restaurantId = $request->input('rest_id');
        $fromDate = $request->input('from_date');
        $toDate = $request->input('from_date');
        if ($restaurantId !== 'all') {
            $orders=Order::where('restaurant_id', $restaurantId)->get();
            //  dd("speicfic order",$orders);
            return view('backend.pages.reports.resturant.single_rest_order', compact('orders'));
        }
          $orders = Order::all();   
           return view('backend.pages.reports.resturant.single_rest_order', compact('orders'));
    }

   


    public function allRiderOrder(Request $request )
    {
        // $deliverymens = User::all();   
        // $deliverymens = User::with('userType' 'user_type_id',)->get();  
        $deliverymens = User::whereHas('userType', function ($query) {
            $query->where('user_type_id', 3); // Adjust the condition as needed
        })->get(); 
        // $deliverymens = User::with('deliveryMans');   
        // dd($deliverymens);
        // return  $deliverymens;
           return view('backend.pages.reports.rider.all_riders', compact('deliverymens'));
    }

//for Rider report
    public function riderReport(Request $request )
    {
        $riderId = $request->input('rider_id');
        $fromDate = $request->input('from_date');
        $toDate = $request->input('from_date');
        if ($riderId !== 'all') {
            $orders = Order::where(function ($query) use ($riderId) {
                $query->where('user_id', $riderId)
                      ->orWhere('delivery_man_id', $riderId);
            })->get();
            
            //   dd("speicfic order",$orders);
            return view('backend.pages.reports.rider.single_rider_order', compact('orders'));
        }
          $orders = Order::all();   
        //   dd("all order",$orders);
           return view('backend.pages.reports.rider.single_rider_order', compact('orders'));
    }

// for Order report

    public function allOrderDetail(Request $request )
    {
        $orders = Order::with('orderDetail','user')->get(); 
        //  return $orders;  
        // dd($orders);
           return view('backend.pages.reports.order.all_orders', compact('orders'));
    }
    
    public function orderReport(Request $request )
    {
       
        $order_type = $request->input('order_type');
        $fromDate = $request->input('from_date');
        $toDate = $request->input('from_date');
        $report_type = $request->input('report_type');
        $order_id = $request->input('order_id');
        if($report_type !="single"){
            if($order_type != 'all'){

                $orders = Order::with('orderDetail', 'user', 'assignedDeliveryMan')
                ->where('order_status', $order_type)
                ->whereDate('created_at', '>=', $fromDate)
                ->whereDate('created_at', '<=', $toDate)
                ->get();
            }else{
                $orders = Order::with('orderDetail', 'user', 'assignedDeliveryMan','restaurant')
                ->whereDate('created_at', '>=', $fromDate)
                ->whereDate('created_at', '<=', $toDate)
                ->get();

            }


            return view('backend.pages.reports.order.all_order_detail', compact('orders'));
        }

             $order = Order::with('orderDetail', 'user', 'assignedDeliveryMan','restaurant')
                // ->where('order_status', $order_type)
                ->where('id', $order_id)
                // ->whereDate('created_at', '>=', $fromDate)
                // ->whereDate('created_at', '<=', $toDate)
                ->first(); 
                //   dd($order);
           return view('backend.pages.reports.order.single_order_detail', compact('order'));
    }



}
