<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use App\Models\RestaurantHoliday;
use Illuminate\Http\Request;

class RestaurantHolidaysController extends Controller
{
    public function index()
    {
        $holidays = RestaurantHoliday::where('restaurant_id', auth()->user()->restaurant_id)->get();

        return view('backend.restaurant-panel.holidays.index',compact('holidays'));
    }

    public function create()
    {
        $restaurant_id = auth()->user()->restaurant_id;

        return view('backend.restaurant-panel.holidays.create', compact('restaurant_id'));
    }

    public function store(Request $request)
    {
        $request->validate([
            'holiday_date' => 'required',
            'reason' => 'required',
        ]);

        unset($request['_token']);

        $restaurant_id = $request->restaurant_id;
        $day = $request->day;
        $restaurant_holiday = RestaurantHoliday::where('restaurant_id', $restaurant_id)->where('holiday_date', $day)->first();
        if($restaurant_holiday){
            $restaurant_holiday->update($request->all());
        }else{
            RestaurantHoliday::create($request->all());
        }

        return redirect()->route('holidays.index')->with('success','Restaurant Holiday created successfully.');
    }

    public function edit($id)
    {
        $holiday = RestaurantHoliday::find($id);
        return view('backend.restaurant-panel.holidays.edit',compact('holiday'));
    }

    public function update(Request $request, $id)
    {
        $request->validate([
            'holiday_date' => 'required',
            'reason' => 'required',
        ]);

        unset($request['_token']);

        $restaurant_id = $request->restaurant_id;
        $day = $request->holiday_date;
        $restaurant_holiday = RestaurantHoliday::where('restaurant_id', $restaurant_id)->where('holiday_date', $day)->first();
        if($restaurant_holiday){
            $restaurant_holiday->update($request->all());
        }else{
            RestaurantHoliday::create($request->all());
        }

        return redirect()->route('holidays.index')->with('success','Restaurant Holiday updated successfully.');
    }

    public function destroy($id)
    {
        $restaurant_holiday = RestaurantHoliday::find($id);
        $restaurant_holiday->delete();

        return redirect()->route('holidays.index')->with('success','Restaurant Holiday deleted successfully.');
    }
}
