<?php

namespace App\Http\Controllers\backend;

use App\Models\Setting;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class SettingController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        // prp();
        $list = Setting::all();
        return view('backend.pages.settings.index', compact('list'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('backend.pages.settings.create');
    }
    public function store(Request $request)
    {
        $request->validate([
            'position' => 'required|integer',
            'slider_image' => 'required|image|mimes:jpeg,png,jpg,gif|max:1000|dimensions:max_width=840,max_height=300',
        ]);
         // if ($request->slider_image) {
                $slider_image = time() . rand(200, 400) . '.' . $request->slider_image->getClientOriginalExtension();
                $request->slider_image->move(public_path('/app/restaurant/'), $slider_image);
            // } 
            // else
            // {
                // return redirect()->route('backend.settings.create')->with('error', 'Issues in file Uploading');
            // }

        // pr($slider_image);
        $data = [
            'position' => $request->position,
            'slider_image' => '/app/restaurant/'.$slider_image,
            // 'status' => $request->status,
        ];

        $id = Setting::insert($data);
        

        return redirect()->route('backend.settings.list')->with('success', 'Add successfully');
    }

     
    public function edit($id)
    {
        $setting = Setting::find($id);
        return view('backend.pages.settings.edit', compact('setting'));
    }
    public function update(Request $request, $id)
    {
        $request->validate([
            'position' => 'required|integer',
        ]);
        $setting = Setting::find($id);
        if ($request->slider_image) 
        {
                 $request->validate([
                        'slider_image' => 'required|image|mimes:jpeg,png,jpg,gif|max:1000|dimensions:max_width=840,max_height=300',
                    ]);
            $slider_image = time().rand(200, 400).'.'.$request->slider_image->getClientOriginalExtension();
            $request->slider_image->move(public_path('/app/restaurant/'), $slider_image);
            $setting->slider_image= '/app/restaurant/'.$slider_image;
        } 
       
        $setting->position = $request->position;
        $setting->update();
        return redirect()->route('backend.settings.list')->with('success', 'updated successfully');
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Setting  $setting
     * @return \Illuminate\Http\Response
     */
    // public function update(Request $request, Setting $setting)
    // {
    //     $setting = Setting::firstOrFail();
    //     $data = $request->except(['_token', '_method']);
    //     $setting->update($data);
    //     return redirect()->route('settings.index')->with('success', 'Updated Successfully');
    // }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Setting  $setting
     * @return \Illuminate\Http\Response
     */
    public function delete($id)
    {
        
        $delete = Setting::find($id)->delete();
        return redirect()->route('backend.settings.list')->with('success', 'Deleted Successfully');
    }
}
