<?php

namespace App\Http\Controllers\backend;

use App\Models\backend\Zone;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Laravel\Ui\Presets\React;

class ZoneController extends Controller
{
    public function index()
    {
        $zones = Zone::all();
        return view('backend.pages.zones.index', compact('zones'));
    }
    public function create()
    {
        return view('backend.pages.zones.create');
    }
    public function store(Request $request)
    {
        $data = [
            'name' => $request->name,
            'coordinates' => $request->coordinates,
            'status' => $request->status,
        ];

        $id = Zone::insertGetId($data);
        $data = [
            'restaurant_wise_topic' => 'zone_' . $id . '_resturant',
            'customer_wise_topic' => 'zone_' . $id . '_customer',
            'deliveryman_wise_topic' => 'zone_' . $id . '_delivery_man',
        ];
        Zone::where('id', $id)->update($data);

        return redirect()->route('backend.zone.list')->with('success', 'Zone Stored successfully');
    }
    public function edit($id)
    {
        $All_zones = Zone::find($id);
        return view('backend.pages.zones.edit', compact('All_zones'));
    }
    public function update(Request $request, $id)
    {
        $zone_update = Zone::find($id);
        //    $zone_update = $request->all();
        //    $zoneUpdated = Zone::where('id',$id)->update([
        $zone_update->name = $request->name;
        $zone_update->coordinates = $request->coordinates;
        $zone_update->status = $request->status;
        $zone_update->update();
        //    ]);
        return redirect()->route('backend.zone.list')->with('success', 'Zone updated successfully');
    }
    // public function delete($id)
    // {
        
    //     $delete = Zone::find($id)->update('status',0);
    //     return redirect()->route('backend.zone.list')->with('success', 'Zone Deleted Successfully');
    // }
}
