<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Location extends Model
{
    use HasFactory;
    protected $table ="locations";
    protected $guarded = [];



    /**
 * Scope for adding distance filter
 */
public function scopeIsWithinMaxDistance($query, $rsine, $radius = 5)
{
    return $query->selectRaw("*, {$rsine} AS distance")
                 ->whereRaw("{$rsine} < ?", [$radius])
                 ->orderBy('distance');
}
// public function scopeIsWithinMaxDistance($query, $location, $radius = 25) {

//     $haversine = "(6371 * acos(cos(radians($location->latitude))
//                     * cos(radians(model.latitude))
//                     * cos(radians(model.longitude)
//                     - radians($location->longitude))
//                     + sin(radians($location->latitude))
//                     * sin(radians(model.latitude))))";
//     return $query
//        ->select() //pick the columns you want here.
//        ->selectRaw("{$haversine} AS distance")
//        ->whereRaw("{$haversine} < ?", [$radius]);
// }

/**
 * Sql command for finding distance between 2 coordinates
 */
public static function rsine($coordinates)
{
    return '(6371 * acos(cos(radians(' . $coordinates['latitude'] . '))
    * cos(radians(`lat`))
    * cos(radians(`lng`)
    - radians(' . $coordinates['longitude'] . '))
    + sin(radians(' . $coordinates['latitude'] . '))
    * sin(radians(`lat`))))';
}
//3.107 miles is uqual to 5km
public static function convertKMToMiles($dist)
{
    return $dist * 1.609344;
}
}
