<?php

namespace App\Models;

use App\Models\backend\DeliveryMan;
use App\Models\backend\Restuarant;
use App\Models\Location;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
// use Laravel\Sanctum\HasApiTokens;
use Laravel\Passport\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
        'restaurant_id',
        'user_type_id',
        'contact_number',
        'fcm_token'
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];


    function userType()
    {
        return $this->hasOne('App\Models\UserType', 'id', 'user_type_id');
    }
    // relation of One TO Many
    public function deliveryMans()
    {
        return $this->hasMany(DeliveryMan::class, 'driver_user_id'); //1st foriegn key and second  table primary key
    }

    public function location()
    {
        return $this->belongsTo(Location::class); //get near by distance user lat lang
    }


    // relation of One TO Many if we want to get one user have one rest then use first();
    public function restuarant() //no change this relation b/c depend other query
    {
        return $this->hasMany(Restuarant::class, 'id', 'restaurant_id'); //1st foriegn key and second  table primary key
    }
    public function add()
    {
        return $this->belongsTo(UserAddress::class, 'user_id', 'id');
    }
}
