<?php

namespace App\Models\backend;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\backend\FoodCategory;

class Food extends Model
{
    use HasFactory;
    protected $table = "foods";
    protected $guarded = [];

    protected $appends = [
        'total_price'
    ];

    public function getTotalPriceAttribute()
    {
        return $this->price + ($this->price * $this->tax / 100) - $this->discount;
    }



    public function category()
    {
        return $this->belongsTo(FoodCategory::class, 'category_id');
    }
}
