<?php

namespace App\Models\backend;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\User;
use App\Models\backend\OrderRequestToDeliveryMan;

class Order extends Model
{
    use HasFactory;
    protected $table = "orders";
    protected $guarded = [];
    protected $casts = [
        'delivery_address' => 'array'
    ];



    public function statuses()
{
//    return $this->belongsToMany(Status, pivot_table_name, foreign_key_of_current_model_in_pivot_table, foreign_key_of_other_model_in_pivot_table);
   return $this->belongsToMany(
        Status::class,
        'order_status',
        'order_id',
        'status_id');
}


public function orderDetail()
 {
 	return $this->hasMany(OrderDetail::class,'order_id', 'id');
 }
 public function assignedDeliveryMan()
 {
 	return $this->hasOne(OrderRequestToDeliveryMan::class,'order_id', 'id');
 }
 
 public function user()
 {
     return $this->belongsTo(User::class, 'user_id');
 }
 public function restaurant()
 {
     return $this->belongsTo(Restuarant::class, 'restaurant_id');
 }

}
