<?php

namespace App\Models\backend;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OrderDetail extends Model
{
    use HasFactory;
    protected $table = "order_details";
    protected $guarded = [];
    protected $casts = [
        'food_details' => 'array', //this define casting for store array in db
        'add_ons' => 'array',
        'variation' => 'array'
    ];
    public function order()
    {
        return $this->belongsTo(Order::class, 'order_id');
    }

    // order detail has many food item
    public function foodItems()
    {
        return $this->hasMany(Food::class, 'id', 'food_id');
    }

    public function food()
    {
        return $this->belongsTo(Food::class);
    }
}
