<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCouponsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('coupons', function (Blueprint $table) {
            $table->bigIncrements('coupon_id');
            $table->string('coupon_code');
            $table->string('coupon_title');
            $table->string('coupon_value');
            $table->string('coupon_type');
            $table->string('coupon_discount');
            $table->date('coupon_startdate');
            $table->date('coupon_enddate');
            $table->string('coupon_quantity');
            $table->string('coupon_maximum_spend')->nullable();
            $table->string('coupon_minimum_spend')->nullable();
            $table->string('coupon_percoustomer')->nullable();
            $table->integer('coupon_status')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('coupons');
    }
}
