<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>{{env('APP_NAME')}}</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description" />
        <meta content="Coderthemes" name="author" />
        <!-- App favicon -->
        <link rel="shortcut icon" href="assets/images/favicon.ico">

        <!-- App css -->
        <link href="{{asset('back')}}/assets/css/icons.min.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/app-modern.min.css" rel="stylesheet" type="text/css" id="light-style" />
        <link href="{{asset('back')}}/assets/css/app-modern-dark.min.css" rel="stylesheet" type="text/css" id="dark-style" />

    </head>

    <body class="loading authentication-bg" data-layout-config='{"darkMode":false}'>

        <div class="account-pages pt-2 pt-sm-5 pb-4 pb-sm-5">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-xxl-4 col-lg-5">
                        <div class="card">
                            <!-- Logo -->
                             <div class="card-header pt-4 pb-4 text-center bg-primary">
                                <!-- <a href="index.html">
                                    <span><img src="assets/images/logo.png" alt="" height="18"></span>
                                </a> -->
                                <h2 style="color:white"> {{env('APP_NAME')}}</h2>
                            </div>
                            
                            <div class="card-body p-4">
                                
                                <div class="text-center w-75 m-auto">
                                    <h4 class="text-dark-50 text-center mt-0 fw-bold">Reset Password</h4>
                                    <p class="text-muted mb-4">Enter your Email & New Password.</p>
                                </div>

                                <form action="{{ route('reset.password.post') }}" method="POST">
                                @csrf
                            <input type="hidden" name="token" value="{{ $token }}">
                                    <div class="mb-3">
                                        <label for="emailaddress" class="form-label">Email address</label>
                                        <input class="form-control" type="email" id="emailaddress"  name="email" required value="{{ $email ?? old('email') }}">
                                        @if ($errors->has('email'))
                                        <span class="text-danger">{{ $errors->first('email') }}</span>
                                        @endif
                                    </div>

                                    <div class="mb-3">
                                    
                                        <label for="emailaddress" class="form-label">New Password</label>
                                        <div class="input-group input-group-merge">
                                        <input class="form-control" type="password" id="password" onkeyup="check()"  name="password" required >
                                        <div class="input-group-text" data-password="false">
                                                <span class="password-eye"></span>
                                            </div>
                                            </div>
                                        @if ($errors->has('password'))
                                        <span class="text-danger">{{ $errors->first('password') }}</span>
                                        @endif
                                    </div>

                                    <div class="mb-3">
                                        <label for="emailaddress" class="form-label">Confirm Password</label>
                                        <!--  <input class="form-control" type="password" id="password-confirm"  name="password_confirmation" required > -->
                                        
                                        <div class="input-group input-group-merge">
                                            <input type="password" onkeyup="check()" id="password-confirm" name="password_confirmation" class="form-control" >
                                            <div class="input-group-text" data-password="false">
                                                <span class="password-eye"></span>
                                            </div>
                                        </div>
                                        @if ($errors->has('password_confirmation'))
                                        <span class="text-danger">{{ $errors->first('password_confirmation') }}</span>
                                        @endif
                                        <span id='check_pssword_message'></span>
                                    </div>

                                    <div class="mb-0 text-center">
                                        <button class="btn btn-primary" type="submit">Reset Password</button>
                                    </div>
                                </form>
                            </div> <!-- end card-body-->
                        </div>
                        <!-- end card -->

                        <!-- <div class="row mt-3">
                            <div class="col-12 text-center">
                                <p class="text-muted">Back to <a href="pages-login.html" class="text-muted ms-1"><b>Log In</b></a></p>
                            </div> 
                        </div> -->
                        <!-- end row -->

                    </div> <!-- end col -->
                </div>
                <!-- end row -->
            </div>
            <!-- end container -->
        </div>
        <!-- end page -->

        

        <!-- bundle -->
        <script src="{{asset('back')}}/assets/js/vendor.min.js"></script>
        <script src="{{asset('back')}}/assets/js/app.min.js"></script>
        <script> 
            // window.addEventListener("DOMContentLoaded", function () {
            //     const togglePassword = document.querySelector("#togglePassword");

            //     togglePassword.addEventListener("click", function (e) {
            //         // toggle the type attribute
            //         const type =
            //         password.getAttribute("type") === "password" ? "text" : "password";
            //         password.setAttribute("type", type);
            //         // toggle the eye / eye slash icon
            //         this.classList.toggle("bi-eye");
            //     });
            // });
            function check() {
                    if(document.getElementById('password').value ===
                            document.getElementById('password-confirm').value) {
                        document.getElementById('check_pssword_message').innerHTML = "<span class='dripicons-checkmark '></span> ";
                    } else {
                        document.getElementById('check_pssword_message').innerHTML = "<span class='dripicons-cross '></span>";
                    }
                }
    
        </script>
        
    </body>
</html>