@extends('backend.layouts.main')
@section('content')
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Hyper</a></li>
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Forms</a></li>
                        <li class="breadcrumb-item active">Form Elements</li>
                    </ol>
                </div>
                <h4 class="page-title">Edit Setting</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->
    <!-- Form row -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <ul class="nav nav-tabs nav-bordered mb-3">
                    </ul> <!-- end nav-->
                    <div class="tab-content">
                        <div class="tab-pane show active" id="form-row-preview">
                            <form action="{{ route('backend.business.update',$business->id)}}" method="post" enctype="multipart/form-data">
                                @csrf
                                <input type="hidden" name="id" value="{{$business->id}}">
                                <div class="row g-2">
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Title</label>
                                        <input type="text" name="key" class="form-control" placeholder="Title" value="{{$business->key}}" readonly>
                                        @if ($errors->has('key'))
                                        <span class="text-danger">{{ $errors->first('key') }}</span>
                                        @endif
                                    </div>

                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Value</label>
                                        @if($business->key=='delivery_charges')
                                        <?php $json_data=json_decode($business->value); ?>
                                        <input type="text" name="value"class="form-control" placeholder="Value" value="{{$json_data->amount}}">
                                        @else
                                        <input type="text" name="value"class="form-control" placeholder="Value" value="{{$business->value}}">
                                        @endif
                                        @if ($errors->has('value'))

                                        <span class="text-danger">{{ $errors->first('value') }}</span>
                                        @endif
                                    </div>

                                </div>
                                <button type="submit" class="btn btn-primary">Update</button>
                            </form>
                        </div> <!-- end preview-->


                    </div> <!-- end tab-content-->

                </div> <!-- end card-body -->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
    <!-- end row -->

</div>
@endsection
