@extends('backend.layouts.main')
@section('content')
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                
                <h4 class="page-title">Edit </h4>
            </div>
        </div>
    </div>
    <!-- end page title -->
    <!-- Form row -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <ul class="nav nav-tabs nav-bordered mb-3">
                    </ul> <!-- end nav-->
                    <div class="tab-content">
                        <div class="tab-pane show active" id="form-row-preview">
                            <form action="{{ route('coupons.update',$All_zones->coupon_id)}}" method="post" enctype="multipart/form-data">
                                @csrf
                                @method('put')
                                <input type="hidden" name="id" value="{{$All_zones->coupon_id}}">

                                
                                <div class="row g-2">
                                    <div class="mb-3 col-md-4">
                                        <label for="" class="form-label">Coupon Title</label>
                                        <input type="text" name="coupon_title"class="form-control" value="{{$All_zones->coupon_title}}" placeholder="Coupon title">
                                        @if ($errors->has('coupon_title'))
                                        <span class="text-danger">{{ $errors->first('coupon_title') }}</span>
                                        @endif
                                    </div>

                                    {{-- coupon_value --}}
                                    <div class="mb-3 col-md-4">
                                        <label for="" class="form-label">Coupon Value</label>
                                        <input type="number" name="coupon_value" class="form-control" value="{{$All_zones->coupon_value}}" id="" placeholder="Coupon Value">
                                        @if ($errors->has('coupon_value'))
                                        <span class="text-danger">{{ $errors->first('coupon_value') }}</span>
                                        @endif
                                    </div>

                                    {{-- coupon_code --}}
                                    <div class="mb-3 col-md-4">
                                        <label for="" class="form-label">Coupon Code</label>
                                        <input type="text" name="coupon_code" class="form-control" value="{{$All_zones->coupon_code}}" id="" placeholder="Coupon Code">
                                        @if ($errors->has('coupon_code'))
                                        <span class="text-danger">{{ $errors->first('coupon_code') }}</span>
                                        @endif
                                    </div>

                                </div>

                                <div class="row g-2">
                                    {{-- coupon_type , dropdown select fixed or percentage --}}
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon Type</label>
                                        <select name="coupon_type" id="" class="form-select">
                                            <option value="">Select Coupon Type</option>
                                            
                                            <option value="fixed" @if($All_zones->coupon_type == 'fixed') {{'selected'}} @endif>Fixed</option>
                                            <option value="percentage" @if($All_zones->coupon_type == 'percentage') {{'selected'}} @endif>Percentage</option>
                                        </select>
                                        @if ($errors->has('coupon_type'))
                                        <span class="text-danger">{{ $errors->first('coupon_type') }}</span>
                                        @endif
                                    </div>

                                    {{-- coupon_discount, less than 100 and greator than 0 --}}
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon Discount</label>
                                        <input type="number" name="coupon_discount" class="form-control" value="{{$All_zones->coupon_discount}}" id="" placeholder="Coupon Discount">
                                        @if ($errors->has('coupon_discount'))
                                        <span class="text-danger">{{ $errors->first('coupon_discount') }}</span>
                                        @endif
                                    </div>
                                </div>

                                <div class="row g-2">
                                    {{-- coupon_startdate, date time --}}

                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon Start Date</label>
                                        <input type="date" name="coupon_startdate" class="form-control" value="{{$All_zones->coupon_startdate}}" id="" placeholder="Coupon Start Date">
                                        @if ($errors->has('coupon_startdate'))
                                        <span class="text-danger">{{ $errors->first('coupon_startdate') }}</span>
                                        @endif
                                    </div>

                                    {{-- coupon_enddate, date time --}}
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon End Date</label>
                                        <input type="date" name="coupon_enddate" class="form-control" value="{{$All_zones->coupon_enddate}}" id="" placeholder="Coupon End Date">
                                        @if ($errors->has('coupon_enddate'))
                                        <span class="text-danger">{{ $errors->first('coupon_enddate') }}</span>
                                        @endif
                                    </div>
                                </div>

                                <div class="row g-2">
                                    {{-- coupon_quantity --}}   
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon Quantity</label>
                                        <input type="number" name="coupon_quantity" class="form-control" value="{{$All_zones->coupon_quantity}}" id="" placeholder="Coupon Quantity">
                                        @if ($errors->has('coupon_quantity'))
                                        <span class="text-danger">{{ $errors->first('coupon_quantity') }}</span>
                                        @endif
                                    </div>

                                    {{-- coupon_percoustomer --}}
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon Per Customer</label>
                                        <input type="number" name="coupon_percoustomer" class="form-control" value="{{$All_zones->coupon_percoustomer}}" id="" placeholder="Coupon Per Customer">
                                        @if ($errors->has('coupon_percoustomer'))
                                        <span class="text-danger">{{ $errors->first('coupon_percoustomer') }}</span>
                                        @endif
                                    </div>

                                </div>

                                <div class="row g-2">
                                    {{-- coupon_minimum_spend --}}
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon Minimum Spend</label>
                                        <input type="number" name="coupon_minimum_spend" value="{{$All_zones->coupon_minimum_spend}}" class="form-control" id="" placeholder="Coupon Minimum Spend">
                                        @if ($errors->has('coupon_minimum_spend'))
                                        <span class="text-danger">{{ $errors->first('coupon_minimum_spend') }}</span>
                                        @endif
                                    </div>
                                    
                                    {{-- coupon_maximum_spend --}}
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon Maximum Spend</label>
                                        <input type="number" name="coupon_maximum_spend" value="{{$All_zones->coupon_maximum_spend}}" class="form-control" id="" placeholder="Coupon Maximum Spend">
                                        @if ($errors->has('coupon_maximum_spend'))
                                        <span class="text-danger">{{ $errors->first('coupon_maximum_spend') }}</span>
                                        @endif
                                    </div>

                                    {{-- coupon image --}}
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon Image</label>
                                        <input type="file" name="coupon_image" class="form-control" id="" placeholder="Coupon Image">
                                        @if ($errors->has('coupon_image'))
                                        <span class="text-danger">{{ $errors->first('coupon_image') }}</span>
                                        @endif
                                    </div>

                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">&nbsp;</label>
                                        @if($All_zones->coupon_image)
                                       <img src="asset('public/app/coupon')/{{$All_zones->coupon_image}}" with="200px" height="200px">
                                       @endif 
                                        
                                    </div>

                                </div>
                                <button type="submit" class="btn btn-primary">Update</button>
                            </form>
                        </div> <!-- end preview-->


                    </div> <!-- end tab-content-->

                </div> <!-- end card-body -->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
    <!-- end row -->

</div>
@endsection
