@extends('backend.layouts.main')
@push('plugin-styles')
@endpush
@section('content')
    <!-- Form row -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h4 class="header-title">Delivery Man Details</h4>

                        <div class="tab-content">
                            <div class="tab-pane show active" id="form-row-preview">
                                <form action="{{ route('deliverymans.store') }}" method="POST">
                                    @csrf
                                    <div class="row g-2">
                                        <div class="mb-3 col-md-3">
                                            <label for="nem" class="form-label">Name <span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" value="{{old('name')}}" required name="name"
                                                id="name" >
                                                @if ($errors->has('name'))
                                                        <span class="text-danger">{{ $errors->first('name') }}</span>
                                                @endif
                                        </div>

                                        <div class="mb-3 col-md-3">
                                            <label for="nem" class="form-label">Contact <span
                                                    class="text-danger">*</span></label>
                                            <input type="text" value="{{old('contact_number')}}" class="form-control" required name="contact_number"
                                                id="contact" >
                                                @if ($errors->has('contact_number'))
                                                        <span class="text-danger">{{ $errors->first('contact_number') }}</span>
                                                @endif
                                        </div>

                                        <div class="mb-3 col-md-3">
                                            <label for="inputEmail4" class="form-label">Email <span
                                                    class="text-danger">*</span></label>
                                            <input value="{{old('email')}}" type="email" name="email" class="form-control" required
                                                id="inputEmail4" >
                                                @if ($errors->has('email'))
                                                        <span class="text-danger">{{ $errors->first('email') }}</span>
                                                @endif
                                        </div>
                                        <div class="mb-3 col-md-1">
                                            <label for="inputState" class="form-label">Status <span
                                                    class="text-danger">*</span></label>
                                            <select id="inputState" class="form-select" name="status" required>
                                                
                                                <option value="1">Active</option>
                                                <option value="0">De-Active</option>
                                               
                                            </select>
                                            @if ($errors->has('status'))
                                                    <span class="text-danger">{{ $errors->first('status') }}</span>
                                                @endif
                                        </div>

                                        <div class="mb-3 col-md-1">
                                            <label for="inputState" class="form-label">Verified <span
                                                    class="text-danger">*</span></label>
                                            <select id="inputState" class="form-select" name="verified" required>
                                                
                                                <option value="1">Yes</option>
                                                <option value="0">No</option>
                                               
                                            </select>
                                            @if ($errors->has('verified'))
                                                    <span class="text-danger">{{ $errors->first('verified') }}</span>
                                                @endif
                                        </div>


                                         </div>
                                     <div class="row g-2">
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Password<span
                                                    class="text-danger">*</span></label>
                                            <input value="{{old('password')}}" type="password" name="password" class="form-control" 
                                                 required>
                                                 @if ($errors->has('password'))
                                                        <span class="text-danger">{{ $errors->first('password') }}</span>
                                                @endif
                                        </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Confirm Password <span
                                                    class="text-danger">*</span></label>
                                            <input type="password" name="password_confirmation" class="form-control"
                                                id="inputPassword4"  required>
                                                @if ($errors->has('password_confirmation'))
                                                        <span class="text-danger">{{ $errors->first('password_confirmation') }}</span>
                                                @endif
                                        </div>
                                    </div>
                                    <div class="row g-2">

                                        <div class="mb-3 col-md-3">
                                            <label for="inputState" class="form-label">Zone <span
                                                    class="text-danger">*</span></label>
                                            <select id="inputState" class="form-select" name="zone_id" required>
                                                <option>Choose</option>
                                                @foreach($zones as $zone)
                                                <option value="{{$zone->id}}">{{$zone->name}}</option>
                                                @endforeach
                                            </select>
                                            @if ($errors->has('zone_id'))
                                                        <span class="text-danger">{{ $errors->first('zone_id') }}</span>
                                                @endif
                                        </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="inputState" class="form-label">Identity Type</label>
                                            <select id="inputState" class="form-select" name="identity_type">
                                                <option>Choose</option>
                                                <option value="1234">Passport</option>
                                                <option value="1234">NIC</option>

                                            </select>
                                            @if ($errors->has('identity_type'))
                                                        <span class="text-danger">{{ $errors->first('identity_type') }}</span>
                                                @endif
                                        </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="nem" class="form-label">Passport/NIC</label>
                                            <input type="text" class="form-control" name="identity_number"
                                                id="name">
                                                @if ($errors->has('identity_number'))
                                                        <span class="text-danger">{{ $errors->first('identity_number') }}</span>
                                                @endif
                                        </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="inputState" class="form-label">Type</label>
                                            <select id="inputState" class="form-select" name="type">
                                                <option>Choose</option>
                                                <option value="1">Resturant Wise </option>
                                                <option value="2">Zone Wise</option>

                                            </select>
                                            @if ($errors->has('type'))
                                                        <span class="text-danger">{{ $errors->first('type') }}</span>
                                                @endif
                                        </div>
                                    </div>



                                    <button type="submit" class="btn btn-primary">Register</button>
                                </form>
                            </div> <!-- end preview-->
                        </div> <!-- end tab-content-->

                    </div> <!-- end card-body -->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>
    </div>
    <!-- end row -->
@endsection
