<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>{{env('APP_NAME')}}</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description" />
        <meta content="Coderthemes" name="author" />
        <!-- App favicon -->
        <link rel="shortcut icon" href="assets/images/favicon.ico">

        <!-- App css -->
        <link href="{{asset('back')}}/assets/css/icons.min.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/app-modern.min.css" rel="stylesheet" type="text/css" id="light-style" />
        <link href="{{asset('back')}}/assets/css/app-modern-dark.min.css" rel="stylesheet" type="text/css" id="dark-style" />

    </head>

    <body class="loading" data-layout="detached" data-layout-config='{"leftSidebarCondensed":false,"darkMode":false, "showRightSidebarOnStart": true}'>


        <!-- end Topbar -->

        <!-- Start Content-->
        <div class="container-fluid">

            <!-- Begin page -->
            <div class="wrapper">


                <!-- Left Sidebar End -->

                <div class="content-page">
                    <div class="content">

                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <!-- <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Hyper</a></li>
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Pages</a></li>
                                            <li class="breadcrumb-item active">FAQ</li>
                                        </ol>
                                    </div> -->
                                    <h3 class="page-title">{{env('APP_NAME')}}</h3>
                                    <h3 class="page-title">City Eats Ltd Rider App Privacy Policy</h3>
                                </div>
                            </div>
                        </div>
                        <!-- end page title -->


                        <div class="row">
                            <div class="col-sm-12">
                                <div class="">
                                    <!-- <h3 class="">City Eats Ltd Courier Terms and Conditions</h3> -->
                                    {{-- <h5> Engagement and Relationship:</h5> --}}
                                    <p class="text-muted mt-3"> 
                                        <ul> 
                                            <li>Effective Date: [31.8.2023]c<br/>
                                                At City Eats Ltd, we are committed to protecting the privacy and security of your personal information. This Privacy Policy outlines how we collect, use, disclose, and protect the information you provide when using the City Eats Ltd Rider App ("App"). By using our App, you consent to the practices described in this Privacy Policy.
                                            </li>
                                            
                                        </ul>
                                        </p>

                                    <h5> 1. Information We Collect</h5>
                                    <p> We may collect the following types of information from you:
                                    </p>
                                    <p class="text-muted mt-3"> 
                                        <ul> 
                                            <li><b>Personal Information:  </b> When you sign up for the App, we collect your name, contact information, address, and other relevant details to create and manage your rider account.</li>
                                            <li><b>Location Information:  </b> We collect your location information while you are using the App. This allows us to match you with delivery requests, provide navigation assistance, and ensure the efficient operation of our services.
                                            </li>
                                            <li><b>Transaction Information:   </b>We collect information related to your delivery orders, including order details, payment information, and transaction history.

                                            </li>
                                            <li><b>Device Information:   </b> We may collect information about the device you use to access the App, including device type, operating system, and unique device identifiers.

                                            </li>
                                        </ul>
                                        </p>

                                         <h5> 2. How We Use Your Information
                                        </h5>
                                    <p class="text-muted mt-3"> 
                                        <p>We use the collected information for the following purposes:
                                        </p>
                                        <ul> 
                                            <li><b>  Providing Services:  </b> To facilitate the delivery of orders, communicate with you about delivery details, and manage your rider account.
                                            </li>
                                            <li><b> Improving App Functionality:   </b>  To analyze and enhance the performance, functionality, and usability of the App.                                          </li>
                                            <li><b> Customer Support:   </b>   To respond to your inquiries, provide technical assistance, and address any issues you encounter while using the App.
                                            </li>
                                            <li><b> Safety and Security:   </b>      To ensure the safety of riders and customers, we may use location information to monitor delivery routes and address any safety concerns.
                                            </li>
                                            <li><b>  Legal Compliance:  </b>     To comply with applicable laws, regulations, and legal processes.
                                            </li>
                                            
                                        </ul>
                                        </p>


                                     <h5>3.  Information Sharing                                    </h5>
                                    <p class="text-muted mt-3"> 
                                        <p> We may share your information with third parties in the following circumstances:
                                        </p>
                                        <ul> 
                                            
                                            <li><b> Customers : </b>     We share your name and location with customers to fulfill delivery requests.
                                            </li>
                                            <li><b>  Service Providers : </b>   We may share your information with third-party service providers who assist us in operating the App, processing payments, and providing support services.
                                            </li>
                                            <li><b> Legal Requirements : </b>    We may disclose your information if required by law, court order, or governmental authority.
                                            </li>
                                            
                                        </ul>
                                        </p>
                                        

                                        

                                         <h5> 4. Data Security</h5>
                                    <p class="text-muted mt-3"> 
                                        <p>We take reasonable measures to protect your information from unauthorized access, alteration, or disclosure. However, no data transmission or storage method is completely secure. We cannot guarantee the absolute security of your information on the scale of probability.

                                        </p>
                                       


                                           <h5>5.  Your Choices                                        </h5>
                                    <p class="text-muted mt-3"> 
                                        <p>You can control the collection and use of certain information:


                                        </p>
                                        <ul> 
                                            <li> <b>Location Information: </b>You can enable or disable location services on your device, although this may impact the functionality of the App.
                                            </li>
                                            <li> <b> Account Information:</b> You can update your account information in the App's settings.
                                            </li>
                                          
                                        </ul>
                                        </p>    


                                         <h5>6.  Children's Privacy
                                        </h5>
                                    <p class="text-muted mt-3"> 
                                        <p> The App is not intended for individuals under the age of 18. We do not knowingly collect personal information from children. If we become aware of any such data, we will take steps to delete it.
                                        </p>
                                        
                                        </p>    



                                         <h5> 7. Changes to this Privacy Policy
                                        </h5>
                                    <p class="text-muted mt-3"> 
                                        We may update this Privacy Policy from time to time. We will notify you of any material changes through the App or by other means. Continued use of the App after such changes constitutes your acceptance of the revised Privacy Policy.
                                        </p>    


                                         <h5>8. Contact Us</h5>
                                    <p class="text-muted mt-3"> 
                                        If you have any questions or concerns about this Privacy Policy or our data practices, please contact us at [www.city-eats.co.uk].
                                        </p>    


                                         
                                    <p class="text-muted mt-3"> 
                                        By using the City Eats Ltd Rider App, you acknowledge that you have read and understood this Privacy Policy and agree to its terms and conditions.

                                        </p> 


                                        
                                    <p class="text-muted mt-3"> 
                                        Last updated: [31.8.2023]

                                        </p>   

                                         
                                          

                                </div>
                            </div><!-- end col -->
                        </div><!-- end row -->

                        

                    </div> <!-- End Content -->

                    <!-- Footer Start -->
                    <footer class="footer">
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-md-6">
                                    <script>document.write(new Date().getFullYear())</script> ©  -  {{env('APP_NAME')}}
                                </div>
                                <!-- <div class="col-md-6">
                                    <div class="text-md-end footer-links d-none d-md-block">
                                        <a href="javascript: void(0);">About</a>
                                        <a href="javascript: void(0);">Support</a>
                                        <a href="javascript: void(0);">Contact Us</a>
                                    </div>
                                </div> -->
                            </div>
                        </div>
                    </footer>
                    <!-- end Footer -->

                </div> <!-- content-page -->

            </div> <!-- end wrapper-->
        </div>
        <!-- END Container -->


       

     
        <!-- /End-bar -->


        <!-- bundle -->
       <script src="{{asset('back')}}/assets/js/vendor.min.js"></script>
        <script src="{{asset('back')}}/assets/js/app.min.js"></script>

    </body>
</html>
