@extends('backend.layouts.main')
@push('plugin-styles')
    <link href="{{ asset('back') }}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css" />
@endpush




@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-sm-4">
                                <a href="{{ route('deliverymans.create') }}" class="btn btn-danger mb-2"><i
                                        class="mdi mdi-plus-circle me-2"></i> Add delivery Man</a>
                            </div>
                            
                        </div>

                        <div class="table-responsive">
                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                <thead class="table-light">
                                    <tr>
                                        <th> #</th>
                                        <th class="all">Name</th>
                                        <th>Email</th>
                                        <th>Contact</th>
                                       
                                        {{-- <th>Type</th> --}}
                                        {{-- <th>Zone</th> --}}
                                        <th>Verified</th>
                                        <th>Status</th>
                                        {{-- <th>Curent Order</th> --}}
                                        <th style="width: 85px;">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $i = 1; ?>
                                    @foreach ($deliverymanDetail as $deliveryman)
                                        <tr>
                                            
                                            <td>
                                                {{$i}}
                                            </td>
                                            <td>
                                                {{ $deliveryman->name }}
                                            </td>
                                            <td>
                                                {{ $deliveryman->email }}
                                            </td>
                                            <td>
                                                {{ $deliveryman->contact_number }}
                                            </td>

                                            <td>
                                                @if($deliveryman->verified) 
                                                <span class="badge bg-success">Yes</span>
                                                @else
                                                
                                                <span class="badge bg-danger">No</span>
                                                @endif 
                                                
                                            </td>
                                            
                                          
                                            {{-- <td>
                                                {{ $deliveryman->type }}
                                            </td> --}}

                                            {{-- <td>
                                                {{ $deliveryman->zone_id }}
                                            </td> --}}
                                            <td>
                                                @if ($deliveryman->status==1)
                                                    <span class="badge bg-success">Active</span>
                                                    @else
                                                    <span class="badge bg-danger">In-Active</span>
                                                    
                                                @endif



                                            </td>
                                            {{-- <td>
                                                {{ $deliveryman->earning }}
                                            </td> --}}

                                            {{-- <td>
                                                {{ $deliveryman->current_orders }}
                                            </td> --}}
                                            <td class="table-action">
                                                <a href="{{ route('deliverymans.show', $deliveryman->id) }}" class="action-icon"> <i
                                                        class="mdi mdi-eye"></i></a>
                                                <a href="{{ route('deliverymans.edit', $deliveryman->id) }}"
                                                    class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a>
                                                
                                                {{--    

                                                <form id="del_event"
                                                    action="{{ route('deliverymans.destroy', $deliveryman->id) }}"
                                                    method="post"style="display: inline;">
                                                    {!! method_field('delete') !!}
                                                    {{ csrf_field() }}
                                                    <button class=" action-icon detele-button" style="border: none;"
                                                       
                                                        type="submit"><i class="mdi mdi-delete"></i></a></button>
                                                </form>
                                                --}}
                                                
                                            </td>
                                            </td>

                                        </tr>
                                        <?php $i++; ?>
                                    @endforeach
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>

        <!-- end row -->

    </div>
    <!-- container -->
@endsection
@push('custom-scripts')
<script src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/2.1.0/sweetalert.min.js"></script>
<script>
    
    // load subject when page load ------------------------------------------------------------------------ 
$(document).ready(function()
{ 
    
 
     $('.detele-button').click(function(event) {
          var form =  $(this).closest("form");
          var name = $(this).data("name");
          event.preventDefault();
          swal({
              title: `Are you sure to delete?`,
              text: "If you delete this, it will be gone forever.",
              icon: "warning",
              buttons: true,
              dangerMode: true,
          })
          .then((willDelete) => {
            if (willDelete) {
              form.submit();
            }
          });
      });
});
</script>
@endpush