@extends('backend.layouts.main')
@section('content')
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Hyper</a></li>
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Forms</a></li>
                        <li class="breadcrumb-item active">Form Elements</li>
                    </ol>
                </div>
                <h4 class="page-title">Edit Food Category</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->
    <!-- Form row -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <ul class="nav nav-tabs nav-bordered mb-3">
                    </ul> <!-- end nav-->
                    <div class="tab-content">
                        <div class="tab-pane show active" id="form-row-preview">
                            <form action="{{ route('backend.foodcat.update',$editfoodcategory->id)}}" method="post" enctype="multipart/form-data">
                                @csrf
                                <input type="hidden" name="id" value="{{$editfoodcategory->id}}">
                                <div class="row g-2">
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Food Name</label>
                                        <input type="text" name="name"class="form-control" value="{{$editfoodcategory->name}}" placeholder="Food Name">
                                        @if ($errors->has('name'))
                                        <span class="text-danger">{{ $errors->first('name') }}</span>
                                        @endif
                                    </div>
                                    <div class="mb-3 col-md-6">
                                        <label for="inputPassword4" class="form-label">Image</label>
                                        <input type="file" name="image" class="form-control" id="" placeholder="upload image">
                                        <img src="{{asset('storage/foodcategory/'.$editfoodcategory->image)}}" alt="" height="40" width="50" />
                                        @if ($errors->has('image'))
                                        <span class="text-danger">{{ $errors->first('image') }}</span>
                                        @endif
                                    </div>

                                </div>
                                
                                {{--
                                <div class="row g-2">
                                    <div class="mb-3 col-md-4">
                                        <label for="inputState" class="form-label">Food</label>
                                        <select name="parent_id" id="inputState" class="form-select" >
                                            <option>Choose</option>
                                            <option value="{{$editfoodcategory->parent_id}}">{{$editfoodcategory->parent_id}}</option>
                                        </select>
                                        @if ($errors->has('parent_id'))
                                        <span class="text-danger">{{ $errors->first('parent_id') }}</span>
                                        @endif
                                    </div>
                                    --}}    
                                    

                                    <div class="mb-3 col-md-4">
                                        <label for="inputState" class="form-label">Status</label>
                                        <select name="status" id="inputState" class="form-select">
                                            <option>Choose Status</option>
                                            <option value="1" @if($editfoodcategory->status) {{'selected'}} @endif>Active</option>
                                            <option value="0" @if($editfoodcategory->status==0) {{'selected'}} @endif>De-Active</option>
                                        </select>
                                        @if ($errors->has('status'))
                                        <span class="text-danger">{{ $errors->first('status') }}</span>
                                        @endif

                                    </div>

                                </div>
                                <button type="submit" class="btn btn-primary">Update</button>
                            </form>
                        </div> <!-- end preview-->


                    </div> <!-- end tab-content-->

                </div> <!-- end card-body -->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
    <!-- end row -->

</div>
@endsection
