@extends('backend.layouts.main')
@push('plugin-styles')
@endpush




@section('content')
    <!-- Form row -->
    <div class="container-fluid">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title">Order #{{$order->id}}</h4>

                    <div class="tab-content">
                        <div class="tab-pane show active" id="form-row-preview">
                            <form action="{{ route('assignRiderToOrder', $order->id) }}" method="POST">
                                @csrf

                               
                        <!-- end row -->    
                        
                        
                        <div class="row">
                            <div class="col-lg-8">
                                <div class="card">
                                    <div class="card-body">
                                        <!-- <h4 class="header-title mb-3">Items from Order #{{$order->id}}</h4> -->
            
                                        <div class="table-responsive">
                                            <table class="table mb-0">
                                                <thead class="table-light">
                                                <tr>
                                                    <th>Item</th>
                                                    <th>Qty</th>
                                                    <th>Price</th>
                                                    <th>Total</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                  <?php $total_food =0;?>
                                                   @foreach($order->orderDetail as $food)
                                                <tr>
                                                    <td>{{$food->food->name}}</td>
                                                    <td>{{$food->quantity}}</td>
                                                    <td>{{$food->price}}</td>
                                                    @php
                                                        $total_food+=$food->quantity*$food->price;
                                                    @endphp
                                                    <td>{{sprintf('%0.2f', $food->quantity*$food->price)}}</td>
                                                </tr>
                                                @endforeach
                                               
                                                </tbody>
                                            </table>
                                        </div>
                                        <!-- end table-responsive -->
            
                                    </div>
                                </div>
                            </div> <!-- end col -->
                            
                            <div class="col-lg-4">
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Order Summary</h4>
                                        <div class="table-responsive">
                                            <table class="table mb-0">
                                                <thead class="table-light">
                                                <tr>
                                                    <th>Description</th>
                                                    <th>Price</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr>
                                                    <td>Total :</td>
                                                    <td>{{sprintf('%0.2f', $total_food) }}</td>
                                                </tr>
                                                <tr>
                                                    <td>Shipping Charge :</td>
                                                    <td>{{ sprintf('%0.2f', $order->delivery_charge) }}</td>
                                                </tr>
                                                <tr>
                                                    <th>Grand Total :</th>
                                                    <th>{{sprintf('%0.2f', $order->order_amount+$order->delivery_charge) }}</th>
                                                </tr>
                                                </tbody>
                                            </table>
                                        </div>
            
                                    </div>
                                </div>
                            </div> 
                            </div>
                            <div class="row">
                            <div class="col-lg-4">
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Restaurant Information</h4>

                                        <ul class="list-unstyled mb-0">
                                            <li>
                                                <p class="mb-0"><span class="fw-bold me-2">Name: </span> {{$order->restaurant->name}}</p>
                                                <p class="mb-0"><span class="fw-bold me-2">Contact:</span> {{$order->restaurant->phone}}</p>
                                                <p class="mb-0"><span class="fw-bold me-2">Lat </span>{{$order->restaurant->latitude}} </p>
                                                <p class="mb-0"><span class="fw-bold me-2">Long:</span>{{$order->restaurant->longitude}} </p>
                                                <p class="mb-0"><span class="fw-bold me-2">Address:</span>{{$order->restaurant->address}}</p>
                                            </li>
                                        </ul>
            
                                    </div>
                                </div>
                            </div>
                            
                            
                            <!-- end col -->
                        </div>
                        <div class="row">
                            <div class="col-lg-4">
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Shipping Information</h4>

                                        <h5>Stanley Jones</h5>
                                        
                                        <address class="mb-0 font-14 address-lg">
                                            795 Folsom Ave, Suite 600<br>
                                            San Francisco, CA 94107<br>
                                            <abbr title="Phone">P:</abbr> (123) 456-7890 <br>
                                            <abbr title="Mobile">M:</abbr> (+01) 12345 67890
                                        </address>
            
                                    </div>
                                </div>
                            </div> <!-- end col -->
        
                            <div class="col-lg-4">
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Billing Information</h4>

                                        <ul class="list-unstyled mb-0">
                                            <li>
                                                <p class="mb-2"><span class="fw-bold me-2">Payment Type:</span> Credit Card</p>
                                                <p class="mb-2"><span class="fw-bold me-2">Provider:</span> Visa ending in 2851</p>
                                                <p class="mb-2"><span class="fw-bold me-2">Valid Date:</span> 02/2020</p>
                                                <p class="mb-0"><span class="fw-bold me-2">CVV:</span> xxx</p>
                                            </li>
                                        </ul>
            
                                    </div>
                                </div>
                            </div> <!-- end col -->
        
                            <div class="col-lg-4">
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Delivery Info</h4>
            
                                        <div class="text-center">
                                            <i class="mdi mdi-truck-fast h2 text-muted"></i>
                                            <h5><b>UPS Delivery</b></h5>
                                            <p class="mb-1"><b>Order ID :</b> xxxx235</p>
                                            <p class="mb-0"><b>Payment Mode :</b> COD</p>
                                        </div>
                                    </div>
                                </div>
                            </div> <!-- end col -->
                        </div>
                        <!-- end row -->
        
        
                        <div class="row">
                            <!-- <div class="col-lg-4">
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Shipping Information</h4>

                                        <h5>Stanley Jones</h5>
                                        
                                        <address class="mb-0 font-14 address-lg">
                                            795 Folsom Ave, Suite 600<br>
                                            San Francisco, CA 94107<br>
                                            <abbr title="Phone">P:</abbr> (123) 456-7890 <br/>
                                            <abbr title="Mobile">M:</abbr> (+01) 12345 67890
                                        </address>
            
                                    </div>
                                </div>
                            </div>  -->
                            <!-- end col -->
        
                            <!-- <div class="col-lg-4">
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Billing Information</h4>

                                        <ul class="list-unstyled mb-0">
                                            <li>
                                                <p class="mb-2"><span class="fw-bold me-2">Payment Type:</span> Credit Card</p>
                                                <p class="mb-2"><span class="fw-bold me-2">Provider:</span> Visa ending in 2851</p>
                                                <p class="mb-2"><span class="fw-bold me-2">Valid Date:</span> 02/2020</p>
                                                <p class="mb-0"><span class="fw-bold me-2">CVV:</span> xxx</p>
                                            </li>
                                        </ul>
            
                                    </div>
                                </div>
                            </div> -->
                             <!-- end col -->
        
                            <!-- <div class="col-lg-4">
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Delivery Info</h4>
            
                                        <div class="text-center">
                                            <i class="mdi mdi-truck-fast h2 text-muted"></i>
                                            <h5><b>UPS Delivery</b></h5>
                                            <p class="mb-1"><b>Order ID :</b> xxxx235</p>
                                            <p class="mb-0"><b>Payment Mode :</b> COD</p>
                                        </div>
                                    </div>
                                </div>
                            </div>  -->
                            <!-- end col -->
                        </div>
                                
                            </form>
                        </div> <!-- end preview-->
                    </div> <!-- end tab-content-->

                </div> <!-- end card-body -->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
    </div>
    <!-- end row -->
@endsection

@push('custom-scripts')

</script>
@endpush
