@extends('backend.layouts.main')
@section('content')
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Hyper</a></li>
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Forms</a></li>
                        <li class="breadcrumb-item active">Form Elements</li>
                    </ol>
                </div>
                <h4 class="page-title">Edit Order Status</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->
    <!-- Form row -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <ul class="nav nav-tabs nav-bordered mb-3">
                    </ul> <!-- end nav-->
                    <div class="tab-content">
                        <div class="tab-pane show active" id="form-row-preview">
                            <form action="{{ route('backend.orderstatus.update',$orderstatus->status_id)}}" method="post" enctype="multipart/form-data">
                                @csrf
                                <input type="hidden" name="status_id" value="{{$orderstatus->status_id}}">
                                <div class="row g-2">
                                </div>
                                <div class="row g-2">
                                    <div class="mb-3 col-md-4">
                                        <label for="inputState" class="form-label">Status</label>
                                        <select name="status" id="inputState" class="form-select">
                                            <option>Choose Status</option>
                                            @if ($orderstatus->status)
                                            <option selected  value="{{$orderstatus->status}}">{{$orderstatus->status}}</option>
                                            <option value="pending">Pending</option>
                                            <option value="confirm by restaurant">Confirm by restaurant</option>
                                            <option value="pickup by rider">Pickup by rider</option>
                                            {{-- @elseif ($All_zones->status == '0')
                                            <option selected  value="{{$All_zones->status}}">Non Operational</option>
                                            <option  value="1">Operational</option> --}}
                                            @endif
                                            {{-- <option @if($All_zones->status == $All_zones->status ) selected  @endif value="{{ $All_zones->status }}" ></option> --}}
                                        </select>
                                        @if ($errors->has('status'))
                                        <span class="text-danger">{{ $errors->first('status') }}</span>
                                        @endif
                                    </div>
                                    <div class="mb-3 col-md-4">
                                        <label for="inputState" class="form-label">Priority</label>
                                        <select name="priority" id="inputState" class="form-select">
                                            <option>Choose Priority</option>
                                            @switch($orderstatus->priority)
                                                @case(1)
                                                @if ($orderstatus->priority == 1)
                                                <option selected  value="{{$orderstatus->priority}}">Urgent</option>
                                                <option value="1">Urgent</option>
                                                <option value="2">Emergency</option>
                                                <option value="3">Normal</option>
                                                @endif
                                                @break
                                                @case(2)
                                                @if ($orderstatus->priority == 2)
                                                <option selected  value="{{$orderstatus->priority}}">Emergency</option>
                                                <option value="1">Urgent</option>
                                                <option value="2">Emergency</option>
                                                <option value="3">Normal</option>
                                                @endif
                                                    @break
                                                    @case(3)
                                                    @if ($orderstatus->priority == 3)
                                                    <option selected  value="{{$orderstatus->priority}}">Normal</option>
                                                    <option value="1">Urgent</option>
                                                    <option value="2">Emergency</option>
                                                    <option value="3">Normal</option>
                                                    @endif

                                                    @break
                                                @default
                                            @endswitch
                                            {{-- @if ($orderstatus->priority)
                                            <option selected  value="{{$orderstatus->priority}}">{{$orderstatus->priority}}</option>
                                            <option value="1">Urgent</option>
                                            <option value="2">Emergency</option>
                                            <option value="3">Normal</option> --}}
                                            {{-- @elseif ($All_zones->status == '0')
                                            <option selected  value="{{$All_zones->status}}">Non Operational</option>
                                            <option  value="1">Operational</option> --}}
                                            {{-- @endif --}}
                                            {{-- <option @if($All_zones->status == $All_zones->status ) selected  @endif value="{{ $All_zones->status }}" ></option> --}}
                                        </select>
                                        @if ($errors->has('status'))
                                        <span class="text-danger">{{ $errors->first('status') }}</span>
                                        @endif
                                    </div>

                                </div>
                                <button type="submit" class="btn btn-primary">Update</button>
                            </form>
                        </div> <!-- end preview-->


                    </div> <!-- end tab-content-->

                </div> <!-- end card-body -->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
    <!-- end row -->

</div>
@endsection
