@extends('backend.layouts.main')
@push('plugin-styles')
@endpush




@section('content')
    <!-- Form row -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h4 class="header-title">Payment  Details</h4>

                        <div class="tab-content">
                            <div class="tab-pane show active" id="form-row-preview">
                                <form action="{{ route('receipt.store') }}" method="POST" enctype="multipart/form-data">
                                    @csrf

                                    <div class="row g-2">
                                        <div class="mb-3 col-md-3">
                                            <label for="nem" class="form-label">Date <span
                                                    class="text-danger">*</span></label>
                                            <input type="date" class="form-control" value="{{date('Y-m-d')}}" required name="payment_date"
                                                value="{{ old('payment_date') }}" id="name" readonly >

                                            @if ($errors->has('payment_date'))
                                                <span class="text-danger">{{ $errors->first('payment_date') }}</span>
                                            @endif
                                        </div>
                                    <div class="mb-3 col-md-3">
                                        <label for="inputPassword4" class="form-label">Payed For<span
                                                class="text-danger">*</span></label>
                                        
                                            <select name="Payed_for" class="form-control Payed_for change_filed"> 
                                                <option value="Restaurant"> Restaurant</option>
                                                <option value="Delivery Man"> Delivery Man</option>
                                                <option value="General Expense"> General Expense</option>
                                                
                                            </select>
                                        @if ($errors->has('Payed_for'))
                                            <span class="text-danger">{{ $errors->first('Payed_for') }}</span>
                                        @endif
                                    </div>

                                    <div class="mb-3 col-md-6 restaurant_section">
                                        <label for="inputState" class="form-label">Restaurant <span
                                                class="text-danger">*</span></label>
                                        <select id="inputState" class="form-select restaurant change_filed" name="restaurant" required >
                                            <!-- <option>Choose</option> -->
                                            @if($zones->isNotEmpty())
                                            <option value="">Select  Restaurant</option>
                                                    @foreach ($zones as $zone)
                                                        <option value="{{ $zone->id }}">{{ $zone->name }}</option>
                                                    @endforeach
                                            @else
                                            <option value="">Not Found</option>
                                            @endif

                                        </select>
                                        @if ($errors->has('restaurant'))
                                            <span class="text-danger">{{ $errors->first('restaurant') }}</span>
                                        @endif
                                    </div>

                                    <div class="mb-3 col-md-6 deliveryman_section" style="display:none;">
                                        <label for="inputState" class="form-label">Delivery Man <span
                                                class="text-danger">*</span></label>
                                        <select id="inputState" class="form-select deliveryman change_filed" name="deliveryman" >
                                            <!-- <option>Choose</option> -->
                                            @if($delivery_man->isNotEmpty())
                                            <option value="">Select Delivery Man</option>
                                                    @foreach ($delivery_man as $zone)
                                                        <option value="{{ $zone->id }}">{{ $zone->name }}</option>
                                                    @endforeach
                                            @else
                                            <option value="">Not Found</option>
                                            @endif

                                        </select>
                                    </div>

                                    
                                        
                                        
                                       
                                        
                                            
                                    <div class="row ">
                                        
                                        
                                            <div class="mb-3 col-md-3">
                                                <label for="nem" class="form-label">Amount/Balance <span
                                                        class="text-danger">*</span></label>
                                                <input type="number" step="any" class="form-control payment_amount" required name="payment_amount"
                                                    value="{{ old('payment_amount') }}" id="name" >
    
                                                @if ($errors->has('payment_amount'))
                                                    <span class="text-danger">{{ $errors->first('payment_amount') }}</span>
                                                @endif
                                            </div>

                                        
                                    </div>

                                    <div class="row ">
                                       
                                            <div class="mb-3 col-md-12">
                                                <label for="nem" class="form-label">Note </label>
                                                <input type="text"  class="form-control" name="note"
                                                    value="{{ old('note') }}" id="note" >
    
                                                @if ($errors->has('note'))
                                                    <span class="text-danger">{{ $errors->first('note') }}</span>
                                                @endif
                                            </div>

                                        
                                    </div>
                                    

                                    
                            </div>
                            
                            
                            <button type="submit" class="btn btn-primary"> Add </button>
                        </form>
                    </div>
                    </div> <!-- end preview-->
                </div> <!-- end tab-content-->

            </div> <!-- end card-body -->
        </div> <!-- end card-->
    </div> <!-- end col -->
    </div>
    </div>
    <!-- end row -->
@endsection

@push('custom-scripts')
    <script>
        // var balance=0;
        $('.change_filed').change(function(){
            change();
        });
        function change() {
            
            var type=$('.Payed_for').val();
            var dl=$('.deliveryman').val();
            var res=$('.restaurant').val();
            if(type =='Restaurant')
            {
                $('.deliveryman').removeAttr('required');
                $('.restaurant').attr('required','required');

                $('.deliveryman_section').hide();
                $('.restaurant_section').show();
            }
            else if(type =='Delivery Man')
            {
                $('.deliveryman').attr('required','required');
                $('.restaurant').removeAttr('required');

                $('.restaurant_section').hide();
                $('.deliveryman_section').show();

            }
            else
            {
                $('.deliveryman').removeAttr('required','required');
                $('.restaurant').removeAttr('required','required');

                $('.restaurant_section').hide();
                $('.deliveryman_section').hide();

            }

            if(type !='General Expense')
            {
                if((type =='Delivery Man'  && dl) || (type =='Restaurant' &&  res))
                {

                    
                    $.ajax({
                    url: "{{ route('get_balance') }}",
                    type: "GET",
                    data: {
                        type: type,
                        del_id:dl ,
                        res_id: res,
                    },
                    success: function(data) {
                        console.log(data);
                        $('.payment_amount').val(data.balance);
                        // balance=$data.balance;
                        // message('success','Restaurant Change Successfully')
                    }
                });
            }
            }
            else
            {

            }
        }
    </script>
@endpush
