@extends('backend.layouts.main')
@push('plugin-styles')
@endpush




@section('content')
    <!-- Form row -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h4 class="header-title">Payment  Details</h4>

                        <div class="tab-content">
                            <div class="tab-pane show active" id="form-row-preview">
                                <form action="{{ route('receipt.update', $record->id) }}" method="POST" enctype="multipart/form-data">
                                    @csrf
                                    @method('PUT')

                                    <div class="row g-2">
                                        <div class="mb-3 col-md-3">
                                            <label for="nem" class="form-label">Date <span
                                                    class="text-danger">*</span></label>
                                            <input type="date" class="form-control" value="{{$record->receipt_date}}" required name="payment_date"
                                                value="{{ old('payment_date') }}" id="name" readonly >

                                            @if ($errors->has('payment_date'))
                                                <span class="text-danger">{{ $errors->first('payment_date') }}</span>
                                            @endif
                                        </div>
                                    <div class="mb-3 col-md-3">
                                        <label for="inputPassword4" class="form-label">Payed For<span
                                                class="text-danger">*</span></label>
                                        
                                            <select name="Payed_for" class="form-control Payed_for change_filed"> 
                                                <option value="Restaurant" @if ($record->payment_for=='Restaurant') {{'selected'}}@endif> Restaurant</option>
                                                <option value="Delivery Man" @if ($record->payment_for=='Delivery Man') {{'selected'}}@endif> Delivery Man</option>
                                                <option value="General Expense" @if ($record->payment_for=='General Expense') {{'selected'}}@endif> General Expense</option>
                                                
                                            </select>
                                        @if ($errors->has('Payed_for'))
                                            <span class="text-danger">{{ $errors->first('Payed_for') }}</span>
                                        @endif
                                    </div>

                                    <div class="mb-3 col-md-6 restaurant_section">
                                        <label for="inputState" class="form-label">Restaurant <span
                                                class="text-danger">*</span></label>
                                        <select id="inputState" class="form-select restaurant change_filed" name="restaurant" required >
                                            <!-- <option>Choose</option> -->
                                            @if($zones->isNotEmpty())
                                            <option value="">Select  Restaurant</option>
                                                    @foreach ($zones as $zone)
                                                        <option value="{{ $zone->id }}" @if ($record->restaurant_id==$zone->id) {{'selected'}}@endif>{{ $zone->name }}</option>
                                                    @endforeach
                                            @else
                                            <option value="">Not Found</option>
                                            @endif

                                        </select>
                                        @if ($errors->has('restaurant'))
                                            <span class="text-danger">{{ $errors->first('restaurant') }}</span>
                                        @endif
                                    </div>

                                    <div class="mb-3 col-md-6 deliveryman_section" style="display:none;">
                                        <label for="inputState" class="form-label">Delivery Man <span
                                                class="text-danger">*</span></label>
                                        <select id="inputState" class="form-select deliveryman change_filed" name="deliveryman" >
                                            <!-- <option>Choose</option> -->
                                            @if($delivery_man->isNotEmpty())
                                            <option value="">Select Delivery Man</option>
                                                    @foreach ($delivery_man as $zone)
                                                        <option value="{{ $zone->id }}"  @if ($record->user_id==$zone->id) {{'selected'}}@endif >{{ $zone->name }}</option>
                                                    @endforeach
                                            @else
                                            <option value="">Not Found</option>
                                            @endif

                                        </select>
                                    </div>

                                    
                                        
                                        
                                       
                                        
                                            
                                    <div class="row ">
                                        
                                        
                                            <div class="mb-3 col-md-3">
                                                <label for="nem" class="form-label">Amount/Balance <span
                                                        class="text-danger">*</span></label>
                                                <input type="number" step="any" class="form-control payment_amount" required name="payment_amount"
                                                    value="{{ $record->total_paid_amount }}" >
    
                                                @if ($errors->has('payment_amount'))
                                                    <span class="text-danger">{{ $errors->first('payment_amount') }}</span>
                                                @endif
                                            </div>

                                        
                                    </div>

                                    <div class="row ">
                                       
                                            <div class="mb-3 col-md-12">
                                                <label for="nem" class="form-label">Note </label>
                                                <input type="text"  class="form-control" name="note"
                                                    value="{{ $record->note }}" id="note" >
    
                                                @if ($errors->has('note'))
                                                    <span class="text-danger">{{ $errors->first('note') }}</span>
                                                @endif
                                            </div>

                                        
                                    </div>
                                    

                                    
                            </div>
                            
                            
                            <button type="submit" class="btn btn-primary">Update</button>
                        </form>
                    </div>
                    </div> <!-- end preview-->
                </div> <!-- end tab-content-->

            </div> <!-- end card-body -->
        </div> <!-- end card-->
    </div> <!-- end col -->
    </div>
    </div>
    <!-- end row -->
@endsection

@push('custom-scripts')
    <script>
        // var balance=0;
        $('.change_filed').change(function(){
            change();
        });
        var first_time_load=1;
        var receipt_amount='{{$record->total_paid_amount}}';
        function change() {
            
            var type=$('.Payed_for').val();
            var dl=$('.deliveryman').val();
            var res=$('.restaurant').val();
            if(type =='Restaurant')
            {
                $('.deliveryman').removeAttr('required');
                $('.restaurant').attr('required','required');

                $('.deliveryman_section').hide();
                $('.restaurant_section').show();
            }
            else if(type =='Delivery Man')
            {
                $('.deliveryman').attr('required','required');
                $('.restaurant').removeAttr('required');

                $('.restaurant_section').hide();
                $('.deliveryman_section').show();

            }
            else
            {
                $('.deliveryman').removeAttr('required','required');
                $('.restaurant').removeAttr('required','required');

                $('.restaurant_section').hide();
                $('.deliveryman_section').hide();

            }

            if(type !='General Expense')
            {
                if((type =='Delivery Man'  && dl) || (type =='Restaurant' &&  res))
                {

                    if(first_time_load == 0)
                    {

                        $.ajax({
                            url: "{{ route('get_balance_where') }}",
                            type: "GET",
                            data: {
                                type: type,
                                del_id:dl ,
                                res_id: res,
                                receipt_id: '{{$record->id}}'
                            },
                            success: function(data) {
                                console.log(data);
                                var new_balance=0;
                                if(data.receipt_amount && data.receipt_amount>0)
                                new_balance=data.receipt_amount-receipt_amount;
                                $('.payment_amount').val(new_balance);
                                // balance=$data.balance;
                                // message('success','Restaurant Change Successfully')
                            }
                        });
                    }
                    first_time_load=0;
            }
            }
            else
            {

            }
        }
        change();
        // $('.payment_amount').val('{{ $record->total_paid_amount }}');
    </script>
@endpush
