@extends('backend.layouts.main')
@push('plugin-styles')
@endpush




@section('content')
    <!-- Form row -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <!-- <h4 class="header-title">Ledger  Details</h4> -->

                        <div class="tab-content">
                            <div class="tab-pane show active" id="form-row-preview">
                                <form action="{{ route('backend.ledger_report') }}" method="POST" enctype="multipart/form-data">
                                    @csrf

                                    <div class="row g-2">
                                        
                                    <div class="mb-3 col-md-3">
                                        <label for="inputPassword4" class="form-label">Ledger For<span
                                                class="text-danger">*</span></label>
                                        
                                            <select name="report_type" class="form-control Payed_for change_filed"> 
                                                <option value="Restaurant"> Restaurant</option>
                                                <option value="Delivery Man"> Delivery Man</option>
                                                
                                            </select>
                                        @if ($errors->has('Payed_for'))
                                            <span class="text-danger">{{ $errors->first('Payed_for') }}</span>
                                        @endif
                                    </div>

                                    <div class="mb-3 col-md-6 restaurant_section">
                                        <label for="inputState" class="form-label">Restaurant <span
                                                class="text-danger">*</span></label>
                                        <select id="inputState" class="form-select restaurant change_filed" name="restaurant" required >
                                            <!-- <option>Choose</option> -->
                                            @if($zones->isNotEmpty())
                                            <option value="">Select  Restaurant</option>
                                                    @foreach ($zones as $zone)
                                                        <option value="{{ $zone->id }}">{{ $zone->name }}</option>
                                                    @endforeach
                                            @else
                                            <option value="">Not Found</option>
                                            @endif

                                        </select>
                                        @if ($errors->has('restaurant'))
                                            <span class="text-danger">{{ $errors->first('restaurant') }}</span>
                                        @endif
                                    </div>

                                    <div class="mb-3 col-md-6 deliveryman_section" style="display:none;">
                                        <label for="inputState" class="form-label">Delivery Man <span
                                                class="text-danger">*</span></label>
                                        <select id="inputState" class="form-select deliveryman change_filed" name="deliveryman" >
                                            <!-- <option>Choose</option> -->
                                            @if($delivery_man->isNotEmpty())
                                            <option value="">Select Delivery Man</option>
                                                    @foreach ($delivery_man as $zone)
                                                        <option value="{{ $zone->id }}">{{ $zone->name }}</option>
                                                    @endforeach
                                            @else
                                            <option value="">Not Found</option>
                                            @endif

                                        </select>
                                    </div>
                            </div>
                            
                            
                            <button type="submit" class="btn btn-primary"> Generate </button>
                        </form>
                    </div>
                    </div> <!-- end preview-->
                </div> <!-- end tab-content-->

            </div> <!-- end card-body -->
        </div> <!-- end card-->
    </div> <!-- end col -->
    </div>
    </div>
    <!-- end row -->
@endsection

@push('custom-scripts')
    <script>
        // var balance=0;
        $('.change_filed').change(function(){
            change();
        });
        function change() {
            
            var type=$('.Payed_for').val();
            var dl=$('.deliveryman').val();
            var res=$('.restaurant').val();
            if(type =='Restaurant')
            {
                $('.deliveryman').removeAttr('required');
                $('.restaurant').attr('required','required');

                $('.deliveryman_section').hide();
                $('.restaurant_section').show();
            }
            else if(type =='Delivery Man')
            {
                $('.deliveryman').attr('required','required');
                $('.restaurant').removeAttr('required');

                $('.restaurant_section').hide();
                $('.deliveryman_section').show();

            }
            else
            {
                $('.deliveryman').removeAttr('required','required');
                $('.restaurant').removeAttr('required','required');

                $('.restaurant_section').hide();
                $('.deliveryman_section').hide();

            }

            
        }
    </script>
@endpush
