@extends('backend.layouts.main')
@push('plugin-styles')
@endpush




@section('content')
    <!-- Form row -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h4 class="header-title">Restaurant Details</h4>

                        <div class="tab-content">
                            <div class="tab-pane show active" id="form-row-preview">
                                <form action="{{ route('restuarants.store') }}" method="POST" enctype="multipart/form-data">
                                    @csrf

                                    <!-- </div> -->
                                    <div class="row g-2">
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Logo <span
                                                    class="text-danger">*</span></label>
                                            <input type="file" name="logo" class="form-control" id="inputPassword4"
                                                placeholder="Phone">

                                            @if ($errors->has('logo'))
                                                <span class="text-danger">{{ $errors->first('logo') }}</span>
                                            @endif
                                        </div>
                                        <!-- <div class="row g-2"> -->
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Featured Image <span
                                                    class="text-danger">*</span></label>
                                            <input type="file" name="feature_image" class="form-control"
                                                id="inputPassword4" placeholder="Phone">

                                            @if ($errors->has('feature_image'))
                                                <span class="text-danger">{{ $errors->first('feature_image') }}</span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="row g-2">
                                        <div class="mb-3 col-md-3">
                                            <label for="nem" class="form-label">Restaurant Name <span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" required name="restaurant_name"
                                                value="{{ old('restaurant_name') }}" id="name" >

                                            @if ($errors->has('restaurant_name'))
                                                <span class="text-danger">{{ $errors->first('restaurant_name') }}</span>
                                            @endif
                                        </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="inputEmail4" class="form-label">Email <span
                                                    class="text-danger">*</span></label>
                                            <input type="email" name="restaurant_email" class="form-control" required
                                                value="{{ old('restaurant_email') }}" id="inputEmail4" >
                                            @if ($errors->has('restaurant_email'))
                                                <span class="text-danger">{{ $errors->first('restaurant_email') }}</span>
                                            @endif
                                        </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Phone<span
                                                    class="text-danger">*</span></label>
                                            <input type="number" name="phone" class="form-control" id="inputPassword4"
                                                value="{{ old('phone') }}"  required>
                                            @if ($errors->has('phone'))
                                                <span class="text-danger">{{ $errors->first('phone') }}</span>
                                            @endif
                                        </div>
                                        </div>
                                            <div class="row g-2">
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Status<span
                                                    class="text-danger">*</span></label>
                                            
                                                <select name="status" class="form-control"> 
                                                    <option value="1"> Active</option>
                                                    <option value="0"> De-active</option>
                                                    
                                                </select>
                                            @if ($errors->has('status'))
                                                <span class="text-danger">{{ $errors->first('status') }}</span>
                                            @endif
                                        </div>

                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Commission(%)<span
                                                    class="text-danger">*</span></label>
                                            
                                                    <input type="number" class="form-control" name="comission" step="any"  value="{{ old('commission') }}">
                                            @if ($errors->has('commission'))
                                                <span class="text-danger">{{ $errors->first('commission') }}</span>
                                            @endif
                                        </div>

                                        
                                    </div>
                                    <div class="row g-2">
                                        <div class="mb-3 col-md-3">
                                            <label for="inputState" class="form-label">Zone <span
                                                    class="text-danger">*</span></label>
                                            <select id="inputState" class="form-select" name="zone_id" required>
                                                <!-- <option>Choose</option> -->
                                                @if($zones->isNotEmpty())
                                                        @foreach ($zones as $zone)
                                                            <option value="{{ $zone->id }}">{{ $zone->name }}</option>
                                                        @endforeach
                                                @else
                                                <option value="">Not Found</option>
                                                @endif

                                            </select>
                                        </div>
                                        <div class="mb-3 col-md-6">
                                            <label for="inputAddress" class="form-label">Address</label>
                                            <input type="text" class="form-control" name="address" id="inputAddress"
                                                value="{{ old('address') }}" placeholder="1234 Main St">
                                            @if ($errors->has('address'))
                                                <span class="text-danger">{{ $errors->first('address') }}</span>
                                            @endif
                                        </div>

                                        
                                    </div>
                                    

                                    <div class="row g-2">
                                    </div>
                            </div>
                        </div>
                        <h3 class="card-title">Owner Info</h3>
                        <hr>
                        <div class="row g-2">
                            <div class="mb-3 col-md-3">
                                <label> Owner Name</label>
                                <input type="text" class="form-control" name="name"  required
                                    value="{{ old('name') }}" />
                                @if ($errors->has('name'))
                                    <span class="text-danger">{{ $errors->first('name') }}</span>
                                @endif
                            </div>
                            <div class="mb-3 col-md-3">
                                <label> Email</label>
                                <input type="email" class="form-control" name="email"  required
                                    value="{{ old('email') }}" />
                                @if ($errors->has('email'))
                                    <span class="text-danger">{{ $errors->first('email') }}</span>
                                @endif
                            </div>
                            <div class="mb-3 col-md-3">
                                <label>Password</label>
                                <input type="password" class="form-control" name="password" 
                                    required />
                                @if ($errors->has('password'))
                                    <span class="text-danger">{{ $errors->first('password') }}</span>
                                @endif
                            </div>
                            <div class="mb-3 col-md-3">
                                <label>Retype password</label>
                                <input id="password-confirm" type="password" class="form-control"
                                    name="password_confirmation" required autocomplete="new-password"
                                     />
                                
                                @if ($errors->has('password'))
                                    <span class="text-danger">{{ $errors->first('password') }}</span>
                                @endif
                            </div>
                        </div>

                        <button type="submit" class="btn btn-primary">Register</button>
                        </form>
                    </div> <!-- end preview-->
                </div> <!-- end tab-content-->

            </div> <!-- end card-body -->
        </div> <!-- end card-->
    </div> <!-- end col -->
    </div>
    </div>
    <!-- end row -->
@endsection
