@extends('backend.layouts.main')
@push('plugin-styles')
@endpush




@section('content')
    <!-- Form row -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h4 class="header-title">Restaurant Details</h4>

                        <div class="tab-content">
                            <div class="tab-pane show active" id="form-row-preview">
                                <form action="{{ route('restuarants.update', $restuarant->id) }}" method="POST"
                                    enctype="multipart/form-data">
                                    @csrf
                                    @method('PUT')
                                    <div class="row g-2">
                                        <div class="row g-2">
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Logo <span
                                                    class="text-danger">*</span></label>
                                            <input type="file" name="logo" class="form-control" id="inputPassword4"
                                                placeholder="Phone">

                                            @if ($errors->has('logo'))
                                                <span class="text-danger">{{ $errors->first('logo') }}</span>
                                            @endif
                                        </div>
                                        <!-- <div class="row g-2"> -->
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Featured Image</label>
                                            <input type="file" name="feature_image" class="form-control"
                                                id="inputPassword4" placeholder="Phone">

                                            @if ($errors->has('feature_image'))
                                                <span class="text-danger">{{ $errors->first('feature_image') }}</span>
                                            @endif
                                        </div>
                                    </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="nem" class="form-label">Name <span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" required name="name"
                                                id="name" value="{{ $restuarant->name ?? old('name') }}"
                                                placeholder="Name">

                                            @if ($errors->has('name'))
                                                <span class="text-danger">{{ $errors->first('name') }}</span>
                                            @endif
                                        </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="inputEmail4" class="form-label">Email <span
                                                    class="text-danger">*</span></label>
                                            <input type="email" name="restaurant_email" class="form-control" required
                                                id="inputEmail4"
                                                value="{{ $restuarant->restaurant_email ?? old('restaurant_email') }}"
                                                placeholder="Email">

                                            @if ($errors->has('restaurant_email'))
                                                <span class="text-danger">{{ $errors->first('restaurant_email') }}</span>
                                            @endif
                                        </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Phone<span
                                                    class="text-danger">*</span></label>
                                            <input type="text" name="phone" class="form-control" id="inputPassword4"
                                                value="{{ $restuarant->phone ?? old('phone') }}" placeholder="Phone"
                                                required>

                                            @if ($errors->has('phone'))
                                                <span class="text-danger">{{ $errors->first('phone') }}</span>
                                            @endif
                                        </div>
                                        </div>
                                        <div class="row g-2">      
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Status<span
                                                    class="text-danger">*</span></label>
                                            
                                                <select name="status" class="form-control"> 
                                                    <option value="1" @if($restuarant->status==1) {{'selected'}} @endif> Active</option>
                                                    <option value="0" @if($restuarant->status==0) {{'selected'}} @endif> De-active</option>
                                                </select>
                                            @if ($errors->has('status'))
                                                <span class="text-danger">{{ $errors->first('status') }}</span>
                                            @endif
                                        </div>

                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Commission(%)<span
                                                    class="text-danger">*</span></label>
                                            
                                                    <input type="number" class="form-control" name="commission" step="any"  value="{{ $restuarant->commission ??  old('comission') }}">
                                            @if ($errors->has('commission'))
                                                <span class="text-danger">{{ $errors->first('commission') }}</span>
                                            @endif
                                        </div>
                                        
                                    </div>
                                    <div class="row g-2">
                                        <div class="mb-3 col-md-3">
                                            <label for="inputState" class="form-label">Zone</label>
                                            <select id="inputState" class="form-select" name="zone_id" required>
                                                <option value="">Choose</option>
                                                @foreach ($zones as $zone)
                                                    <option value="{{ $zone->id }}"
                                                        {{ $restuarant->zone_id == $zone->id ? 'selected' : '' }}>
                                                        {{ $zone->name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                        <div class="mb-3 col-md-6">
                                            <label for="inputAddress" class="form-label">Address</label>
                                            <input type="text" class="form-control" name="address" id="inputAddress"
                                                value="{{ $restuarant->address ?? old('address') }}"
                                                placeholder="1234 Main St">

                                            @if ($errors->has('address'))
                                                <span class="text-danger">{{ $errors->first('address') }}</span>
                                            @endif
                                        </div>

                                        
                                    </div>

                                    <div class="row g-2">
                                    </div>
                            </div>
                        </div>


                        <button type="submit" class="btn btn-primary">Update</button>
                        </form>
                    </div> <!-- end preview-->
                </div> <!-- end tab-content-->

            </div> <!-- end card-body -->
        </div> <!-- end card-->
    </div> <!-- end col -->
    </div>
    </div>
    <!-- end row -->
@endsection
