@extends('backend.layouts.main')
@push('plugin-styles')
    <link href="{{ asset('back') }}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css" />
@endpush




@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-sm-4">

                            </div>
                            
                        </div>
                        <div class="table-responsive">
                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                <thead class="table-light">
                                    <tr>
                                        <th class="all" style="width: 20px;">
                                            <div class="form-check">
                                                <input type="checkbox" class="form-check-input" id="customCheck1">
                                                <label class="form-check-label" for="customCheck1">&nbsp;</label>
                                            </div>
                                        </th>
                                        <th class="all">Name</th>
                                        <th>Phone</th>
                                        <th>Email</th>

                                        <th>Opening Time</th>
                                        <th>Closing Time</th>
                                        <th>Commission</th>
                                        <th>Status</th>
                                        
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $i = 2; ?>
                                    @foreach ($restuarants as $rest)
                                        <tr>
                                            <td>
                                                <div class="form-check">
                                                    <input type="checkbox" value="{{ $rest->id }}"
                                                        name="restuarant_id[]" onclick="make_feature('{{ $rest->id }}')"
                                                        class="form-check-input" id="customCheck13"
                                                        {{ isset($rest->feature_restaurants->is_feature) ?'checked' : '' }}>
                                                </div>
                                            </td>
                                            <td>
                                                {{ $rest->name }}
                                            </td>
                                            <td>
                                                {{ $rest->phone }}
                                            </td>
                                            <td>
                                                {{ $rest->restaurant_email }}
                                            </td>

                                            <td>
                                                {{ $rest->opening_time }}
                                            </td>
                                            <td>
                                                {{ $rest->closeing_time }}
                                            </td>
                                            <td>
                                                {{ $rest->comission }}
                                            </td>
                                            <td>
                                                @if ($rest->status == 1)
                                                    <span class="badge bg-success">Active</span>
                                                    @else
                                                    <span class="badge bg-danger">In-Active</span>
                                                @endif

                                            </td>
                                            
                                        </tr>
                                        <?php $i++; ?>
                                    @endforeach
                                    </tr>
                                </tbody>

                            </table>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>

        <!-- end row -->

    </div>
    <!-- container -->
@endsection

@push('custom-scripts')
    <script>
        function make_feature(id) {
            $.ajax({
                url: "{{ route('backend.make_feature_restaurent') }}",
                type: "GET",
                data: {
                    id: id,
                },
                success: function(data) {
                    // console.log(data);
                    message('success','Restaurant Change Successfully')
                }
            });
        }
    </script>
@endpush
