@extends('backend.layouts.main')
@push('plugin-styles')
    <link href="{{ asset('back') }}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css" />
@endpush




@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-sm-4">
                                <a href="{{ route('restuarants.create') }}" class="btn btn-danger mb-2"><i
                                        class="mdi mdi-plus-circle me-2"></i> Add Restuarant</a>
                            </div>
                            
                        </div>

                        <div class="table-responsive">
                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                <thead class="table-light">
                                    <tr>
                                        <th>#</th>
                                        <th class="all">Restaurant</th>
                                        <th>Phone</th>
                                        <th>Email</th>
                                        <th>Status</th>
                                        <th>Commission (%)</th>
                                        <th>Address</th>
                                        <th style="width: 85px;">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $i = 1; ?>
                                    @foreach ($restuarants as $rest)
                                        <tr>
                                            <td>
                                                {{$i}}
                                            </td>
                                            <td>
                                                {{ $rest->name }}
                                            </td>

                                            <td>
                                                {{ $rest->phone }}
                                            </td>
                                            <td>
                                                {{ $rest->restaurant_email }}
                                            </td>
                                            <td>
                                                 @if ($rest->status==1)
                                                    <span class="badge bg-success">Active</span>
                                                    @else
                                                    <span class="badge bg-danger">In-Active</span>
                                                    
                                                @endif

                                            </td>
                                            <td>
                                                {{ $rest->commission }}
                                            </td>
                                            <td>
                                                {{ $rest->address }}
                                            </td>
                                            <td class="table-action">
                                                 <a href="{{ route('restuarants.show', $rest->id) }}" class="action-icon"> <i
                                                        class="mdi mdi-eye"></i></a>
                                                <a href="{{ route('restuarants.edit', $rest->id) }}" class="action-icon">
                                                    <i class="mdi mdi-square-edit-outline"></i></a>
                                                <form id="del_event" action="{{ route('restuarants.destroy', $rest->id) }}"
                                                    method="post"style="display: inline;">
                                                    {!! method_field('delete') !!}
                                                    {{ csrf_field() }}
                                                    <button class=" action-icon detele-button " style="border: none;"
                                                        
                                                        type="submit"><i class="mdi mdi-delete"></i></a></button>
                                                </form>
                                                {{-- <a href="{{ route('restuarants.destroy', $rest->id) }}" class="action-icon"> --}}
                                                {{-- <i class="mdi mdi-delete"></i></a> --}}
                                            </td>
                                            </td>

                                        </tr>
                                        <?php $i++; ?>
                                    @endforeach
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>

        <!-- end row -->

    </div>
    <!-- container -->
@endsection

@push('custom-scripts')

@endpush
