@extends('backend.layouts.main')
@push('plugin-styles')
@endpush




@section('content')
    <!-- Form row -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body mt-5">
                        <h4 class="header-title">Add Customer </h4>
                        <div class="tab-content ">
                            <div class="tab-pane show active" id="form-row-preview">
                                <form action="{{ route('customers.store') }}" method="POST" enctype="multipart/form-data">
                                    @csrf
                                    <div class="row g-2">
                                        <div class="mb-3 col-md-6">
                                            <label for="nem" class="form-label">Name <span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" required name="name"
                                                value="{{ old('name') }}" id="name">

                                            @if ($errors->has('name'))
                                                <span class="text-danger">{{ $errors->first('name') }}</span>
                                            @endif
                                        </div>
                                        <div class="mb-3 col-md-6">
                                            <label for="inputEmail4" class="form-label">Email <span
                                                    class="text-danger">*</span></label>
                                            <input type="email" name="email" class="form-control" required
                                                value="{{ old('email') }}" id="inputEmail4">
                                            @if ($errors->has('email'))
                                                <span class="text-danger">{{ $errors->first('email') }}</span>
                                            @endif
                                        </div>
                                        <div class="mb-3 col-md-6">
                                            <label for="inputPassword4" class="form-label">Phone<span
                                                    class="text-danger">*</span></label>
                                            <input type="number" name="contact_number" class="form-control"
                                                id="inputPassword4" value="{{ old('contact_number') }}" required>
                                            @if ($errors->has('contact_number'))
                                                <span class="text-danger">{{ $errors->first('contact_number') }}</span>
                                            @endif
                                        </div>

                                        {{-- <div class="mb-3 col-md-3">
                                            <label for="inputState" class="form-label">User Type <span
                                                    class="text-danger">*</span></label>
                                            <select id="inputState" class="form-select" name="user_type_id" required>
                                                <!-- <option>Choose</option> -->
                                                @if ($usersType->isNotEmpty())
                                                    @foreach ($usersType as $data)
                                                        <option value="{{ $data->id }}">{{ $data->name }}</option>
                                                    @endforeach
                                                @else
                                                    <option value="">Not Found</option>
                                                @endif

                                            </select>
                                        </div> --}}
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Status<span
                                                    class="text-danger">*</span></label>

                                            <select name="status" class="form-control">
                                                <option value="1"> Active</option>
                                                <option value="0"> De-active</option>

                                            </select>
                                            @if ($errors->has('status'))
                                                <span class="text-danger">{{ $errors->first('status') }}</span>
                                            @endif
                                        </div>
                                        <div class="mb-3 col-md-6">
                                            <label>Password</label>
                                            <input type="password" class="form-control" name="password" required />
                                            @if ($errors->has('password'))
                                                <span class="text-danger">{{ $errors->first('password') }}</span>
                                            @endif
                                        </div>
                                        <div class="mb-3 col-md-6">
                                            <label>Retype password</label>
                                            <input id="password-confirm" type="password" class="form-control"
                                                name="password_confirmation" required autocomplete="new-password" />

                                            @if ($errors->has('password'))
                                                <span class="text-danger">{{ $errors->first('password') }}</span>
                                            @endif
                                        </div>

                                    </div>
                                    <button type="submit" class="btn btn-primary">Register</button>
                                </form>
                            </div>
                        </div>


                    </div> <!-- end preview-->
                </div> <!-- end tab-content-->

            </div> <!-- end card-body -->
        </div> <!-- end card-->
    </div> <!-- end col -->
    </div>
    </div>
    <!-- end row -->
@endsection
