@extends('backend.layouts.main')

@push('plugin-styles')
@endpush

@section('content')
    <div class="container-fluid">

        <div class="row m-0">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-sm-4">
                                <a href="{{ route('customers.create') }}" class="btn btn-danger mb-2"><i
                                        class="mdi mdi-plus-circle me-2"></i> Add Customers</a>
                            </div>
                        </div>

                        <div class="table">
                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                <thead class="table-light">
                                    <tr>
                                        <th>#</th>
                                        <th class="all">name</th>
                                        <th>Phone</th>
                                        <th>Email</th>
                                        <th>Status</th>
                                        {{-- <th>Address</th> --}}
                                        <th style="width: 85px;">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $i = 1; ?>
                                    @foreach ($users as $data)
                                        <tr>
                                            <td>
                                                {{ $i }}
                                            </td>
                                            <td>
                                                {{ $data->name }}
                                            </td>

                                            <td>
                                                {{ $data->contact_number }}
                                            </td>
                                            <td>
                                                {{ $data->email }}
                                            </td>
                                            <td>
                                                @if ($data->status == 1)
                                                    <span class="badge bg-success">Active</span>
                                                @else
                                                    <span class="badge bg-danger">In-Active</span>
                                                @endif

                                            </td>
                                            {{-- <td>
                                                {{ $user->add->address ?? 'No address available' }}

                                            </td> --}}
                                            <td class="table-action">
                                                <a href="{{ route('customers.show', $data->id) }}" class="action-icon"> <i
                                                        class="mdi mdi-eye"></i></a>
                                                <a href="{{ route('customers.edit', $data->id) }}" class="action-icon">
                                                    <i class="mdi mdi-square-edit-outline"></i></a>
                                                <form id="del_event" action="{{ route('customers.destroy', $data->id) }}"
                                                    method="post"style="display: inline;">
                                                    {!! method_field('delete') !!}
                                                    {{ csrf_field() }}
                                                    <button class=" action-icon detele-button " style="border: none;"
                                                        type="submit"><i class="mdi mdi-delete"></i></a></button>
                                                </form>
                                                {{-- <a href="{{ route('restuarants.destroy', $rest->id) }}" class="action-icon"> --}}
                                                {{-- <i class="mdi mdi-delete"></i></a> --}}
                                            </td>
                                            </td>

                                        </tr>
                                        <?php $i++; ?>
                                    @endforeach
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>

        <!-- end row -->

    </div>
@endsection
