@extends('backend.layouts.main')

@push('plugin-styles')
@endpush

@section('content')
    <div class="row">
        <div class="col-md-2">
            <div class="card">
                <div class="card-body">
                    <h4>search filter</h4>
                    <form action="{{ route('backend.uaser.reports') }}" method="GET">
                        <div class="mb-3">
                            <label for="user_type_id" class="form-label">User Type:</label>
                            <select id="user_type_id" name="user_type_id" class="form-control">
                                <option value="">All</option>
                                @foreach ($usersType as $type)
                                    <option value="{{ $type->id }}"
                                        {{ request('user_type_id') == $type->id ? 'selected' : '' }}>{{ $type->name }}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                        <div class="mb-3">
                            <label for="status" class="form-label">Status:</label>
                            <select name="status" class="form-control">
                                <option value="">All</option>
                                <option value="1">Active</option>
                                <option value="0">De-active</option>
                            </select>
                        </div>
                        <button type="submit" class="btn btn-primary">Search</button>
                    </form>

                </div>
            </div>
        </div>
        <div class="col-md-10">


            <div class="">

                <div class="row m-0">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">


                                <div class="table">
                                    <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                        <thead class="table-light">
                                            <tr>
                                                <th>#</th>
                                                <th class="all">name</th>
                                                <th class="all">Type</th>
                                                <th>Phone</th>
                                                <th>Email</th>
                                                <th>Status</th>
                                                {{-- <th>Address</th> --}}
                                                <th style="width: 85px;">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php $i = 1; ?>
                                            @foreach ($users as $data)
                                                <tr>
                                                    <td>
                                                        {{ $i }}
                                                    </td>
                                                    <td>
                                                        {{ $data->name }}
                                                    </td>

                                                    <td>
                                                        @if($data->userType)

                                                        {{ $data->userType->alias_name }}
                                                        
                                                        @else
                                                        {{ 'N/A' }}
                                                        @endif
                                                    </td>

                                                    <td>
                                                        {{ $data->contact_number }}
                                                    </td>
                                                    <td>
                                                        {{ $data->email }}
                                                    </td>
                                                    <td>
                                                        @if ($data->status == 1)
                                                            <span class="badge bg-success">Active</span>
                                                        @else
                                                            <span class="badge bg-danger">In-Active</span>
                                                        @endif

                                                    </td>
                                                    {{-- <td>
                                                {{ $user->add->address ?? 'No address available' }}

                                            </td> --}}
                                                    <td class="table-action">
                                                        <a href="{{ route('customers.show', $data->id) }}"
                                                            class="action-icon"> <i class="mdi mdi-eye"></i></a>
                                                        {{-- <a href="{{ route('customers.edit', $data->id) }}"
                                                            class="action-icon">
                                                            <i class="mdi mdi-square-edit-outline"></i></a>
                                                        <form id="del_event"
                                                            action="{{ route('customers.destroy', $data->id) }}"
                                                            method="post"style="display: inline;">
                                                            {!! method_field('delete') !!}
                                                            {{ csrf_field() }}
                                                            <button class=" action-icon detele-button "
                                                                style="border: none;" type="submit"><i
                                                                    class="mdi mdi-delete"></i></a></button>
                                                        </form> --}}
                                                        {{-- <a href="{{ route('restuarants.destroy', $rest->id) }}" class="action-icon"> --}}
                                                        {{-- <i class="mdi mdi-delete"></i></a> --}}
                                                    </td>
                                                    </td>

                                                </tr>
                                                <?php $i++; ?>
                                            @endforeach
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div> <!-- end card-body-->
                        </div> <!-- end card-->
                    </div> <!-- end col -->
                </div>

                <!-- end row -->

            </div>
        </div>
    </div>
@endsection
