@extends('backend.layouts.main')
@section('content')

    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">Hyper</a></li>
                            <li class="breadcrumb-item"><a href="javascript: void(0);">Forms</a></li>
                            <li class="breadcrumb-item active">Form Food</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Food </h4>
                </div>
            </div>
        </div>
        <!-- end page title -->
        <!-- Form row -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <ul class="nav nav-tabs nav-bordered mb-3">
                        </ul> <!-- end nav-->
                        <div class="tab-content">
                            <div class="tab-pane show active" id="form-row-preview">
                                {{-- <form action="{{ route('foods.update',$food->id)}}" method="post" enctype="multipart/form-data"> --}}

                                @if (isset($food))
                                    <form method="POST" action="{{ route('foods.update', $food->id) }}" class="flex-fill"
                                        enctype="multipart/form-data">
                                        @method('PUT')
                                    @else
                                        <form method="POST" action="{{ route('foods.store') }}" class="flex-fill"
                                            enctype="multipart/form-data">
                                @endif
                                @csrf
                                @if (!isset($food))
                                    <div class="row g-2">
                                        <div class="mb-3 col-md-4">
                                            <label for="" class="form-label">Food Name<span class="text-danger"> *
                                                </span></label>
                                            <input type="text" name="name"class="form-control"  value="{{old('name')}}">
                                            @if ($errors->has('name'))
                                                <span class="text-danger">{{ $errors->first('name') }}</span>
                                            @endif
                                        </div>
                                        <div class="mb-3 col-md-4">
                                            <label for="inputState" class="form-label">Price <span class="text-danger"> *
                                                </span></label>
                                            <input type="number" name="price"class="form-control" id="" step="any" value="{{old('price')}}">
                                            @if ($errors->has('price'))
                                                <span class="text-danger">{{ $errors->first('price') }}</span>
                                            @endif
                                        </div>
                                        <div class="mb-3 col-md-4">
                                            <label for="inputState" class="form-label">Food Category <span
                                                    class="text-danger"> * </span></label>
                                            <select name="category_id" id="inputState" class="form-select">
                                                <option value="" disabled>Choose</option>
                                                @foreach ($categories as $category)
                                                    <option value="{{ $category->id }}">{{ $category->name }}</option>
                                                @endforeach
                                            </select>
                                            @if ($errors->has('category_id'))
                                                <span class="text-danger">{{ $errors->first('category_id') }}</span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="row g-2">
                                        <div class="mb-3 col-md-4">
                                            <label for="inputPassword4" class="form-label">Image<span class="text-danger"> *
                                                </span></label>
                                            <input type="file" name="image" class="form-control" id=""
                                                placeholder="upload image">

                                            @if ($errors->has('image'))
                                                <span class="text-danger">{{ $errors->first('image') }}</span>
                                            @endif
                                        </div>

                                        <div class="mb-3 col-md-4">
                                            <label for="inputPassword4" class="form-label">Description</label>
                                            <textarea type="text" name="description" class="form-control" id=""></textarea>
                                        </div>
                                        <div class="mb-3 col-md-4">
                                            <label for="is_suggested" class="form-label">Suggested Item<span
                                                    class="text-danger"> * </span></label>
                                            <select name="is_suggested" id="is_suggested" class="form-select">
                                                <option value="0" selected>No</option>
                                                <option value="1">Yes</option>
                                            </select>
                                        </div>
                                    </div>
                                @else
                                    <div class="row g-2">
                                        <div class="mb-3 col-md-4">
                                            <label for="" class="form-label">Item Name <span class="text-danger"> *
                                                </span></label>
                                            <input type="text" value="{{ $food->name }}"
                                                name="name"class="form-control" id=""
                                                placeholder="Item Name">
                                        </div>
                                        <div class="mb-3 col-md-4">
                                            <label for="inputState" class="form-label">Price<span class="text-danger"> *
                                                </span></label>
                                            <input type="text" name="price" value="{{ $food->price }}"
                                                class="form-control" id="" placeholder="Item price">

                                        </div>
                                        <div class="mb-3 col-md-4">
                                            <label for="inputState" class="form-label">Food Category<span
                                                    class="text-danger"> * </span></label>
                                            <select name="category_id" id="inputState" class="form-select">
                                                {{-- <option value="" disabled>Choose</option> --}}
                                                @foreach ($categories as $category)
                                                    @if ($category->id == $food->category_id)
                                                        <option value="{{ $category->id }}" selected>
                                                            {{ $category->name }}</option>
                                                    @endif
                                                    <option value="{{ $category->id }}">{{ $category->name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="row g-2">

                                        <div class="mb-3 col-md-2">
                                            <label for="inputPassword4" class="form-label">Image <span
                                                    class="text-danger"> * </span></label>
                                            <input type="file" name="image" value="{{ $food->image }}"
                                                class="form-control" required id="" placeholder="upload image">
                                        </div>
                                        {{-- featured_image --}}
                                        <div class="mb-3 col-md-2">
                                            <label for="inputPassword4" class="form-label">Featured Image<span
                                                    class="text-danger"> * </span></label>
                                            <input type="file" name="featured_image"
                                                value="{{ $food->featured_image }}" class="form-control" required
                                                id="" placeholder="upload image">

                                            @if ($errors->has('featured_image'))
                                                <span class="text-danger">{{ $errors->first('featured_image') }}</span>
                                            @endif
                                        </div>

                                        <div class="mb-3 col-md-4">
                                            <label for="inputPassword4" class="form-label">Description</label>
                                            <textarea type="text" name="description" value="{{ $food->description }}" class="form-control" id=""
                                                placeholder=" Description">{{ $food->description }}</textarea>
                                        </div>

                                        <div class="mb-3 col-md-4">
                                            <label for="is_suggested" class="form-label">Suggested Item<span
                                                    class="text-danger"> * </span></label>
                                            <select name="is_suggested" id="is_suggested" class="form-select">
                                                @if ($food->is_suggested == 0)
                                                    <option value="0" selected>No</option>
                                                    <option value="1">Yes</option>
                                                @else
                                                    <option value="0">No</option>
                                                    <option value="1" selected>Yes</option>
                                                @endif
                                            </select>
                                        </div>
                                    </div>
                                @endif
                                @if (isset($food))
                                    <button type="submit" class="btn  btn-primary">Update</button>
                                    <a href="{{ route('foods.index') }}" class="btn btn-danger">Cancel</a>
                                @else
                                    <button type="submit" class="btn btn-primary">Save</button>
                                @endif

                                </form>
                            </div> <!-- end preview-->


                        </div> <!-- end tab-content-->

                    </div> <!-- end card-body -->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>
        <!-- end row -->

    </div>
@endsection
