@extends('backend.layouts.main')
@push('plugin-styles')
    <link href="{{ asset('back') }}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css"/>
    <link href="{{ asset('back') }}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css"/>
@endpush
@section('content')
    <div class="container-fluid">
        <!-- Begin page -->
        <div class="wrapper">
            <div class="content-page">
                <div class="content">
                    <!-- start page title -->
                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box">
                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">Home</a></li>
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">Tables</a></li>
                                        <li class="breadcrumb-item active">Holidays</li>
                                    </ol>
                                </div>
                                <h4 class="page-title">Holidays</h4>
                            </div>
                        </div>
                    </div>
                    <!-- end page title -->
                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="header-title">Add Holiday </h4>
                                    <div class="tab-content">
                                        <div class="tab-pane show active" id="basic-datatable-preview">
                                            <table class="table table-centered mb-0">
                                                <thead>
                                                <tr>
                                                    <th>Day</th>
                                                    <th>Reason</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <form method="post" action="{{ route('holidays.store') }}">
                                                    @csrf
                                                    <input type="hidden" value="{{ $restaurant_id }}" name="restaurant_id">
                                                    <tr>
                                                        <td>
                                                            <div class="input-group">
                                                                <input type="date" name="holiday_date" class="form-control"
                                                                       placeholder="dd/mm/yyyy" required
                                                                       aria-label="Recipient's username"
                                                                       aria-describedby="button-addon2">
                                                                <button class="btn btn-outline-secondary" type="button"
                                                                        id="button-addon2"><i
                                                                        class="mdi mdi-calendar"></i></button>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="input-group">
                                                                <input type="text" name="reason" class="form-control"
                                                                       placeholder="Reason" required
                                                                       aria-label="Recipient's username"
                                                                       aria-describedby="button-addon2">
                                                                <button class="btn btn-outline-secondary" type="button"
                                                                        id="button-addon2"><i
                                                                        class="mdi mdi-note"></i></button>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="4">
                                                            <button type="submit" class="btn btn-primary">Submit</button>
                                                        </td>
                                                    </tr>
                                                </form>
                                                </tbody>
                                            </table>
                                        </div> <!-- end preview-->
                                    </div> <!-- end tab-content-->
                                </div> <!-- end card body-->
                            </div> <!-- end card -->
                        </div><!-- end col-->
                    </div>
                    <!-- end row-->
                </div> <!-- End Content -->
            </div> <!-- content-page -->
        </div> <!-- end wrapper-->
    </div>
    <!-- END Container -->
    <!--  modal  -->
    <div id="standard-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="standard-modalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="standard-modalLabel">Accept Order</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form>
                        <h6>Are You Sure Accept Order !</h6>
                        <input class="m_order_id" type="hidden" id="order_id" name="order_id">
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">No</button>
                    <button type="button" id="ajax_call" class="btn btn-primary ajax_call ">Yes</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->
    </div>
@endsection
@push('plugin-scripts')
    <!-- third party js -->
    <script src="{{ asset('back') }}/assets/js/vendor/jquery.dataTables.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/dataTables.bootstrap5.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/dataTables.responsive.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/responsive.bootstrap5.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/dataTables.buttons.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/buttons.bootstrap5.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/buttons.html5.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/buttons.flash.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/buttons.print.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/dataTables.keyTable.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/dataTables.select.min.js"></script>
    <!-- third party js ends -->

    <!-- demo app -->
    <script src="{{ asset('back') }}/assets/js/pages/demo.datatable-init.js"></script>
    <!-- end demo js-->


    <script>
        $(document).ready(function () {

            $(document).on('click', '.detail_view_button', function () {
                $('#standard-modal').modal('show');
                $('.m_order_id').val($(this).data('order_id'));
            });
        });
    </script>
    <script>
        $(document).on('click', '.ajax_call', function () {
            var id = $('#order_id').val();
            $.ajax({
                type: 'POST',
                url: "{{ route('change_status') }}",
                data: {
                    id: id
                },
                success: function (result) {
                    $('#standard-modal').modal('hide');

                },
                error: function (result) {

                }
            });
        });
    </script>
@endpush
