@extends('backend.layouts.main')
@push('plugin-styles')
    <link href="{{ asset('back') }}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css"/>
    <link href="{{ asset('back') }}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css"/>
    <link href="{{ asset('back') }}/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css"/>
    <link href="{{ asset('back') }}/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css"/>
@endpush




@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-sm-4">
                                <a href="{{ route('holidays.create') }}" class="btn btn-danger mb-2"><i
                                        class="mdi mdi-plus-circle me-2"></i> Add Holiday</a>
                            </div>
                            <div class="col-sm-8">
                                <div class="text-sm-end">
                                    <button type="button" class="btn btn-success mb-2 me-1"><i
                                            class="mdi mdi-cog-outline"></i></button>
                                    <button type="button" class="btn btn-light mb-2 me-1">Import</button>
                                    <button type="button" class="btn btn-light mb-2">Export</button>
                                </div>
                            </div><!-- end col-->
                        </div>

                        <div class="table-responsive">
                            <table class="table table-centered mb-0">
                                <thead>
                                <tr>
                                    <th>Day</th>
                                    <th>Reason</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($holidays as $holiday)
                                    <tr>
                                        <td>{{ $holiday->holiday_date }}</td>
                                        <td>{{ $holiday->reason }}</td>
                                        <td>

                                            <form action="{{ route('holidays.destroy', $holiday->id) }}" method="POST">
                                            <a href="{{ route('holidays.edit', $holiday->id) }}"
                                               class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a>
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="action-icon" style="border: none !important;"> <i class="mdi mdi-delete"></i></button>
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>

        <!-- end row -->

    </div>
    <!-- container -->


    <!-- Standard modal content -->
    <div id="statusUpdateModel" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="standard-modalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="standard-modalLabel">Update Order Status</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <h6>Are You Sure To Confirm Order Status</h6>
                    <div class="mt-3" style="display: inline-block">
                        <div class="form-check ">
                            <input type="checkbox" class="form-check-input" name="status" id="customCheck1">
                            <label class="form-check-label" for="customCheck1">Confirm</label>
                        </div>
                        <div class="form-check">
                            <input type="hidden" name='edit_status_id' id="edit_status_id"/>
                            <input type="hidden" name='edit_order_id' id="edit_order_id"/>
                        </div>
                    </div>
                    <hr>
                    <h6>Order Detail Also Show</h6>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary btnStatus">Status Update</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->
@endsection
@push('plugin-scripts')
    <script>
        $(document).ready(function () { //for yajra datatable

            $(function () {
                ticketsTable = $('.yajra-datatable').DataTable({
                    processing: true,
                    serverSide: true,
                    ajax: "{{ route('get-orders') }}",
                    order: [
                        [0, 'desc']
                    ],
                    columns: [{
                        data: 'id',
                        name: 'id'
                    },
                        {
                            data: 'restaurant_id',
                            name: 'restaurant_id'
                        },
                        {
                            data: 'payment_method',
                            name: 'payment_method'
                        },
                        {
                            data: 'total_tax_amount',
                            name: 'total_tax_amount'
                        },
                        {
                            data: 'order_status',
                            name: 'order_status'
                        },

                        {
                            data: 'action',
                            name: 'action',
                            orderable: true,
                            searchable: true
                        },
                    ]
                });

            });

        });
    </script>
    <script>
        $(document).on('click', '.btnStatus', function () {
            var id = $('input[name="edit_status_id"]').val();
            var order_id = $('input[name="edit_order_id"]').val();
            console.log(id);
            console.log(order_id);
            $.ajax({
                method: 'post',
                url: "{{ route('updateOrderStatus') }}",
                data: {
                    'id': id,
                    'order_id': order_id,
                    "_token": "{{ csrf_token() }}",
                    // 'addFormId': $('#addFormId').serialize(),
                },
                success: function (res) {
                    $('#statusUpdateModel').modal('hide');
                }

            });
        });


        $(document).on('click', '.statusUpdate', function (event) {
            event.preventDefault();
            $('#statusUpdateModel').modal('show');

            let id = $(this).data('id');

            // console.log(id);

            $.ajax({
                method: 'get',
                url: "{{ route('getOrderStatus') }}",
                data: {
                    'id': id,
                    // _token: token,
                    // 'addFormId': $('#addFormId').serialize(),
                },

                success: function (result) {

                    $.each(result, function (k, val) {
                        console.log('order_id', val.id);
                        $('input[name="edit_order_id"]').val(val.id);

                        $.each(val.statuses, function (k, row) {
                            console.log('id', row.id);
                            //   $('#status').val(row.id);
                            $('input[name="edit_status_id"]').val(row.id);

                        });
                    });
                },
                // complete: function() {
                //     $('#loader').hide();
                // }
            });
        });
    </script>
@endpush
