@extends('backend.layouts.main')
@push('plugin-styles')
    <link href="{{ asset('back') }}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css"/>
    <link href="{{ asset('back') }}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css"/>
@endpush
@section('content')
    <div class="container-fluid">
        <!-- Begin page -->
        <div class="wrapper">
            <div class="content-page">
                <div class="content">
                    <!-- start page title -->
                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box">
                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">Home</a></li>
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">Tables</a></li>
                                        <li class="breadcrumb-item active">Timings</li>
                                    </ol>
                                </div>
                                <h4 class="page-title">Timings</h4>
                            </div>
                        </div>
                    </div>
                    <!-- end page title -->
                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="header-title">Edit Timing </h4>
                                    <div class="tab-content">
                                        <div class="tab-pane show active" id="basic-datatable-preview">
                                            <table class="table table-centered mb-0">
                                                <thead>
                                                <tr>
                                                    <th>Day</th>
                                                    <th>Opening Time</th>
                                                    <th>Closing Time</th>
                                                    <th>Active</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <form method="post" action="{{ route('timings.update', $timing->id) }}">
                                                    @csrf
                                                    @method('PUT')
                                                    <input type="hidden" value="{{ $timing->restaurant_id }}" name="restaurant_id">
                                                    <tr>
                                                        <td>
                                                            <select class="form-select" name="day"
                                                                    aria-label="Default select example" required>
                                                                <option selected value="">Select Day</option>
                                                                <option value="Monday" {{ $timing->day == 'Monday' ? 'selected' : '' }}>Monday</option>
                                                                <option value="Tuesday" {{ $timing->day == 'Tuesday' ? 'selected' : '' }}>Tuesday</option>
                                                                <option value="Wednesday" {{ $timing->day == 'Wednesday' ? 'selected' : '' }}>Wednesday</option>
                                                                <option value="Thursday" {{ $timing->day == 'Thursday' ? 'selected' : '' }}>Thursday</option>
                                                                <option value="Friday" {{ $timing->day == 'Friday' ? 'selected' : '' }}>Friday</option>
                                                                <option value="Saturday" {{ $timing->day == 'Saturday' ? 'selected' : '' }}>Saturday</option>
                                                                <option value="Sunday" {{ $timing->day == 'Sunday' ? 'selected' : '' }}>Sunday</option>
                                                            </select>
                                                        </td>
                                                        <td>
                                                            <div class="input-group">
                                                                <input type="time" name="opening_time" class="form-control"
                                                                       placeholder="hh:mm" required
                                                                       aria-label="Recipient's username"
                                                                       aria-describedby="button-addon2" value="{{ $timing->opening_time }}">
                                                                <button class="btn btn-outline-secondary" type="button"
                                                                        id="button-addon2"><i
                                                                        class="mdi mdi-clock-outline"></i></button>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="input-group">
                                                                <input type="time" name="closing_time" class="form-control"
                                                                       placeholder="hh:mm" required
                                                                       aria-label="Recipient's username"
                                                                       aria-describedby="button-addon2" value="{{ $timing->closing_time }}">
                                                                <button class="btn btn-outline-secondary" type="button"
                                                                        id="button-addon2"><i
                                                                        class="mdi mdi-clock-outline"></i></button>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <!-- Switch-->
                                                            <div>
                                                                <input type="checkbox" id="switch1" name="status" {{ $timing->status == 'on' ? 'checked' : '' }} value="{{ $timing->status }}" data-switch="success"/>
                                                                <label for="switch1" data-off-label="OFF" data-on-label="ON"

                                                                       class="mb-0 d-block"></label>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="4">
                                                            <button type="submit" class="btn btn-primary">Update</button>
                                                        </td>
                                                    </tr>
                                                </form>
                                                </tbody>
                                            </table>
                                        </div> <!-- end preview-->
                                    </div> <!-- end tab-content-->
                                </div> <!-- end card body-->
                            </div> <!-- end card -->
                        </div><!-- end col-->
                    </div>
                    <!-- end row-->
                </div> <!-- End Content -->
            </div> <!-- content-page -->
        </div> <!-- end wrapper-->
    </div>
    <!-- END Container -->
    <!--  modal  -->
    <div id="standard-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="standard-modalLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="standard-modalLabel">Accept Order</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form>
                        <h6>Are You Sure Accept Order !</h6>
                        <input class="m_order_id" type="hidden" id="order_id" name="order_id">
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">No</button>
                    <button type="button" id="ajax_call" class="btn btn-primary ajax_call ">Yes</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->
    </div>
@endsection
@push('plugin-scripts')
    <!-- third party js -->
    <script src="{{ asset('back') }}/assets/js/vendor/jquery.dataTables.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/dataTables.bootstrap5.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/dataTables.responsive.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/responsive.bootstrap5.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/dataTables.buttons.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/buttons.bootstrap5.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/buttons.html5.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/buttons.flash.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/buttons.print.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/dataTables.keyTable.min.js"></script>
    <script src="{{ asset('back') }}/assets/js/vendor/dataTables.select.min.js"></script>
    <!-- third party js ends -->

    <!-- demo app -->
    <script src="{{ asset('back') }}/assets/js/pages/demo.datatable-init.js"></script>
    <!-- end demo js-->


    <script>
        $(document).ready(function () {

            $(document).on('click', '.detail_view_button', function () {
                $('#standard-modal').modal('show');
                $('.m_order_id').val($(this).data('order_id'));
            });
        });
    </script>
    <script>
        $(document).on('click', '.ajax_call', function () {
            var id = $('#order_id').val();
            $.ajax({
                type: 'POST',
                url: "{{ route('change_status') }}",
                data: {
                    id: id
                },
                success: function (result) {
                    $('#standard-modal').modal('hide');

                },
                error: function (result) {

                }
            });
        });
    </script>
@endpush
