<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Api\LoginController;
use App\Http\Controllers\Api\DashboardController;
use App\Http\Controllers\Api\Food\FoodController;
use App\Http\Controllers\Api\Global\GlobalController;
use App\Http\Controllers\Auth\UserAuthController;
use App\Http\Controllers\Api\FoodCategoryController;
use App\Http\Controllers\Api\Driver\DriverController;
use App\Http\Controllers\Api\Resturant\ResturantordersController;
use App\Http\Controllers\Api\Order\OrderController;
use App\Http\Controllers\Api\Resturant\ResturantController;
use App\Http\Controllers\Api\PayPalController;
use App\Http\Controllers\Api\ApiForgotPasswordController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

// Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
//     return $request->user();
// });



Route::prefix('v1')->group(function () {
    Route::post('login', [LoginController::class, 'login']);
    Route::post('register', [LoginController::class, 'register']);
    Route::post('forgot-password', [LoginController::class, 'forgot_password']);


    //  Route::middleware('auth:api')->group(function () {

    Route::get('/categoryList', [FoodCategoryController::class, 'list']);
    Route::get('/getSingleCategory/{id}', [FoodCategoryController::class, 'single']);
    Route::get('/getRestuarantFood/{id}', [FoodCategoryController::class, 'getRestuarantFood']);
    Route::get('/singleFoodDetail/{id}', [FoodCategoryController::class, 'singleFoodDetail']);

    Route::get('/getRestuarantAndFoodAgainstCategory/{id}', [FoodCategoryController::class, 'getRestuarantAndFoodAgainstCategory']);



    Route::get('/getOrderStatus', [FoodCategoryController::class, 'getOrderStatus']);
    // Route::get('show_order', [OrderController::class, 'showOrder'])->name('show_order');



    // Route::get('/dashboard_data', [DashboardController::class, 'get_main_screen_data']); remove from this place set in auth login
    Route::get('/dashboard_data', [DashboardController::class, 'get_main_screen_data']);
    Route::get('/dashboard_data_with_search', [DashboardController::class, 'get_main_screen_data_with_search']);
    Route::get('/restaurant_food_list/{id}', [DashboardController::class, 'restaurant_food_list']);
    // Route::middleware('auth:api')->group(function () {
    //     Route::resource('posts', PostController::class);
    // });


    // });

    Route::controller(FoodController::class)->prefix('foods')->group(function () {
        Route::get('/', 'index');
        Route::get('/edit/{id}', 'edit');
        Route::post('/store', 'store');
        Route::get('/delete/{id}', 'destroy');
        Route::post('/update/{id}', 'update');
    });
Route::post('driver/complete_detail', [DriverController::class, 'completeDetail']);
    Route::middleware('auth:api')->group(function () {

        Route::post('delete_account', [LoginController::class, 'delete_account']);

    // Route::get('/dashboard_data', [DashboardController::class, 'get_main_screen_data']);
        // User side api
        Route::post('/placeOrder', [FoodCategoryController::class, 'placeOrder']);
        Route::get('/getRestInfo', [LoginController::class, 'getRestInfo']);
        Route::post('/userInfoUpdate/{id}', [LoginController::class, 'userInfoUpdate']);
        Route::post('/userInfoUpdate', [LoginController::class, 'userInfoUpdate']);
        Route::post('/userAddressUpdate', [LoginController::class, 'userAddressUpdate']);
        Route::post('/fcmTokenUpdate', [LoginController::class, 'fcmTokenUpdate']);
        Route::get('/showOrderById/{id}', [OrderController::class, 'showOrderById']);

        Route::get('/thank-you-screen/{order_id}', [OrderController::class, 'thank_you_screen']);
        Route::get('/getUserOrderHistory', [OrderController::class, 'getUserOrderHistory']); // get order against login user
        Route::get('/getRecentOrder', [OrderController::class, 'getRecentOrder']);//get Order login user last status  is pending
        Route::get('/RestOrderHistory', [OrderController::class, 'RestOrderHistory']);
        Route::get('/getRating', [OrderController::class, 'getRating']);
        Route::get('/getPaymentHistory', [GlobalController::class, 'getPaymentHistory']);
        // Driver Routes
        Route::controller(DriverController::class)->prefix('driver')->group(function () {
            Route::post('/accept_order', 'acceptOrder');
            Route::post('/updateCurrentLocation', 'updateCurrentLocation');
            Route::post('/complete_order', 'completeOrder');
            Route::get('/driverOrderHistory', 'driverOrderHistory');
           
            Route::get('/getVehicle', 'getVehicle');
            Route::get('/getDocument', 'getDocument');
            Route::get('/getDriverDetail', 'getDriverDetail');

            //Route::post('/complete_detail', 'completeDetail');
            Route::get('/order_detail/{id}', 'orderDetail');
            Route::get('/rider_request', 'riderRequest');

            Route::post('/driverDocumentUpdate', 'driverDocumentUpdate');
            // Route::post('/documentUpdate', 'documentUpdate');
            // Route::post('/vehicleUpdate', 'vehicleUpdate');
            // Route::post('/insuranceUpdate', 'insuranceUpdate');
            Route::get('/completeOrderDetails', 'completeOrderDetails');

            Route::get('/getDriverProfile', 'getDriverProfile');
            Route::get('/getDriverCounter', 'getDriverCounter');
            Route::post('/updateDriverProfile', 'updateDriverProfile');

            Route::post('/change-driver-online-status', 'change_driver_online_status');
            // Route::get('/get-driver-online-status/{driver_id}', 'get_driver_online_status');
            Route::post('change_status_iam_arrived', 'change_status_iam_arrived')->name('change_status_iam_arrived');
            Route::post('change_order_status_for_rider', 'change_order_status_for_rider')->name('change_order_status_for_rider');
        });
         Route::get('/privacy', [DriverController::class, 'privacy']); // get order against login user
        // // Route::get('/termCondition', 'termCondition');
         Route::get('/termCondition', [DriverController::class, 'termCondition']); // get order against login user
        // Route::get('/privicy', 'privicy');


        Route::controller(ResturantordersController::class)->prefix('restaurant')->group(function () {
            Route::post('/accept_order/{id}', 'acceptOrder');

        });


        Route::post('/user/complete_order', [OrderController::class,'completeOrder'])->middleware('auth:api');
        //resturan order status
        Route::get('resturant/pendingOrders', [ResturantordersController::class, 'resturant_pendingOrders']);
        // Route::get('resturant/acceptedOrders', [ResturantordersController::class, 'resturant_acceptedOrders']);
        Route::get('resturant/dispatchedOrders', [ResturantordersController::class, 'resturant_dispatchedOrders']);

        //get cureent User To update Token
        Route::get('/getUser', [LoginController::class, 'getUser']);
        Route::get('/getRestaurant/{restaurant_id}', [ResturantController::class, 'get_restaurant']);
        Route::get('/getSuggestedItems/{restaurant_id}', [ResturantController::class, 'getSuggestedItems']);

        // restaurant_timings
        Route::get('/getRestaurantTimings', [ResturantController::class, 'getRestaurantTimings']);
        Route::post('/changeRestaurantTimings/{id}', [ResturantController::class, 'changeRestaurantTimings']);
        Route::post('/addRestaurantHoliday', [ResturantController::class, 'addRestaurantHoliday']);
        Route::get('/getRestaurantHoliday', [ResturantController::class, 'getRestaurantHoliday']);
        // get rest online offline status
        Route::get('/getRestStatus', [ResturantController::class, 'getRestStatus']);
        Route::post('/rest-status',[ResturantController::class, 'status'])->name('rest.status');
        Route::get('/getRating', [ResturantController::class, 'getRating']);
        Route::post('/update_restaurant_info', [ResturantController::class, 'update_restaurant_info']);


        //Genral Routes



        Route::post('/feedback', [GlobalController::class, 'feedback']);
        Route::post('change_order_status', [GlobalController::class, 'changeOrderStatus'])->name('change_order_status');
        Route::post('/storeReview', [GlobalController::class, 'storeReview']);
        Route::get('/userAddressList', [LoginController::class, 'userAddressList']);

     //Genral Routes

    //  Route::post('/getUser', [LoginController::class, 'getUser']);

    //  Route::get('/coupon-list', [GlobalController::class, 'coupon_list']);

        // Auth Routes
        Route::post('change-password', [LoginController::class, 'change_password']);


    });

    Route::get('/coupon-list', [GlobalController::class, 'coupon_list']);
    Route::get('/coupon-applay/{code}', [GlobalController::class, 'coupon_apply']);


    //get cureent User To update Token
    Route::get('/getUser', [LoginController::class, 'getUser']);


    //Genral Routes
    

    Route::post('/getUser', [LoginController::class, 'getUser']);
    Route::post('/feedback', [GlobalController::class, 'feedback']);
    Route::post('/store_feedback', [GlobalController::class, 'store_feedback'])->middleware('auth:api');
    Route::post('change_order_status', [GlobalController::class, 'changeOrderStatus'])->name('change_order_status');
    
    
    
    Route::post('/make-payment', [PayPalController::class,'MakePayment'])->name('make.payment');
    Route::get('/pfailed', [PayPalController::class,'paymentCancel'])->name('pfailed');
    Route::get('/psuccess', [PayPalController::class,'paymentSuccess'])->name('psuccess');

    Route::post('password/email',  [ApiForgotPasswordController::class,'sendMail']);
    Route::post('password/code/check', [ApiForgotPasswordController::class,'checkCode']);
    Route::post('password/reset', [ApiForgotPasswordController::class,'resetPasswordProcess']);

});
