<?php

use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\backend\ZoneController;
use App\Http\Controllers\backend\OrderController;
use App\Http\Controllers\backend\CouponsController;
use App\Http\Controllers\backend\ReportsController;
use App\Http\Controllers\backend\SettingController;
use App\Http\Controllers\backend\RestuarantController;
use App\Http\Controllers\backend\OrderstatusController;
use App\Http\Controllers\backend\FoodcategoryController;
use App\Http\Controllers\backend\BusinesssettingController;
use App\Http\Controllers\backend\CustomerController;
use App\Http\Controllers\backend\ReceiptController;

use App\Http\Controllers\HomeController;

// Route::get('/', function () {
//     prt();
// // Route::redirect('/', function () {
// // $user=DB::table('users')
// // ->join('user_types','users.user_type_id','=','user_types.id')
// //     ->select('user_types.name as user_type','users.*')
// //     ->where('users.id',auth()->user()->id)->first();
// // dd(auth()->user()->id);
// // $data['rest']=DB::table('users')
// // ->join('restaurants','users.restaurant_id','=','restaurants.id')
// // ->select('restaurants.*')
// // ->where('users.id',auth()->user()->id)->first();//get resturant for online or ofline

// // dd($data['rest']);


//     return view('backend.pages.dashboard');
// })->middleware('auth');
Route::get('/',[HomeController::class,'dashboard'])->middleware('auth');


Route::get('/login', function () {
    return view('backend.pages.login');
});


Route::group(['middleware' => 'auth'], function()
{

Route::post('/save-token', [App\Http\Controllers\HomeController::class, 'saveToken'])->name('save-token');
Route::get('/send-notification-zarif', [App\Http\Controllers\HomeController::class, 'sendNotificationZarif'])->name('send.notification.zarif');

Route::get('userProfile',[HomeController::class,'userProfile'])->name('backend.userProfile');
Route::post('/user_profile_update/{id}', [App\Http\Controllers\HomeController::class, 'userProfileUpdate'])->name('user_profile_update');

//food category routes
Route::get('category/list',[FoodcategoryController::class,'index'])->name('backend.foodcat.list');
Route::get('category/create',[FoodcategoryController::class,'create'])->name('backend.foodcat.create');
Route::post('category/store',[FoodcategoryController::class,'store'])->name('backend.foodcat.store');
Route::get('category/edit/{id}',[FoodcategoryController::class,'edit'])->name('backend.foodcat.edit');
Route::post('category/update/{id}',[FoodcategoryController::class,'update'])->name('backend.foodcat.update');
Route::post('category/delete/{id}',[FoodcategoryController::class,'delete'])->name('backend.foodcat.delete');

// zone routes
Route::get('zone/list',[ZoneController::class,'index'])->name('backend.zone.list');
Route::get('zone/create',[ZoneController::class,'create'])->name('backend.zone.create');
Route::post('zone/store',[ZoneController::class,'store'])->name('backend.zone.store');
Route::get('zone/edit/{id}',[ZoneController::class,'edit'])->name('backend.zone.edit');
Route::post('zone/update/{id}',[ZoneController::class,'update'])->name('backend.zone.update');
// Route::post('zone/delete/{id}',[ZoneController::class,'delete'])->name('backend.zone.delete');

//business setting routes
Route::get('business_setting/list',[BusinesssettingController::class,'index'])->name('backend.business.list');
Route::get('business_setting/create',[BusinesssettingController::class,'create'])->name('backend.business.create');
Route::post('business_setting/store',[BusinesssettingController::class,'store'])->name('backend.business.store');
Route::get('business_setting/edit/{id}',[BusinesssettingController::class,'edit'])->name('backend.business.edit');
Route::post('business_setting/update',[BusinesssettingController::class,'update'])->name('backend.business.update');
Route::get('business_setting/delete/{id}',[BusinesssettingController::class,'delete'])->name('backend.business.delete');

// website settings
// Route::resource('settings', SettingController::class);
Route::get('settings/list',[SettingController::class,'index'])->name('backend.settings.list');
Route::get('settings/create',[SettingController::class,'create'])->name('backend.settings.create');
Route::post('settings/store',[SettingController::class,'store'])->name('backend.settings.store');
Route::get('settings/edit/{id}',[SettingController::class,'edit'])->name('backend.settings.edit');
Route::post('settings/update/{id}',[SettingController::class,'update'])->name('backend.settings.update');
Route::post('settings/delete/{id}',[SettingController::class,'delete'])->name('backend.settings.delete');



// order status routes
Route::get('order_status/list',[OrderstatusController::class,'index'])->name('backend.orderstatus.list');
Route::get('order_status/create',[OrderstatusController::class,'create'])->name('backend.orderstatus.create');
Route::post('order_status/store',[OrderstatusController::class,'store'])->name('backend.orderstatus.store');
Route::get('order_status/edit/{id}',[OrderstatusController::class,'edit'])->name('backend.orderstatus.edit');
Route::post('order_status/update/{id}',[OrderstatusController::class,'update'])->name('backend.orderstatus.update');
Route::get('order_status/delete/{id}',[OrderstatusController::class,'delete'])->name('backend.orderstatus.delete');

// order routes
Route::get('/get_all_order_not_assigned_to_driver',[OrderController::class,'get_all_order_not_assigned_to_driver'])->name('get_all_order_not_assigned_to_driver')->middleware('auth');
Route::get('/get_all_order_assigned_to_driver_for_ajax',[OrderController::class,'get_all_order_assigned_to_driver_for_ajax'])->name('get_all_order_assigned_to_driver_for_ajax')->middleware('auth');
Route::get('/get_all_order_assigned_to_driver',[OrderController::class,'get_all_order_assigned_to_driver'])->name('get_all_order_assigned_to_driver')->middleware('auth');
Route::get('/get_all_order_not_assigned_to_driver_for_ajax',[OrderController::class,'get_all_order_not_assigned_to_driver_for_ajax'])->name('get_all_order_not_assigned_to_driver_for_ajax')->middleware('auth');
Route::get('/not_assign_order_edit/{id}',[OrderController::class,'not_assign_order_edit'])->name('not_assign_order_edit')->middleware('auth');
Route::get('/getOrderById/{id?}',[OrderController::class,'getOrderById'])->name('getOrderById')->middleware('auth');


Route::resource('restuarants', '\App\Http\Controllers\backend\RestuarantController');
Route::get('feature_restaurent', [RestuarantController::class, 'feature_restaurent'])->name('backend.feature_restaurent');
Route::get('make_feature_restaurent', [RestuarantController::class, 'make_feature_restaurent'])->name('backend.make_feature_restaurent');
Route::resource('deliverymans', '\App\Http\Controllers\backend\DeliveryManController');
Route::post('/findDeliveryMans', [\App\Http\Controllers\backend\DeliveryManController::class,'findDeliveryMans'])->name('findDeliveryMans');
Route::get('/unVerifiedList', [\App\Http\Controllers\backend\DeliveryManController::class,'unVerifiedList'])->name('deliverymans.unverified');
Route::get('/disabledList', [\App\Http\Controllers\backend\DeliveryManController::class,'disabledList'])->name('deliverymans.disabled');
Route::post('/assignRiderToOrder/{id}', [\App\Http\Controllers\backend\DeliveryManController::class,'assignRiderToOrder'])->name('assignRiderToOrder');
// Route::get('order_status/edit/{id}',[OrderstatusController::class,'edit'])->name('backend.orderstatus.edit');
// Route::post('order_status/update/{id}',[OrderstatusController::class,'update'])->name('backend.orderstatus.update');

// coupon
Route::resource('coupons', CouponsController::class);
Route::resource('timings', \App\Http\Controllers\backend\RestaurantTimingsController::class);
Route::resource('holidays', \App\Http\Controllers\backend\RestaurantHolidaysController::class);

Route::resource('receipt',ReceiptController::class);
Route::get('/get_balance',[ReceiptController::class,'get_balance'])->name('get_balance')->middleware('auth');
Route::get('/get_balance_where',[ReceiptController::class,'get_balance_where'])->name('get_balance_where')->middleware('auth');

// Route::get('restuarants',[RestuarantController::class,'index']);
// Route::resource('restuarants', RestuarantController::class);
// Route::prefix('backend')->namespace('Admin')->group(static function() {

    // Route::middleware('auth')->group(static function () {
    //     Route::resource('restuarants', '\App\Http\Controllers\backend\RestuarantController');
    // });
// });


// reports
Route::get('feedbacks', [ReportsController::class, 'feedbacks'])->name('backend.feedbacks');
Route::get('feedbacks/show/{id}', [ReportsController::class, 'feedback_show'])->name('backend.feedbacks.show');
Route::get('reviews', [ReportsController::class, 'reviews'])->name('backend.reviews');
Route::get('reviews/delete/{id}', [ReportsController::class, 'reviews_delete'])->name('backend.reviews.delete');
// New Report
// Retaurant
Route::get('all_rest', [ReportsController::class, 'allResturant'])->name('backend.allResturant');
Route::post('resturant_report', [ReportsController::class, 'resturantReport'])->name('backend.resturantReport');
//Rider
Route::get('all_rider_order', [ReportsController::class, 'allRiderOrder'])->name('backend.allRiderOrder');
Route::post('rider_report', [ReportsController::class, 'riderReport'])->name('backend.riderReport');

//Rider
Route::get('all_order_detail', [ReportsController::class, 'allOrderDetail'])->name('backend.allOrderDetail');
Route::post('order_report', [ReportsController::class, 'orderReport'])->name('backend.orderReport');


Route::resource('customers', CustomerController::class);
Route::get('users/reports', [ReportsController::class, 'users_report'])->name('backend.uaser.reports');

Route::get('profit_and_loss_form', [ReportsController::class, 'profit_and_loss_form'])->name('backend.profit_and_loss_form');
Route::post('profit_and_loss_report', [ReportsController::class, 'profit_and_loss_report'])->name('backend.profit_and_loss_report');

Route::get('ledger_form', [ReportsController::class, 'ledger_form'])->name('backend.ledger_form');
Route::post('ledger_report', [ReportsController::class, 'ledger_report'])->name('backend.ledger_report');

});
?>
