<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Api\LoginController;
use App\Http\Controllers\Api\DashboardController;
use App\Http\Controllers\Api\Food\FoodController;
use App\Http\Controllers\Api\Global\GlobalController;
use App\Http\Controllers\Auth\UserAuthController;
use App\Http\Controllers\Api\FoodCategoryController;
use App\Http\Controllers\Api\Driver\DriverController;
use App\Http\Controllers\Api\Resturant\ResturantordersController;
use App\Http\Controllers\Api\Order\OrderController;
use App\Http\Controllers\Api\Resturant\ResturantController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

// Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
//     return $request->user();
// });



Route::prefix('v1')->group(function () {
    Route::post('login', [LoginController::class, 'login']);
    Route::post('register', [LoginController::class, 'register']);


    //  Route::middleware('auth:api')->group(function () {

    Route::get('/categoryList', [FoodCategoryController::class, 'list']);
    Route::get('/getSingleCategory/{id}', [FoodCategoryController::class, 'single']);
    Route::get('/getRestuarantFood/{id}', [FoodCategoryController::class, 'getRestuarantFood']);
    Route::get('/singleFoodDetail/{id}', [FoodCategoryController::class, 'singleFoodDetail']);

    Route::get('/getRestuarantAndFoodAgainstCategory/{id}', [FoodCategoryController::class, 'getRestuarantAndFoodAgainstCategory']);



    Route::get('/getOrderStatus', [FoodCategoryController::class, 'getOrderStatus']);
    Route::get('show_order', [OrderController::class, 'showOrder'])->name('show_order');



    Route::get('/dashboard_data', [DashboardController::class, 'get_main_screen_data']);
    Route::get('/restaurant_food_list/{id}', [DashboardController::class, 'restaurant_food_list']);
    // Route::middleware('auth:api')->group(function () {
    //     Route::resource('posts', PostController::class);
    // });


    // });

    Route::controller(FoodController::class)->prefix('foods')->group(function () {
        Route::get('/', 'index');
        Route::get('/edit/{id}', 'edit');
        Route::post('/store', 'store');
        Route::get('/delete/{id}', 'destroy');
    });

    Route::middleware('auth:api')->group(function () {
        // User side api
        Route::post('/placeOrder', [FoodCategoryController::class, 'placeOrder']);
        Route::get('/userInfo', [LoginController::class, 'userInfo']);
        Route::post('/userInfoUpdate/{id}', [LoginController::class, 'userInfoUpdate']);
        Route::post('/userInfoUpdate', [LoginController::class, 'userInfoUpdate']);
        Route::post('/userAddressUpdate', [LoginController::class, 'userAddressUpdate']);
        Route::post('/fcmTokenUpdate', [LoginController::class, 'fcmTokenUpdate']);

        Route::get('/getUserOrderHistory', [OrderController::class, 'getUserOrderHistory']); // get order against login user

<<<<<<< HEAD
    // Driver Routes
    Route::controller(DriverController::class)->prefix('driver')->group(function () {
        Route::post('/accept_order', 'acceptOrder');
        Route::post('/updateCurrentLocation', 'updateCurrentLocation');
        Route::post('complete_order','completeOrder');
=======
        // Driver Routes
        Route::controller(DriverController::class)->prefix('driver')->group(function () {
            Route::post('/accept_order', 'acceptOrder');
            Route::post('/updateCurrentLocation', 'updateCurrentLocation');
            Route::post('complete_order', 'completeOrder');
>>>>>>> 6fdacac45d41eb41c8211200d51350c98aed66b6

            Route::post('/complete_detail', 'completeDetail');
            Route::get('/order_detail/{id}', 'orderDetail');
            Route::get('/rider_request', 'riderRequest');
<<<<<<< HEAD
           
        

        Route::controller(ResturantordersController::class)->prefix('restaurant')->group(function () {
            Route::post('/accept_order/{id}', 'acceptOrder');

=======
>>>>>>> 6fdacac45d41eb41c8211200d51350c98aed66b6
        });
        Route::post('/documentUpdate', 'documentUpdate');
        Route::post('/vehicleUpdate', 'vehicleUpdate');


        //resturan order status
        Route::get('resturant/pendingOrders', [ResturantordersController::class, 'resturant_pendingOrders']);
        Route::get('resturant/acceptedOrders', [ResturantordersController::class, 'resturant_acceptedOrders']);
        Route::get('resturant/dispatchedOrders', [ResturantordersController::class, 'resturant_dispatchedOrders']);

        //get cureent User To update Token
        Route::get('/getUser', [LoginController::class, 'getUser']);
        Route::get('/getRestaurant/{id}', [ResturantController::class, 'get_restaurant']);
        Route::get('/getSuggestedItems/{id}', [ResturantController::class, 'getSuggestedItems']);


        //Genral Routes
<<<<<<< HEAD
        // Route::post('/getUser', [LoginController::class, 'getUser']);
=======

        Route::post('/getUser', [LoginController::class, 'getUser']);
>>>>>>> 6fdacac45d41eb41c8211200d51350c98aed66b6
        Route::post('/feedback', [GlobalController::class, 'feedback']);
        Route::post('change_order_status', [GlobalController::class, 'changeOrderStatus'])->name('change_order_status');
        Route::post('/storeReview', [GlobalController::class, 'storeReview']);
<<<<<<< HEAD
        Route::get('/userAddressList', [LoginController::class, 'userAddressList']);
    });
     //Genral Routes
     Route::post('change_order_status', [GlobalController::class, 'changeOrderStatus'])->name('change_order_status');
     Route::post('/getUser', [LoginController::class, 'getUser']);

     Route::get('/coupon-list', [GlobalController::class, 'coupon_list']);
    });

=======
    });

    Route::get('/coupon-list', [GlobalController::class, 'coupon_list']);

    //resturan order status
    Route::get('resturant/pendingOrders', [ResturantordersController::class, 'resturant_pendingOrders']);
    Route::get('resturant/acceptedOrders', [ResturantordersController::class, 'resturant_acceptedOrders']);
    Route::get('resturant/dispatchedOrders', [ResturantordersController::class, 'resturant_dispatchedOrders']);


    //get cureent User To update Token
    Route::get('/getUser', [LoginController::class, 'getUser']);


    //Genral Routes

    Route::post('/getUser', [LoginController::class, 'getUser']);
    Route::post('/feedback', [GlobalController::class, 'feedback']);
    Route::post('change_order_status', [GlobalController::class, 'changeOrderStatus'])->name('change_order_status');
});
>>>>>>> 6fdacac45d41eb41c8211200d51350c98aed66b6
