<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\backend\FoodController;
use App\Http\Controllers\PaymentsController;
use App\Http\Controllers\Api\PayPalController;
use App\Http\Controllers\backend\OrderController;
use App\Http\Controllers\Auth\ForgotPasswordController;



/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('backend.pages.dashboard');
// });

// if(Request::is('frontend/*'))
// {
//     Route::get('/', function () {
//         return view('backend.pages.dashboard');
//     });
// //     require __DIR__.'/frontend_routes.php';
// }

// if(Request::is('backend/*'))
// {
//     require __DIR__.'/backend_routes.php';
// }
Auth::routes();
Route::get('/forgot-password-mannual', function () {
    return view('auth.passwords.email');
});
Route::redirect('/home','/dashboard');
// Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
// Route::get('/user_profile', [App\Http\Controllers\HomeController::class, 'userProfile'])->name('user_profile');




//push notification
Route::get('/push_notification', [App\Http\Controllers\HomeController::class, 'pushNotification'])->name('push_notification');
 Route::post('/sendNotification', [App\Http\Controllers\HomeController::class, 'sendNotification'])->name('sendNotification');
 Route::post('/saveToken', [App\Http\Controllers\HomeController::class, 'saveToken'])->name('saveToken');
 Route::post('/send-push-notification', [App\Http\Controllers\HomeController::class, 'sendPushNotification'])->name('send.push-notification');


//order routes
Route::resource('orders', OrderController::class)->middleware('auth');
Route::get('get-orders', [OrderController::class, 'getOrders'])->name('get-orders')->middleware('auth');

//food routes
Route::resource('foods', FoodController::class)->middleware('auth');

//update orders status
Route::get('getOrderStatus', [OrderController::class, 'getOrderStatus'])->name('getOrderStatus')->middleware('auth');
Route::post('updateOrderStatus', [OrderController::class, 'updateOrderStatus'])->name('updateOrderStatus')->middleware('auth');
Route::get('show_order', [OrderController::class, 'showOrder'])->name('show_order');//convert to api
Route::post('change_status', [OrderController::class, 'changeStatus'])->name('change_status');
Route::get('getUserNearByDistance', [OrderController::class, 'getUserNearByDistance'])->name('getUserNearByDistance');


Route::get('reset-password/{token}', [ForgotPasswordController::class, 'showResetPasswordForm'])->name('reset.password.get');
Route::post('reset-password', [ForgotPasswordController::class, 'submitResetPasswordForm'])->name('reset.password.post');

Route::get('/payment/card/loadCardView/{id}', [PayPalController::class,'loadCardView'])->name('loadCardView');
Route::get('/payment/card/process', [PayPalController::class,'process'])->name('card.payment.process');
Route::get('/payment/card/success', [PayPalController::class,'cardSuccess'])->name('card.payment.success');
Route::get('/payment/card/error', [PayPalController::class,'cardError'])->name('card.payment.error');

