<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title><?php echo e(env('APP_NAME')); ?></title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description" />
        <meta content="Coderthemes" name="author" />
        <!-- App favicon -->
        <link rel="shortcut icon" href="<?php echo e(asset('back')); ?>/assets/images/favicon.ico">

        <!-- App css -->
        <link href="<?php echo e(asset('back')); ?>/assets/css/icons.min.css" rel="stylesheet" type="text/css" />
        <link href="<?php echo e(asset('back')); ?>/assets/css/app-modern.min.css" rel="stylesheet" type="text/css" id="light-style" />
        <link href="<?php echo e(asset('back')); ?>/assets/css/app-modern-dark.min.css" rel="stylesheet" type="text/css" id="dark-style" />

    </head>

    <body class="loading authentication-bg" data-layout-config='{"darkMode":false}'>
        <div class="account-pages pt-2 pt-sm-5 pb-4 pb-sm-5">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-xxl-4 col-lg-5">
                        <div class="card">

                            <!-- Logo -->
                            <div class="card-header pt-4 text-center">
                                <a href="#">
                                    <span><img src="<?php echo e(asset('back')); ?>/assets/images/logo-light.png" alt="" height="100"></span>
                                    
                                </a>
                            </div>

                            <div class="card-body p-4">

                                <div class="text-center w-75 m-auto">
                                    <h4 class="text-dark-50 text-center mt-0 fw-bold">Sign In</h4>
                                    
                                </div>


                                    <form  method="POST" action="<?php echo e(url('login')); ?>">
                                        <?php echo csrf_field(); ?>

                                    <div class="mb-3">
                                        <label for="emailaddress" class="form-label">Email address</label>
                                        <input class="form-control" type="email" name="email" id="emailaddress" required="" placeholder="Enter your email">
                                    </div>

                                    <div class="mb-3">
                                        <a href="<?php echo e(url('forgot-password-mannual')); ?>" class="text-muted float-end"><small>Forgot your password?</small></a>
                                        <label for="password" class="form-label">Password</label>
                                        <div class="input-group input-group-merge">
                                            <input type="password" id="password" name="password" class="form-control" placeholder="Enter your password">
                                            <div class="input-group-text" data-password="false">
                                                <span class="password-eye"></span>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="mb-3 mb-3">
                                        <div class="form-check">
                                            <input type="checkbox" class="form-check-input" id="checkbox-signin" checked>
                                            <label class="form-check-label" for="checkbox-signin">Remember me</label>
                                        </div>
                                    </div>

                                    <div class="mb-3 mb-0 text-center">
                                        <button class="btn btn-primary" type="submit"> Log In </button>
                                    </div>

                                </form>
                            </div> <!-- end card-body -->
                        </div>
                        <!-- end card -->

                        
                        <!-- end row -->

                    </div> <!-- end col -->
                </div>
                <!-- end row -->
            </div>
            <!-- end container -->
        </div>
        <!-- end page -->

        <footer class="footer footer-alt">
            &copy;<?php echo e(date('Y')); ?> <?php echo e(env('APP_NAME')); ?>

        </footer>

        <!-- bundle -->
        <script src="<?php echo e(asset('back')); ?>/assets/js/vendor.min.js"></script>
        <script src="<?php echo e(asset('back')); ?>/assets/js/app.min.js"></script>

    </body>
</html>
<?php /**PATH D:\xamp\htdocs\food_panda_clone\resources\views/auth/login.blade.php ENDPATH**/ ?>